2015-07-04  Thomas E. Dickey  <tom@invisible-island.net>

	* package/td_lib.spec, package/debian/rules: use ncurses6

	* package/td_lib.spec, package/debian/rules:
	prefer man2html for documentation

	* td_make.in:
	use a single ".SUFFIXES" line, with $(SUFFIX_MAN) derived from configure script

	* src/port2vms/vms_pthc.c, src/port2vms/name2vms.c, src/pathname/trimpath.c, src/pathname/pathcat.c:
	gcc-warnings

	* package/debian/copyright, package/debian/changelog, package/td_lib.spec:
	bump

	* configure: regen

	* aclocal.m4: add CF_WITH_MAN2HTML

	* makefile.in: integrate CF_WITH_MAN2HTML macro

	* support/ins_mak:
	add TD_CFG symbol, to allow consistent references to man2html.sh

	* td_make.in: integrate CF_WITH_MAN2HTML macro

	* configure.in:
	use CF_WITH_MAN2HTML rather than just groff's man/html conversion

	* configure: regen

	* COPYING: bump

	* aclocal.m4: resync with my-autoconf

2015-05-02  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: 2015-03-04

	* config.sub: 2015-03-08

2014-12-27  Thomas E. Dickey  <tom@invisible-island.net>

	* test/pathname/walktree.ref: regen

	* src/pathname/walktree.c: fix regression

	* test/cm_funcs/run_test.sh, test/compare/run_test.sh, test/curses/run_test.sh, test/memory/run_test.sh, test/pathname/run_test.sh, test/port2vms/run_test.sh, test/process/run_test.sh, test/sheet/run_test.sh, test/string/run_test.sh, test/unix/run_test.sh:
	remove purify from test-scripts

	* test/port2vms/modules: remove vms-only modules

	* test/cm_funcs/modules: remove unimplemented prcslast

	* src/unix/s2gid.c, src/unix/setmtime.c, src/string/dftenv.c, src/string/dyn_app.c, src/string/dyn_appc.c, src/string/dyn_cata.c, src/string/dyn_copy.c, src/string/dyn_str.c, src/string/strclean.c, src/string/strcount.c, src/string/strtrim.c, src/string/strucpy.c, src/sheet/count_ss.c, src/sheet/ss_field.c, src/process/bldarg.c, src/process/catarg.c, src/process/catchall.c, src/process/egress.c, src/process/for_admn.c, src/process/for_user.c, src/process/getopt.c, src/process/getuser.c, src/process/in_group.c, src/process/interact.c, src/process/revert.c, src/process/savesuid.c, src/process/shoarg.c, src/process/showuids.c, src/process/userprot.c, src/pathname/acc_mode.c, src/pathname/add2fnam.c, src/pathname/arg2file.c, src/pathname/copyback.c, src/pathname/denode.c, src/pathname/dotname.c, src/pathname/filesize.c, src/pathname/fleaf.c, src/pathname/fleaf14.c, src/pathname/ftype.c, src/pathname/ftype2.c, src/pathname/is_spath.c, src/pathname/istextfl.c, src/pathname/mem2file.c, src/pathname/modechar.c, src/pathname/pathcat.c, src/pathname/samehead.c, src/pathname/stat_dir.c, src/pathname/stat_fil.c, src/pathname/track_wd.c, src/memory/memmove.c, src/memory/stralloc.c, src/memory/vecalloc.c, src/memory/veclen.c, src/curses/addchnst.c, src/curses/beep.c, src/curses/blip.c, src/curses/cmdch.c, src/curses/dumpchr.c, src/curses/dumptty.c, src/curses/dumpwin.c, src/curses/erasechr.c, src/curses/getmaxx.c, src/curses/is_xterm.c, src/curses/killchar.c, src/curses/lnextchr.c, src/curses/logch.c, src/curses/on_winch.c, src/curses/rawterm.c, src/curses/resizwin.c, src/curses/savewin.c, src/curses/viewfile.c, src/curses/win2file.c, src/curses/wrepaint.c, src/curses/wresize.c, src/compare/btree.c, src/compare/cmpqsort.c, src/cm_funcs/cvslast.c, src/cm_funcs/lastrev.c, src/cm_funcs/next_ver.c, src/cm_funcs/rcs_dir.c, src/cm_funcs/rcsdebug.c, src/cm_funcs/rcsedit.c, src/cm_funcs/rcskeys.c, src/cm_funcs/rcslast.c, src/cm_funcs/rcslocks.c, src/cm_funcs/rcspath.c, src/cm_funcs/rcsperm.c, src/cm_funcs/rcssymbs.c, src/cm_funcs/rcstemp.c, src/cm_funcs/rcstime.c, src/cm_funcs/sccs_dir.c, src/cm_funcs/sccsdbug.c, src/cm_funcs/sccslast.c, src/cm_funcs/sccspath.c, src/cm_funcs/svn_last.c:
	add test-driver stub

	* test/unix/s2gid.ref, test/unix/setmtime.ref, test/string/dftenv.ref, test/string/dyn_app.ref, test/string/dyn_appc.ref, test/string/dyn_cata.ref, test/string/dyn_copy.ref, test/string/dyn_str.ref, test/string/strclean.ref, test/string/strcount.ref, test/string/strerror.ref, test/string/strtrim.ref, test/string/strucpy.ref, test/sheet/count_ss.ref, test/sheet/field_of.ref, test/sheet/ss_field.ref, test/process/bldarg.ref, test/process/catarg.ref, test/process/catchall.ref, test/process/egress.ref, test/process/for_admn.ref, test/process/for_user.ref, test/process/getopt.ref, test/process/getuser.ref, test/process/in_group.ref, test/process/interact.ref, test/process/revert.ref, test/process/savesuid.ref, test/process/shoarg.ref, test/process/showuids.ref, test/process/userprot.ref, test/port2vms/rmsio.ref, test/port2vms/time2vms.ref, test/port2vms/uid2s.ref, test/port2vms/utimes.ref, test/port2vms/vms_dirs.ref, test/pathname/acc_mode.ref, test/pathname/add2fnam.ref, test/pathname/arg2file.ref, test/pathname/copyback.ref, test/pathname/denode.ref, test/pathname/dotname.ref, test/pathname/filesize.ref, test/pathname/fleaf.ref, test/pathname/fleaf14.ref, test/pathname/ftype.ref, test/pathname/ftype2.ref, test/pathname/is_spath.ref, test/pathname/istextfl.ref, test/pathname/mem2file.ref, test/pathname/modechar.ref, test/pathname/pathcat.ref, test/pathname/samehead.ref, test/pathname/stat_dir.ref, test/pathname/stat_fil.ref, test/pathname/track_wd.ref, test/memory/memmove.ref, test/memory/stralloc.ref, test/memory/vecalloc.ref, test/memory/veclen.ref, test/curses/addchnst.ref, test/curses/beep.ref, test/curses/blip.ref, test/curses/cmdch.ref, test/curses/dumpchr.ref, test/curses/dumptty.ref, test/curses/dumpwin.ref, test/curses/erasechr.ref, test/curses/getmaxx.ref, test/curses/is_xterm.ref, test/curses/killchar.ref, test/curses/lnextchr.ref, test/curses/logch.ref, test/curses/on_winch.ref, test/curses/rawterm.ref, test/curses/resizwin.ref, test/curses/savewin.ref, test/curses/viewfile.ref, test/curses/win2file.ref, test/curses/wrepaint.ref, test/curses/wresize.ref, test/compare/btree.ref, test/compare/cmpqsort.ref, test/cm_funcs/cvslast.ref, test/cm_funcs/lastrev.ref, test/cm_funcs/next_ver.ref, test/cm_funcs/prcslast.ref, test/cm_funcs/rcs_dir.ref, test/cm_funcs/rcsdebug.ref, test/cm_funcs/rcsedit.ref, test/cm_funcs/rcskeys.ref, test/cm_funcs/rcslast.ref, test/cm_funcs/rcslocks.ref, test/cm_funcs/rcspath.ref, test/cm_funcs/rcsperm.ref, test/cm_funcs/rcssymbs.ref, test/cm_funcs/rcstemp.ref, test/cm_funcs/rcstime.ref, test/cm_funcs/sccs_dir.ref, test/cm_funcs/sccsdbug.ref, test/cm_funcs/sccslast.ref, test/cm_funcs/sccspath.ref, test/cm_funcs/svn_last.ref:
	test-reference file

	* test/compare/modules, test/memory/modules, test/unix/modules, test/string/modules, test/sheet/modules, test/process/modules, test/port2vms/modules, test/pathname/modules, test/curses/modules, test/cm_funcs/cvslast.sh, test/cm_funcs/lastrev.sh, test/cm_funcs/next_ver.sh, test/cm_funcs/prcslast.sh, test/cm_funcs/rcs_dir.sh, test/cm_funcs/rcsdebug.sh, test/cm_funcs/rcsedit.sh, test/cm_funcs/rcskeys.sh, test/cm_funcs/rcslast.sh, test/cm_funcs/rcslocks.sh, test/cm_funcs/rcspath.sh, test/cm_funcs/rcsperm.sh, test/cm_funcs/rcssymbs.sh, test/cm_funcs/rcstemp.sh, test/cm_funcs/rcstime.sh, test/cm_funcs/sccs_dir.sh, test/cm_funcs/sccsdbug.sh, test/cm_funcs/sccslast.sh, test/cm_funcs/sccspath.sh, test/cm_funcs/svn_last.sh, test/compare/btree.sh, test/compare/cmpqsort.sh, test/curses/addchnst.sh, test/curses/beep.sh, test/curses/blip.sh, test/curses/cmdch.sh, test/curses/dumpchr.sh, test/curses/dumptty.sh, test/curses/dumpwin.sh, test/curses/erasechr.sh, test/curses/getmaxx.sh, test/curses/is_xterm.sh, test/curses/killchar.sh, test/curses/lnextchr.sh, test/curses/logch.sh, test/curses/on_winch.sh, test/curses/rawterm.sh, test/curses/resizwin.sh, test/curses/savewin.sh, test/curses/viewfile.sh, test/curses/win2file.sh, test/curses/wrepaint.sh, test/curses/wresize.sh, test/memory/memmove.sh, test/memory/stralloc.sh, test/memory/vecalloc.sh, test/memory/veclen.sh, test/pathname/acc_mode.sh, test/pathname/add2fnam.sh, test/pathname/arg2file.sh, test/pathname/copyback.sh, test/pathname/denode.sh, test/pathname/dotname.sh, test/pathname/filesize.sh, test/pathname/fleaf.sh, test/pathname/fleaf14.sh, test/pathname/ftype.sh, test/pathname/ftype2.sh, test/pathname/is_spath.sh, test/pathname/istextfl.sh, test/pathname/mem2file.sh, test/pathname/modechar.sh, test/pathname/pathcat.sh, test/pathname/samehead.sh, test/pathname/stat_dir.sh, test/pathname/stat_fil.sh, test/pathname/track_wd.sh, test/port2vms/rmsio.sh, test/port2vms/time2vms.sh, test/port2vms/uid2s.sh, test/port2vms/utimes.sh, test/port2vms/vms_dirs.sh, test/process/bldarg.sh, test/process/catarg.sh, test/process/catchall.sh, test/process/egress.sh, test/process/for_admn.sh, test/process/for_user.sh, test/process/getopt.sh, test/process/getuser.sh, test/process/in_group.sh, test/process/interact.sh, test/process/revert.sh, test/process/savesuid.sh, test/process/shoarg.sh, test/process/showuids.sh, test/process/userprot.sh, test/sheet/count_ss.sh, test/sheet/field_of.sh, test/sheet/ss_field.sh, test/string/dftenv.sh, test/string/dyn_app.sh, test/string/dyn_appc.sh, test/string/dyn_cata.sh, test/string/dyn_copy.sh, test/string/dyn_str.sh, test/string/strclean.sh, test/string/strcount.sh, test/string/strerror.sh, test/string/strtrim.sh, test/string/strucpy.sh, test/unix/s2gid.sh, test/unix/setmtime.sh, test/cm_funcs/modules:
	add stubs for modules which had no test-driver

	* src/pathname/walktree.c:
	coverity #78387 - copy into fixed size buffer

	* src/pathname/which.c: coverity #78357 - copy into fixed size buffer

	* src/pathname/relpath.c: coverity #78362 - copy into fixed size buffer

	* src/port2vms/vms_pthc.c:
	coverity #78342 - copy into fixed size buffer

	* src/pathname/abspath.c: coverity #78343 - copy into fixed size buffer

	* src/pathname/sameleaf.c:
	coverity #78349 - copy into fixed size buffer

	* src/pathname/pathleaf.c:
	coverity #78350 - copy into fixed size buffer

	* src/pathname/trimpath.c:
	coverity #78360 - copy into fixed size buffer

	* src/pathname/relpath.c: coverity #78362 - copy into fixed size buffer

	* src/port2vms/path2vms.c:
	coverity #78378 - copy into fixed size buffer

	* src/pathname/pathhead.c:
	coverity #78382 - copy into fixed size buffer

	* src/pathname/pathcat.c: coverity #78384 - copy into fixed size buffer

	* src/cm_funcs/sccs_dir.c:
	coverity #78395 - copy into fixed size buffer

	* src/cm_funcs/rcs_dir.c: coverity #78374 - copy into fixed size buffer

	* src/cm_funcs/sccsname.c:
	coverity #78366 - copy into fixed size buffer

	* src/cm_funcs/rcsedit.c: coverity #78386 - copy into fixed size buffer

	* src/cm_funcs/rcslast.c: coverity #78385 - copy into fixed size buffer

	* src/cm_funcs/cvslast.c: coverity #78377 - copy into fixed size buffer

	* src/cm_funcs/rcsload.c: coverity #78376 - copy into fixed size buffer

	* src/cm_funcs/rcs_dir.c: coverity #78374 - copy into fixed size buffer

	* src/cm_funcs/sccsname.c:
	coverity #78366 - copy into fixed size buffer

	* src/cm_funcs/svn_last.c:
	coverity #78353 - copy into fixed size buffer

	* src/cm_funcs/rcsargpr.c:
	coverity #78347 - copy into fixed size buffer

	* src/cm_funcs/rcsperm.c: coverity #78346 - copy into fixed buffer

	* src/pathname/which.c, src/pathname/walktree.c, src/pathname/trimpath.c, src/pathname/track_wd.c, src/pathname/sameleaf.c, src/pathname/relpath.c, src/pathname/pathleaf.c, src/pathname/pathhead.c:
	BUFSIZE != MAXPATHLEN

	* src/cm_funcs/cmv_dir.c: coverity #78381 - copy into fixed size buffer

	* src/cm_funcs/cmv_dir.c: typo

	* src/cm_funcs/rcslast.c: coverity #78363 - copy into fixed size buffer

	* src/cm_funcs/sccslast.c:
	coverity #78355 - copy into fixed size buffer

	* src/cm_funcs/sccslast.c:
	coverity #78354 - copy into fixed size buffer

	* src/cm_funcs/sccsname.c:
	coverity #78344 - copy into fixed size buffer

	* src/cm_funcs/cmv_dir.c: coverity #78373 - copy into fixed size buffer

	* src/cm_funcs/cmv_dir.c: coverity #78381 - copy into fixed size buffer

	* src/pathname/pathcat.c:
	tidy - use single return, but no real logic change

	* src/cm_funcs/cmv_dir.c: coverity #78388 - copy into fixed size buffer

	* src/cm_funcs/sccs_dir.c:
	coverity #78395 - copy into fixed size buffer

2014-12-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/port2vms/vms2name.c:
	coverity #78390 - copy into fixed size buffer

	* src/pathname/pathcmp.c: coverity #78391 - copy into fixed size buffer

	* src/port2vms/path2dir.c:
	coverity #78394 - copy into fixed size buffer

	* src/cm_funcs/sccs_dir.c:
	coverity #78395 - copy into fixed size buffer

	* src/cm_funcs/rcsname.c: coverity #78340 - copy into fixed size buffer

	* src/port2vms/name2vms.c: coverity #78345 - unbounded source buffer

	* src/cm_funcs/cvslast.c: coverity #78348 - resource leak

	* src/cm_funcs/rcsname.c: coverity #78339 - copy into fixed size buffer

	* src/cm_funcs/rcsedit.c: coverity #78338 - copy into fixed size buffer

2014-12-25  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cmv_last.c: coverity #78380 - dereference null value

	* src/curses/dumpwin.c: coverity #78367 - argument cannot be negative

	* src/cm_funcs/cvslast.c: coverity #78365 - dereference null value

	* src/port2vms/vms_rpth.c: coverity #78364 - dereference null value

	* src/cm_funcs/svn_last.c: coverity #78359 - dereference null value

	* src/curses/logch.c: tidy

	* src/curses/cmdch.c: coverity #78337 - dead code

2014-12-14  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/changelog, package/td_lib.spec: bump

2014-12-12  Thomas E. Dickey  <tom@invisible-island.net>

	* src/port2vms/name2vms.c:
	coverity #78345 - possible buffer overrun - tell coverity more details

	* src/cm_funcs/svn_last.c: coverity #78348 - memory leak

	* src/cm_funcs/cmv_dir.c:
	coverity #78356 - pointer to local outside scope

	* src/pathname/abspath.c:
	coverity #78361 - tell coverity the expected buffer sizes to aid analysis

	* src/cm_funcs/rcsperm.c:
	coverity #78370 - reports unbounded buffer.  Modify to address the warning.

	* src/cm_funcs/cmv_dir.c: coverity #78372 - buffer overrun

	* src/process/execute.c: coverity #78375 - possible buffer overrun

	* src/pathname/file2mem.c:
	coverity #78389 - memory leak if file cannot be read into memory

	* src/pathname/editfile.c:
	coverity #78392 - possible memory leak if output file cannot be opened

2014-07-22  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: resync with my-autoconf

	* configure: regen

	* src/cm_funcs/cvslast.c, src/cm_funcs/svn_last.c, src/port2vms/vms2name.c, src/pathname/which.c:
	cygwin-compiler-warnings

	* include/td_ext.h:
	avoid declaring externs for optind / optarg, e.g., for Cygwin which uses
	extra storage-class keywords.

	* aclocal.m4: add CF_GETOPT-HEADER, for td_lib/td_ext.h

	* configure.in: use CF_GETOPT_HEADER

	* src/cm_funcs/rcsedit.c, src/curses/erasechr.c, src/curses/scr_size.c, src/curses/cmdch.c, src/curses/rawterm.c:
	minix3.2-build-fixes

	* include/ptypes.h:
	turn off ident's with clang (noisy) and gcc (not supported)

	* src/curses/addchnst.c, src/curses/beep.c, src/curses/getmaxx.c, src/curses/killchar.c, src/curses/padedit.c, src/curses/savewin.c, src/curses/wresize.c, src/memory/memmove.c, src/pathname/fileblox.c, src/compare/scomp.c, src/compare/m2comp.c, src/string/lsbycols.c, src/curses/win2file.c, src/cm_funcs/sccslast.c:
	clang-warnings

	* package/debian/copyright, package/debian/changelog, package/td_lib.spec, COPYING:
	bump

	* td_make.in: use variables from CF_INSTALL_OPTS

	* configure.in, aclocal.m4:
	add CF_INSTALL_OPTS, to help with minix port

	* configure: regen

	* aclocal.m4: resync with my-autoconf

2014-04-19  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub: 2014-04-03

	* config.guess: 2014-03-23

2013-12-05  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: bump prereq

	* package/debian/changelog, package/td_lib.spec, package/debian/copyright, COPYING:
	bump

	* configure: regen

	* aclocal.m4: resync with my-autoconf

	* aclocal.m4: appease autoheader-252 for consistency

	* configure.in: appease autoheader

	* configure.in: use CF_PROG_CC

	* aclocal.m4: use CF_PROG_CC, drop K&R checks

	* aclocal.m4: resync with my-autoconf

2013-10-25  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub: 2013-10-01

2013-09-07  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: 2013-06-10

2012-09-04  Thomas E. Dickey  <tom@invisible-island.net>

	* td_make.in: support --datarootdir

	* configure: regen using newer autoconf patch, supporting --datarootdir

	* package/debian/copyright, package/debian/changelog, package/td_lib.spec:
	bump

	* makefile.in: support --datarootdir

	* aclocal.m4:
	resync with my-autoconf, adding CF_CLANG_COMPILER as well as updates to
	CF_LIB_PREFIX, CF_GCC_WARNINGS and CF_PATH_SYNTAX

2012-02-25  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess, config.sub: update to 2012-02-10

2012-01-13  Thomas E. Dickey  <tom@invisible-island.net>

	* configure: regen

	* configure.in:
	remove check for bcopy in bsd library; that would only be found currently
	in the Debian bsd library, which is unneeded.

	* COPYING: bump

	* src/cm_funcs/cvslast.c, src/cm_funcs/rcsedit.c, src/compare/btree.c, src/curses/rawgets.c, src/pathname/filecopy.c, src/pathname/mem2file.c, src/pathname/walktree.c, src/port2vms/vms2name.c, src/process/bldarg.c, src/process/shoarg.c:
	gcc-warnings

	* configure: regen

	* package/debian/changelog, package/td_lib.spec: bump

	* aclocal.m4:
	change CF_WITH_NCURSES_ETC to use define() rather than AC_DEFUN() to fix
	order of evaluation.

	* configure.in: add configure-check for groff and nroff

	* td_make.in:
	use configure check for groff and nroff to disable rules which may not run

	* configure.in:
	OnHost and related config_h.in files are obsolete - removed.

	* aclocal.m4:
	moved configure.in's --with-ncurses and related options here as CF_WITH_NCURSES_ETC
	macro.  That provides also --with-pdcurses as well as specific options for
	antique HPUX and Sun libraries. PDCurses depends on X libraries, so this
	adds all of the related macros.

	* configure: regen

	* configure.in: split-out CF_WITH_NCURSES_ETC macro

	* aclocal.m4:
	resync with my-autoconf, mostly improvements for curses library checks,
	and CF_XOPEN_SOURCE changes.

2011-01-30  Thomas E. Dickey  <tom@invisible-island.net>

	* configure: regen

	* aclocal.m4:
	modify test-program to account for ncurses' different interface.

	* aclocal.m4:
	resync with my-autoconf (mostly to deprecate usage of shell ${name-value}
	in favor of ${name:-value}).

	* package/debian/changelog, package/td_lib.spec:
	bump, for configure script changes

2010-09-28  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: 2010-09-24

2010-09-10  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub: 2010-09-11

2010-07-09  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/rawgets.c, src/sheet/field_of.c, src/string/dyn_str.c, src/pathname/fp2argv.c, src/pathname/sameleaf.c, src/pathname/trnstree.c, src/pathname/walktree.c, src/port2vms/dir2path.c, src/port2vms/name2vms.c, src/port2vms/vms2name.c, src/port2vms/vms_wild.c, src/process/walkback.c, src/pathname/file2mem.c, src/memory/vecedit.c, src/pathname/copyback.c, src/pathname/dlettree.c, src/pathname/edittree.c, src/pathname/file2arg.c, src/curses/is_xterm.c, src/curses/padedit.c, src/memory/stralloc.c, src/cm_funcs/sccspath.c, src/compare/diffload.c, src/curses/dumptty.c, src/cm_funcs/rcsedit.c, src/cm_funcs/rcsload.c, src/cm_funcs/rcspath.c, src/cm_funcs/rcsperm.c, src/cm_funcs/sccslast.c, src/cm_funcs/cmv_dir.c, src/cm_funcs/cmv_last.c, src/cm_funcs/cutoff.c, src/cm_funcs/rcsargpr.c, include/td_ext.h:
	stricter gcc warnings

	* include/ptypes.h: avoid redefinition of bcopy and related functions

	* src/curses/rawterm.c:
	use new flag xt_enabled to control whether we use the mouse.  This is a
	workaround for breakage done to ncurses by linking to the GPM library.

	* src/curses/cmdch.c: add xt_enabled flag.

	* package/debian/changelog, package/td_lib.spec: adding ded "-m"

	* include/td_curse.h: add xt_enabled flag

2010-07-05  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_lib.h, src/pathname/pathhead.c: stricter gcc warnings

	* include/ptypes.h: build-fix

	* src/unix/gid2s.c, src/string/strerror.c: stricter gcc warnings

	* src/process/modules: don't build getopt for unix...

	* src/process/getopt.c, src/cm_funcs/rcstemp.c, src/process/gethome.c, src/process/walkback.c, src/port2vms/vms2name.c, src/port2vms/vms_rpth.c, src/unix/gid2s.c, src/unix/uid2s.c, src/string/strbcmp.c, src/string/strwcmp.c, src/string/strucmp.c, include/td_lib.h, src/string/lsbycols.c, src/string/dotcmp.c, src/process/makeargv.c, include/ptypes.h, include/port2vms.h, src/port2vms/vms_wild.c, src/port2vms/path2vms.c, src/port2vms/path2dir.c, src/port2vms/name2vms.c, src/port2vms/zone2vms.c, src/port2vms/dir2path.c, src/curses/scr_size.c, src/curses/rawgets.c:
	stricter gcc warnings

	* test/td_defns.mk:
	curses tests need corresponding libs, which includes LIB_ARGS

	* test/compare/test_cmp.c, src/pathname/pathcmp.c, src/memory/doalloc.c:
	stricter gcc warnings

	* test/pathname/walktree.ref: update files in this tree

	* src/pathname/walktree.c, src/pathname/trimpath.c:
	stricter gcc warnings

	* test/pathname/trnstree.ref: update files in this tree

	* src/pathname/which.c, include/td_lib.h, src/pathname/trnstree.c, src/pathname/relpath.c, src/pathname/fileblox.c, src/pathname/fp2argv.c, src/pathname/edittree.c, src/pathname/dlettree.c, src/pathname/editfile.c, src/pathname/name2s.c, src/pathname/abspath.c, src/pathname/file2arg.c, src/memory/vecedit.c, src/compare/diffload.c:
	stricter gcc warnings

	* test/cm_funcs/rcsload.ref: filter out actual value of $TMPDIR

	* src/cm_funcs/rcsload.c: use environment's $TMPDIR in test-driver

	* test/cm_funcs/rcsload.sh:
	use caller's $TMPDIR, if set.  Ensure that $TMPDIR is exported, for use
	in the test-driver.  Make reference portable by filtering TMPDIR.

	* src/unix/s2gid.c, src/cm_funcs/sccsname.c, src/cm_funcs/samebr.c, src/cm_funcs/rcsname.c, include/rcsdefs.h, src/cm_funcs/vercmp.c, src/cm_funcs/rcsload.c, src/cm_funcs/packdate.c, src/cm_funcs/vcs_file.c, src/cm_funcs/newzone.c, src/cm_funcs/cmv_last.c, include/cmv_defs.h, src/cm_funcs/cmv_dir.c, src/unix/s2uid.c, src/pathname/edittree.c:
	stricter gcc warnings

	* include/Makefile, src/td_rules.mk, support/Makefile, test/td_rules.mk, makefile.in, src/makefile.in, test/makefile.in:
	s/run_test/check/

	* package/debian/changelog, package/td_lib.spec: bump

	* td_make.in: use ./ for run_test path

2010-07-04  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_curse.h: if ncursesw/term.h was found, use that

	* src/cm_funcs/rcslast.c:
	use a local copy of 'path' parameter, since we must modify it.

	* src/curses/win2file.c, src/memory/txtalloc.c: stricter gcc warnings

	* src/compare/btree.c: indent

	* src/sheet/field_of.c, src/pathname/trnstree.c, src/curses/scr_size.c, src/pathname/dlettree.c, src/curses/padedit.c, src/compare/m2comp.c, src/cm_funcs/sccsname.c, src/cm_funcs/sccslast.c, include/cmv_defs.h, src/cm_funcs/cmv_dir.c, src/curses/rawgets.c, src/pathname/pathcmp.c, include/td_lib.h, src/process/egress.c, src/process/in_group.c, src/pathname/name2s.c, src/memory/vecalloc.c, src/pathname/walktree.c, src/pathname/file2arg.c, src/curses/cmdch.c, include/td_curse.h, src/pathname/filecopy.c, src/curses/wrepaint.c, src/pathname/file2mem.c, src/pathname/copyback.c, src/string/strucmp.c, src/pathname/edittree.c, src/process/usercopy.c, src/unix/gid2s.c, src/unix/uid2s.c, src/curses/on_winch.c, src/process/makeargv.c, src/curses/viewfile.c, src/port2vms/vms2name.c, src/pathname/mem2file.c, src/cm_funcs/rcsload.c, src/cm_funcs/samebr.c, include/rcsdefs.h, src/cm_funcs/rcssymbs.c, src/cm_funcs/rcsperm.c, src/cm_funcs/rcspath.c, src/pathname/which.c, src/cm_funcs/vcs_file.c, src/cm_funcs/sccs_dir.c, src/cm_funcs/cvslast.c, src/cm_funcs/svn_last.c, src/cm_funcs/rcslast.c, src/cm_funcs/cmv_last.c, include/sccsdefs.h, src/cm_funcs/lastrev.c, src/cm_funcs/sccsdbug.c, src/cm_funcs/rcsedit.c, src/cm_funcs/rcs_dir.c, src/pathname/relpath.c, src/pathname/dotname.c, src/cm_funcs/rcsdebug.c, src/cm_funcs/rcstemp.c, src/port2vms/path2vms.c, src/compare/diffload.c, src/pathname/is_spath.c, src/port2vms/dir2path.c, src/process/showuids.c, src/memory/doalloc.c, src/pathname/editfile.c, src/string/strwcmp.c, src/string/strucpy.c:
	stricter gcc warnings

	* package/td_lib.spec: move td_lib.mk to data directory

	* src/unix/gid2s.c, src/process/walkback.c, src/process/userprot.c, src/process/makeargv.c, src/process/in_group.c, src/process/for_user.c, src/process/for_admn.c, src/process/execute.c:
	stricter gcc warnings

	* makefile.in: move td_lib.mk to data-directory

	* support/ins_mak: move td_lib.mk to data directory

	* src/unix/setmtime.c, src/process/revert.c, include/td_lib.h, src/pathname/istextfl.c, include/sccsdefs.h, src/cm_funcs/sccslast.c, src/cm_funcs/sccsname.c, src/string/dftenv.c, src/pathname/filesize.c, src/pathname/filecopy.c, src/pathname/pathleaf.c, include/td_curse.h, src/curses/win2file.c, src/pathname/track_wd.c, src/pathname/walktree.c, src/unix/s2uid.c, src/unix/s2gid.c, src/pathname/sameleaf.c, src/pathname/samehead.c, src/cm_funcs/sccspath.c, src/process/shoarg.c, src/process/getuser.c, src/process/gethome.c, src/process/egress.c:
	stricter gcc warnings

2010-07-03  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/track_wd.c, src/curses/win2file.c, src/curses/rawgets.c, src/curses/dumptty.c, src/cm_funcs/rcslast.c, src/unix/uid2s.c, src/curses/dumpwin.c, src/port2vms/name2vms.c, src/port2vms/vms2name.c, src/unix/gid2s.c, src/memory/txtalloc.c, include/td_btree.h, src/compare/btree.c, src/curses/cmdch.c, src/process/catarg.c, src/string/lsbycols.c, src/string/strucpy.c, src/string/strclean.c, include/td_lib.h, src/string/dyn_copy.c, src/string/dyn_cata.c, src/string/dyn_appc.c, src/string/dyn_app.c, src/process/shoarg.c, src/process/walkback.c, src/process/failed.c, src/process/egress.c, src/compare/m2comp.c, src/compare/diffload.c, src/memory/vecedit.c, src/memory/stralloc.c, src/pathname/trnstree.c, src/pathname/stat_fil.c, src/pathname/stat_dir.c, src/pathname/which.c, src/pathname/fp2argv.c, src/pathname/sameleaf.c, src/pathname/fleaf.c, src/pathname/pathcat.c, src/pathname/name2s.c, src/pathname/arg2file.c, src/memory/doalloc.c, include/dyn_str.h, src/cm_funcs/rcsname.c, src/cm_funcs/rcsload.c, src/cm_funcs/svn_last.c, src/cm_funcs/sccs_dir.c, include/sccsdefs.h, src/cm_funcs/rcstemp.c, src/cm_funcs/rcssymbs.c, src/cm_funcs/rcsedit.c, src/cm_funcs/rcs_dir.c, src/cm_funcs/cvslast.c, src/cm_funcs/newzone.c, src/cm_funcs/cmv_dir.c, src/cm_funcs/rcskeys.c:
	stricter gcc warnings

	* package/td_lib.spec: RCS_BASE

	* package/debian/changelog: bump

2010-07-02  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/changelog: bump

	* package/debian/control: fix build-depends

	* support/ins_mak: fix for empty $DESTDIR

	* package/debian/rules:
	use --disable-echo, since that passes through to ded, etc., when built with this package

	* support/ins_mak, support/ins_hdr, makefile.in:
	factor DESTDIR out of edits in ins_hdr

	* package/debian/rules: suppress selflink when building package

	* configure: regen

	* makefile.in, configure.in:
	add --disable-selflink option, since ../td_lib link can interfere with package

	* package/debian/rules: add CHANGES file
	use dh_prep rather than "dh_clean -k"
	make DESTDIR match package name

2010-07-01  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/control: improve dependencies

	* include/Makefile:
	keep reference inside tree, no need for selflink here

	* makefile.in:
	use DESTDIR to allow this to install as a debian development package

	* td_make.in: add INSTALL_INC

	* package/debian/rules: RCS_BASE

	* package/debian/source/format: use native format

	* package/debian/control, package/debian/changelog, package/debian/copyright:
	RCS_BASE

	* COPYING: fill in date-range

	* package/debian/watch: RCS_BASE

	* package/RCS, package/debian/RCS, package/debian/source/RCS:
	PERMIT FILE

2010-06-30  Thomas E. Dickey  <tom@invisible-island.net>

	* configure: regen

	* configure.in:
	change --with-warnings to --enable-warnings, for consistency

	* aclocal.m4:
	changed --with-warnings to --enable-warnings, for consistency

	* td_make.in: use DESTDIR in INSTALL_BIN, etc., for consistency

2010-06-27  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/docs: RCS_BASE

2010-06-24  Thomas E. Dickey  <tom@invisible-island.net>

	* td_make.in: add $(EXTRA_CPP_OPTS)

2010-06-23  Thomas E. Dickey  <tom@invisible-island.net>

	* configure: regen

	* aclocal.m4: add CF_MAKE_TAGS

	* configure.in: use CF_MAKE_TAGS to check for ctags flavor

	* aclocal.m4: quote params of ifelse()
	add/use CF_ADD_LIB and CF_ADD_LIBS, for consistency

2010-05-24  Thomas E. Dickey  <tom@invisible-island.net>

	* COPYING: update

	* src/pathname/trimpath.c, src/port2vms/vms_pthc.c:
	fix typo in test-driver

	* src/cm_funcs/vercmp.c, src/string/dotcmp.c: change params to const

	* include/td_lib.h: change dotcmp() and vercmp() to use const params

	* test/compare/Makefile: correct link command

	* test/cm_funcs/cmv_last.ref: generated testcase

	* test/cm_funcs/cmv_last.sh: generate testcase

	* test/cm_funcs/cmv_dir.ref: generated testcase

	* test/cm_funcs/cmv_dir.sh: generate testcase

	* makefile.in: drop mkdirs.sh, use "mkdir -p"

	* src/cm_funcs/rcs_dir.c, src/cm_funcs/rcsargpr.c, src/cm_funcs/rcslast.c, src/cm_funcs/rcssymbs.c, src/cm_funcs/sccs_dir.c, src/port2vms/vms2name.c, src/sheet/field_of.c:
	fix warnings from clang --analyze

	* configure: regen

	* aclocal.m4: add CF_LARGEFILE, CF_PROG_LINT

	* configure.in: add CF_LARGEFILE
	change inline AC_CHECK_PROGS to CF_PROG_LINT

	* aclocal.m4:
	improve checks in CF_CURSES_HEADER, CF_XOPEN_CURSES, CF_XOPEN_SOURCE, e.g.,
	to work with OpenSolaris.

2010-04-20  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/compat: RCS_BASE

2010-03-23  Thomas E. Dickey  <tom@invisible-island.net>

	* configure: regen

	* include/td_curse.h: NetBSD curses does not have term.h; adjust ifdef

	* aclocal.m4:
	improve CF_CURSES_TERM_H for cygwin, which puts term.h in different directory
	than curses.h

2010-01-14  Thomas E. Dickey  <tom@invisible-island.net>

	* configure: regen

	* td_make.in: update per CF_DISABLE_ECHO changes.
	add rules for making html/pdf/ps/txt form of manpage

	* aclocal.m4:
	updates to reduce redefinitions in CF_XOPEN_SOURCE and related macros.

2010-01-01  Thomas E. Dickey  <tom@invisible-island.net>

	* package/debian/source/format: RCS_BASE

2009-12-31  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: 2009-12-30

	* config.sub: 2009-12-31

2009-10-16  Thomas E. Dickey  <tom@invisible-island.net>

	* configure: regen

	* aclocal.m4: add check for SVN

	* src/cm_funcs/svn_last.c: implemented...

2009-10-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/lastrev.c: add svn to DED_CM_LOOKUP as needed

	* src/cm_funcs/lastrev.c: add call to svnlast()

	* src/cm_funcs/svn_last.c: RCS_BASE

	* src/cm_funcs/modules: add svn_last

	* include/rcsdefs.h: add svnlast()

	* configure: regen with autoconf-252

	* aclocal.m4:
	fix typo in CF_CHECK_FUNCDECL that prevented check for memmove() from working.

	* src/memory/memmove.c: include string.h for prototype

	* aclocal.m4: resync with my-autoconf (lots of changes)

2009-08-25  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess, config.sub: 2009-08-19

2007-03-25  Thomas E. Dickey  <tom@invisible-island.net>

	* mkdirs.sh: resync with my-autoconf

2006-10-29  Thomas E. Dickey  <tom@invisible-island.net>

	* configure: regen'd

	* configure.in: use CF_CURSES_CONFIG and CF_NCURSES_CONFIG macros

	* aclocal.m4: add CF_CURSES_CONFIG and CF_NCURSES_CONFIG
	fix for CF_MAKEFLAGS

2006-10-01  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/sccslast.c, src/cm_funcs/cmv_last.c:
	gcc warning (time_t != long)

2006-09-05  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/rcsargpr.c:
	allow '$' characters in filenames.  Probably did not originally for some
	scripting no longer needed.

	* configure: regen'd.

	* aclocal.m4:
	add CF_CHECK_FUNCDECL() so I can use it to check for built-in memmove()

	* configure.in: add a test to work around built-in memmove() in gcc 4.x

	* aclocal.m4: new macros needed after resync

	* aclocal.m4: resync with my-autoconf

	* src/memory/memmove.c: gcc warning

2006-08-14  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub: 2006-8-14

2006-07-22  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess, config.sub: 2006/7/2

2005-10-16  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/rcsload.c: appease gcc 4.0.2

	* configure: 20051016

	* aclocal.m4: new macros needed for resync

	* aclocal.m4: resync with my-autoconf

	* include/ptypes.h: AIX 5.3 compiler did not accept C++ comments

2005-09-24  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: 2005/9/19

	* config.sub: 2005/7/8

2005-01-24  Thomas E. Dickey  <tom@invisible-island.net>

	* configure: RCS_BASE

	* src/curses/dumptty.c: Intel compiler-warning

	* aclocal.m4: add CF_POSIX_C_SOURCE

	* configure.in:
	move compiler-characteristics before other checks such as header, to ensure
	that _XOPEN_SOURCE is consistently defined.

	* aclocal.m4:
	Fixes from lynx, vile: add check for Intel 8.0 compiler, ensure that
	_POSIX_C_SOURCE and _XOPEN_SOURCE have values.

2005-01-01  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub: update to 2004/11/30

	* config.guess: update to 2004/11/12

2004-09-16  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: resync - miscellaneous fixes from lynx, xterm and cdk

	* td_make.in: add EXTRA_CPPFLAGS

	* COPYING: change to diffstat's copyright style

2004-06-26  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub, config.guess: 2004-06-24

2004-03-21  Thomas E. Dickey  <tom@invisible-island.net>

	* support/selflink.sh:
	FreeBSD sh does not set $PWD (apparently csh does).  Use `pwd` instead.

2004-03-08  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: typo

	* src/cm_funcs/cvslast.c:
	I also noticed that restat'ing a line in ded caused screen trash if the
	lock owner was shown.  That was because I'd used strtok() in a situation
	where the field might be empty - strtok() skips to the next field in that
	case.  Rewrote the parsing logic.

	* src/cm_funcs/cvslast.c:
	I'd noticed that I had to restat in ded to show the first few entries in
	a directory.  Found that was because my logic for initializing the cache
	had a couple of flaws (did not initialize the data for check_timestamp
	properly, and did not read the data from the cache on the first item).

2004-03-07  Thomas E. Dickey  <tom@invisible-island.net>

	* include/ptypes.h, src/memory/txtalloc.c, src/memory/doalloc.c, src/curses/rawgets.c, src/curses/on_winch.c, src/compare/diffload.c, src/compare/btree.c, src/compare/cmpqsort.c, src/compare/m2comp.c, src/compare/scomp.c, src/curses/addchnst.c, src/curses/beep.c, src/curses/blip.c, src/curses/cmdch.c, src/curses/dumpchr.c, src/curses/dumptty.c, src/curses/dumpwin.c, src/curses/erasechr.c, src/curses/is_xterm.c, src/curses/killchar.c, src/curses/lnextchr.c, src/curses/logch.c, src/curses/padedit.c, src/curses/rawterm.c, src/curses/resizwin.c, src/curses/savewin.c, src/curses/scr_size.c, src/curses/viewfile.c, src/curses/win2file.c, src/curses/wrepaint.c, src/curses/wresize.c, src/memory/memmove.c, src/memory/stralloc.c, src/memory/vecalloc.c, src/memory/vecedit.c, src/memory/veclen.c, src/pathname/abspath.c, src/pathname/acc_mode.c, src/pathname/add2fnam.c, src/pathname/arg2file.c, src/pathname/copyback.c, src/pathname/denode.c, src/pathname/dlettree.c, src/pathname/dotname.c, src/pathname/editfile.c, src/pathname/edittree.c, src/pathname/file2arg.c, src/pathname/file2mem.c, src/pathname/fileblox.c, src/pathname/filecopy.c, src/pathname/filesize.c, src/pathname/fleaf.c, src/pathname/fleaf14.c, src/pathname/fp2argv.c, src/pathname/ftype.c, src/pathname/ftype2.c, src/pathname/is_spath.c, src/pathname/istextfl.c, src/pathname/mem2file.c, src/pathname/modechar.c, src/pathname/name2s.c, src/pathname/pathcat.c, src/pathname/pathcmp.c, src/pathname/pathhead.c, src/pathname/pathleaf.c, src/pathname/relpath.c, src/pathname/samehead.c, src/pathname/sameleaf.c, src/pathname/stat_dir.c, src/pathname/stat_fil.c, src/pathname/track_wd.c, src/pathname/trimpath.c, src/pathname/trnstree.c, src/pathname/walktree.c, src/pathname/which.c, src/port2vms/dir2path.c, src/port2vms/name2vms.c, src/port2vms/path2dir.c, src/port2vms/path2vms.c, src/port2vms/rmsio.c, src/port2vms/time2vms.c, src/port2vms/uid2s.c, src/port2vms/utimes.c, src/port2vms/vms2name.c, src/port2vms/vms_dirs.c, src/port2vms/vms_pthc.c, src/port2vms/vms_rpth.c, src/port2vms/vms_wild.c, src/port2vms/zone2vms.c, src/process/bldarg.c, src/process/catarg.c, src/process/catchall.c, src/process/egress.c, src/process/execute.c, src/process/failed.c, src/process/for_admn.c, src/process/for_user.c, src/process/gethome.c, src/process/getopt.c, src/process/getuser.c, src/process/in_group.c, src/process/interact.c, src/process/makeargv.c, src/process/revert.c, src/process/savesuid.c, src/process/shoarg.c, src/process/showuids.c, src/process/usercopy.c, src/process/userprot.c, src/process/walkback.c, src/sheet/count_ss.c, src/sheet/field_of.c, src/sheet/ss_field.c, src/string/dftenv.c, src/string/dotcmp.c, src/string/dyn_app.c, src/string/dyn_appc.c, src/string/dyn_cata.c, src/string/dyn_copy.c, src/string/dyn_str.c, src/string/lsbycols.c, src/string/ltostr.c, src/string/strbcmp.c, src/string/strclean.c, src/string/strcount.c, src/string/strerror.c, src/string/strtrim.c, src/string/strucmp.c, src/string/strucpy.c, src/string/strwcmp.c, src/unix/gid2s.c, src/unix/s2gid.c, src/unix/s2uid.c, src/unix/setmtime.c, src/unix/uid2s.c, test/compare/test_cmp.c, include/td_ext.h, include/td_curse.h, include/td_regex.h, include/td_scomp.h, include/td_lib.h, include/dyn_str.h, include/deltree.h, include/td_btree.h, include/td_qsort.h, include/vms_dirs.h, include/td_sheet.h, include/sccsdefs.h, include/rcsdefs.h, include/port2vms.h, include/cmv_defs.h, src/cm_funcs/cmv_dir.c, src/cm_funcs/cmv_last.c, src/cm_funcs/cutoff.c, src/cm_funcs/cvslast.c, src/cm_funcs/lastrev.c, src/cm_funcs/newzone.c, src/cm_funcs/next_ver.c, src/cm_funcs/packdate.c, src/cm_funcs/rcs_dir.c, src/cm_funcs/rcsargpr.c, src/cm_funcs/rcsdebug.c, src/cm_funcs/rcsedit.c, src/cm_funcs/rcskeys.c, src/cm_funcs/rcslast.c, src/cm_funcs/rcsload.c, src/cm_funcs/rcslocks.c, src/cm_funcs/rcsname.c, src/cm_funcs/rcspath.c, src/cm_funcs/rcsperm.c, src/cm_funcs/rcssymbs.c, src/cm_funcs/rcstemp.c, src/cm_funcs/rcstime.c, src/cm_funcs/samebr.c, src/cm_funcs/sccs_dir.c, src/cm_funcs/sccsdbug.c, src/cm_funcs/sccslast.c, src/cm_funcs/sccsname.c, src/cm_funcs/sccspath.c, src/cm_funcs/vcs_file.c, src/cm_funcs/vercmp.c:
	remove K&R support, indent'd

	* aclocal.m4: add CF_ANSI_CC_REQD

	* configure.in: make ANSI C (c89 actually) required

	* support/selflink.sh: RCS_BASE

	* makefile.in:
	add scripting to create a "td_lib" symbolic link if the build directory
	does not happen to be named "td_lib".  That allows me to make the actual
	directory name have a version number (patch date), but still allow building
	other components side-by-side.

	* makefile.in: remove certify

2004-02-23  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub: 2004-02-23

2004-02-20  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4:
	resync (mostly CF_XOPEN_SOURCE) with macros from lynx/ncurses/tin

2004-02-17  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: 2004-02-16

2004-02-09  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_curse.h:
	030430 Solaris 2.5.1 curses.h includes both termio.h and termios.h;
	something changed since mid-2001 when I last built, and things like
	dumptty.c don't compile because they include termios.h first, defining
	VINTR, which turns off the ifdef in Sun's curses.h that would include
	termio.h

2004-01-06  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub, config.guess: 2004-01-05

2003-11-29  Thomas E. Dickey  <tom@invisible-island.net>

	* install-sh: resync with my-autoconf

2003-11-07  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: workaround for HPUX 11.23

	* aclocal.m4:
	add CF_XOPEN_SOURCE, so there's a place to prop up HPUX builds with a
	"-D_HPUX_SOURCE" definition.

	* configure.in:
	use CF_XOPEN_SOURCE rather than CF_GNU_SOURCE (HPUX's a worse case)

2003-11-06  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4:
	ensure we're always using the derived curses.h header include

2003-11-05  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_curse.h:
	workaround for HPUX curses, which has no getmaxx(), etc.,

	* src/curses/getmaxx.c: RCS_BASE

	* src/curses/modules: add getmaxx.c

	* configure.in: add checks for getbegyx() and getmaxyx()

	* include/td_curse.h:
	handle the different ifdef's for term.h wrt ncurses, ncursesw

	* aclocal.m4: fixes for term.h wrt ncurses, ncursesw,
	broken "POSIX" head -1,
	case-independent names on cygwin and os/2,
	use EXEEXT and OBJEXT

2003-10-23  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub: 2003-08-18

	* config.guess: update

2003-07-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/cmdch.c: add a check for KEY_RESIZE

	* src/curses/resizwin.c:
	tracked a problem with ded not handling sigwinch to this module, which was
	looking for CURSES_LIKE_NCURSES - but my configure check for that doesn't
	always match ncurses anymore since struct ldat is opaque.  Settle for
	checking if both resizeterm and wresize are available.  This might work with
	NetBSD curses, which has copied those two functions.

	* aclocal.m4: add CF_GCC_VERSION

	* include/td_curse.h:
	change check for macros getmaxx() ... getbegy() to feature-checks HAVE_xxx
	since that is needed for NetBSD curses.

	* configure.in:
	add checks for getbegx(), getbegy(), getmaxx() and getmaxy() which are macros
	for most versions of curses except for NetBSD which provides functions only.

	* include/td_curse.h:
	add fallback definitions for wBegX() and wBegY(), needed with netbsd curses
	since it isn't like BSD 4.4 curses any more.

2003-06-10  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4:
	resync (fix for -Winline with gcc 3.3, fix for CSSC search path on Debian 3.0)

2003-06-02  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub: 2003-05-24 (tin)

2003-05-22  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: 2003-05-22 (tin)

2003-04-30  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/samehead.c:
	didn't notice when changing isPath() to isSlash() that the former did a
	strchr, which allowed an EOS character to "match".  Change logic to explicitly
	allow EOS.

2003-04-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cvslast.c:
	fix timezone of timestamps (it looked harder than it really was)

	* src/cm_funcs/cvslast.c: RCS_BASE

	* src/cm_funcs/lastrev.c: add cvslast

2003-04-25  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/modules: add cvslast

	* include/rcsdefs.h: add cvslast()

	* src/cm_funcs/cmv_dir.c, src/cm_funcs/rcs_dir.c, src/cm_funcs/sccs_dir.c:
	add a check for the return-value of samehead(), which only
	tells how many characters matched, not really whether the
	entire reference parameter (the second one) was completely
	matched.  This fixes a problem where I couldn't use link2rcs
	to cross-link trees on the same disk as my sccs vault.

	* src/pathname/abspath.c, src/pathname/fleaf.c, src/pathname/samehead.c:
	use isSlash() rather than strchr(PATH_DELIMS) or isPath()

	* include/td_lib.h: add prototype for samehead()

	* src/cm_funcs/cmv_dir.c, src/cm_funcs/rcs_dir.c, src/cm_funcs/sccs_dir.c:
	split-out samehead.c

	* src/pathname/modules: split-out samehead.c from sccs_dir.c, etc.

	* src/pathname/samehead.c: RCS_BASE

	* aclocal.m4:
	resync - my-autoconf uses version-number/timestamp on each macro now.

2003-02-22  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub, config.guess: resync from tin

2003-01-16  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4:
	oops - fixes for --with-ncurses, --with-ncursesw in almost all locations
	outside /usr

2002-12-21  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4:
	fixes to make --with-ncursesw configure not be confused by older curses.h's

	* aclocal.m4: typos in CF_WITH_WARNINGS

	* configure.in: oops - move --with-warnings past the compiler lookup

	* aclocal.m4, configure.in: add CF_LOCALE

	* aclocal.m4: ded: use '%' as sed-delimiter

	* configure.in: check for locale.h

	* aclocal.m4:
	add a check to ensure we don't try to add /usr/local/include to $CPPFLAGS
	when gcc 3.2 disagrees.

	* aclocal.m4: resync with my-autoconf

	* configure.in: first cut of cleanup for --with-ncursesw option

2002-12-04  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub, config.guess: resync with my-autoconf

2002-07-05  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_curse.h, include/ptypes.h, src/curses/cmdch.c:
	change ifdef convention to work with "gcc -Wundef"

	* src/curses/resizwin.c, src/curses/savewin.c, include/ptypes.h, include/td_qsort.h, src/process/execute.c, src/process/in_group.c, include/td_curse.h, include/td_regex.h, src/curses/cmdch.c, src/curses/erasechr.c, src/curses/lnextchr.c, include/sccsdefs.h, src/curses/rawterm.c, src/curses/win2file.c, src/curses/wrepaint.c, src/curses/wresize.c, src/memory/memmove.c, src/pathname/fileblox.c, src/process/getopt.c, src/string/strerror.c, src/unix/gid2s.c, src/unix/setmtime.c, src/unix/uid2s.c, src/curses/beep.c, src/curses/dumptty.c, src/curses/dumpwin.c, src/curses/killchar.c, include/td_ext.h, include/td_lib.h, src/cm_funcs/packdate.c, src/cm_funcs/sccslast.c, src/cm_funcs/vercmp.c, src/curses/addchnst.c, include/rcsdefs.h, src/curses/scr_size.c, src/curses/is_xterm.c, src/cm_funcs/newzone.c:
	change ifdef'ing convention to work with "gcc -Wundef"

	* include/.vilerc:
	change ifdef'ing convention to accommodate gcc -Wundef (mainly because I
	want to compile using Tru64's strict warnings which do the same thing).
	Correct two spurious ~endif's which no longer happen-to-work with vile.
	Use ~local to attempt to restore $wrapscan after running the macros.

	* aclocal.m4:
	add CF_CURSES_TERM_H and CF_CURSES_TERMCAP, so I can get rid of explicit
	checks for term.h and termcap.h which won't work properly on systems where
	I might have ncurses.
	Also add -Wundef to gcc warnings

	* configure.in:
	folded checks for term.h and termcap.h into CF_CURSES_TERM_H and CF_CURSES_TERMCAP

2002-07-03  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/packdate.c:
	make this work on Solaris (and seems to work still on Linux).
	Solaris has TIMEZONE_DECLARED and HAVE_TM_ISDST.  The former 'timezone'
	value is 6 hours for EDT5EDT, and the tm.tm_isdst field does get populated
	by mktime().

	* src/cm_funcs/packdate.c:
	rename some variables to make this easier to edit

	* src/string/strbcmp.c, src/string/strclean.c, src/string/strtrim.c, src/process/execute.c, src/process/makeargv.c, src/cm_funcs/cmv_dir.c, src/cm_funcs/cutoff.c, src/cm_funcs/rcsedit.c, src/cm_funcs/rcskeys.c, src/cm_funcs/rcssymbs.c, src/curses/logch.c, src/curses/rawgets.c, src/port2vms/name2vms.c, src/port2vms/vms2name.c, src/process/bldarg.c, src/process/catarg.c:
	use UCH() to fix char-subscript warnings in gcc.

	* src/memory/doalloc.c:
	change from char* to void*, to avoid cast-alignment warnings from gcc.

	* include/td_lib.h:
	change pointer used by doalloc() from char* to void* to eliminate cast-alignement
	warnings by gcc.

	* include/ptypes.h: use UCH() to fix char-subscript warnings in gcc.

2002-06-29  Thomas E. Dickey  <tom@invisible-island.net>

	* mkdirs.sh: resync with my-autoconf

2002-05-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/packdate.c:
	a tiny nit to adjust the year if it's given as 1999 rather than 99.

2002-04-30  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/sccslast.c:
	jedmics/config/make_dll.w95 used ":0" for "2000", so I tweaked to workaround

2002-04-26  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4:
	oops - noticed with tin that I had an error in the $HOME stuff

	* config.sub: resync

2002-04-21  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/packdate.c: use mktime() if available.

	* include/td_ext.h: add prototype for mktime()

	* configure.in: add check for mktime()

2002-04-16  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: add CF_GNU_SOURCE (needed for Debian unstable).
	change CF_TM_GMTOFF to use headers/ifdef's from AC_HEADER_TIME

	* src/cm_funcs/packdate.c:
	add to the test-driver (tm_isdst ifdef and timezone)

	* configure.in:
	check for _GNU_SOURCE (needed on Debian unstable to make tm.tm_gmtoff detect)

	* src/cm_funcs/packdate.c:
	hmm - running sl71 and debian (stable), I was apparently off by an hour.
	debian unstable did it "right".  That appears to be because the former
	have 'timezone', and the latter did not.  So I re-ordered to use tm_gmtoff,
	which does work the same on each platform.

	* aclocal.m4: check for CSSC's libexec path

	* include/td_curse.h: correct include-path for <ncurses/termcap.h>

2002-03-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/sccs_dir.c:
	got cm-fetch to work by lowercasing the pathnames, to work around occasional
	nits from leading caps of leaf names.

	* src/unix/setmtime.c:
	'atime' parameter did not work with cygwin when it was zero.
	so I make it default to the current time, anyway.

	* src/pathname/abspath.c: force results to lowercase with cygwin.

2002-03-20  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: resync

2002-03-19  Thomas E. Dickey  <tom@invisible-island.net>

	* include/sccsdefs.h:
	don't use 14-character names just because of CmVision, since that makes it
	hard to distinguish linux/linux2 builds

2002-01-23  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: resync with my-autoconf

2002-01-13  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_curse.h: fix for ncurses termcap.h

	* configure.in: make AC_HAVE_HEADERS simple to read

	* src/process/for_user.c: gcc warning

	* src/curses/descrip.mms: remove bindkeys

	* src/curses/modules: remove bindkeys, keycode

	* aclocal.m4: resync with my-autoconf

2002-01-02  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub: resync with my-autoconf

2001-12-15  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess, config.sub: resync with my-autoconf

2001-12-12  Thomas E. Dickey  <tom@invisible-island.net>

	* td_make.in: add @CURSES_LIBS@ and @LDFLAGS@ substitutions.

2001-12-11  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/rcslast.c: nit to make rcs_dir() provide $RCS_VAULT info

	* src/cm_funcs/vcs_file.c, src/cm_funcs/rcsname.c, src/cm_funcs/rcslast.c, src/cm_funcs/rcsargpr.c:
	quick change to rcs_dir() interface

	* src/cm_funcs/rcs_dir.c:
	use sccs_dir's $SCCS_VAULT logic here, for CS-RCS integration

	* include/rcsdefs.h:
	change interface of rcs_dir() to implement $RCS_VAULT

	* include/td_curse.h:
	quick fix for cygwin, which botched the ncurses header install

	* aclocal.m4: check for -lregex, for cygwin

2001-12-07  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: resync with macro updates for lynx

2001-10-19  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_curse.h:
	add ifdef for <ncurses/curses.h>, needed to use <unctrl.h> if I build using
	the with-local-ncurses script, i.e., putting it in /usr/local/ncurses/...

2001-08-28  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: fix for ncurses/term.h
	fix for SHELL in CF_MAKEFLAGS

	* configure.in: add check for ncurses/term.h

2001-07-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/dumpwin.c:
	fix for unknown curses style (struct ldat not defined in ncurses)

	* aclocal.m4: add CF_CURSES_CPPFLAGS
	cancel CDPATH when needed

	* configure.in: split-out CF_CURSES_CPPFLAGS
	use AC_FUNC_VFORK rather than AC_VFORK

2001-07-11  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/packdate.c:
	undef timezone, which is (mis)defined in U/Win's time.h for some macro

2001-06-22  Thomas E. Dickey  <tom@invisible-island.net>

	* install-sh: resync with my-autoconf

2001-05-19  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub, config.guess: resync: autoconf 2.50

2001-05-14  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/rawgets.c:
	rename 'newline' to 'new_line' to work with U/Win curses

	* include/td_lib.h: rename 'unix' to 'SYS_UNIX' since U/Win complains

	* include/td_curse.h:
	rename 'newline' to 'new_line', to work with U/Win curses

	* src/curses/blip.c, src/curses/padedit.c, src/curses/scr_size.c, src/curses/viewfile.c, src/memory/doalloc.c, src/pathname/abspath.c, src/pathname/add2fnam.c, src/pathname/dlettree.c, src/pathname/editfile.c, src/pathname/edittree.c, src/pathname/file2mem.c, src/pathname/fileblox.c, src/pathname/fleaf.c, src/pathname/ftype2.c, src/pathname/which.c, src/port2vms/vms_rpth.c, src/process/catchall.c, src/process/execute.c, src/process/for_admn.c, src/process/for_user.c, src/process/gethome.c, src/process/getopt.c, src/process/getuser.c, src/process/revert.c, src/process/showuids.c, src/process/usercopy.c, src/process/userprot.c, src/process/walkback.c, src/unix/s2gid.c, src/unix/s2uid.c, include/port2vms.h, include/ptypes.h, include/td_ext.h, include/vms_dirs.h:
	rename 'unix' to 'SYS_UNIX' since U/Win complains

2001-04-15  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4:
	fixes for CF_NCURSES_CPPFLAGS to work around conflicting header files in
	standard/nonstandard locations.

	* include/td_curse.h: add HAVE_NCURSES_NCURSES_H ifdef

	* configure.in: use "sort -u" anyway...

2001-02-13  Thomas E. Dickey  <tom@invisible-island.net>

	* config.sub, config.guess: resync with my-autoconf

2001-01-29  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: add CF_MIXEDCASE_FILENAMES

	* aclocal.m4:
	get rid of changequote, since it is deliberately broken in autoconf 2.49c

	* aclocal.m4: add CF_MIXEDCASE_FILENAMES
	updates for OS/2 and ncurses

2001-01-11  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess: update

	* config.sub: update - OS/2 EMX in subversions

2001-01-10  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4:
	more resync for CFLAGS/CPPFLAGS, and a fix for ncurses-version not checked

2000-12-24  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/istextfl.c, src/curses/logch.c:
	use CHR_PTYPES rather than ctype.h to cover isascii() fallback

	* configure.in: toascii() check was in the wrong group

	* aclocal.m4: updates for CFLAGS vs CPPFLAGS

	* include/ptypes.h: make configure-check for toascii()

	* configure.in: add check for toascii()

	* src/process/shoarg.c, src/process/execute.c, src/curses/dumpchr.c:
	replace ctype.h by CHR_PTYPES to allow for toascii() fallback

2000-12-23  Thomas E. Dickey  <tom@invisible-island.net>

	* src/process/bldarg.c:
	use CHR_PTYPES to resolve toascii() properly on QNX

	* src/curses/win2file.c:
	include CHR_PTYPES to make toascii() resolve properly on QNX

	* include/ptypes.h:
	add quick hack for toascii() to make this build on QNX

2000-12-02  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_lib.h:
	renamed strlcpy() to strlwcpy() to avoid bogus function on *BSD's

	* src/cm_funcs/lastrev.c, src/port2vms/vms_rpth.c, src/string/strucpy.c:
	renamed strlcpy() to strlwrcpy() to avoid conflict with bogus function on *BSD's

2000-11-01  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: various changes to port to OS/2 EMX

	* src/pathname/abspath.c: OS/2 EMX has DOS-style drive prefix

	* include/ptypes.h: OS/2 EMX has DOS-style path-separator

2000-10-25  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess, config.sub: resync

2000-10-19  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: add a check for newterm

2000-10-18  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/dumpwin.c:
	OSF1 doesn't use _leave/_leaveok, but _leave_ (I don't want to write a
	configure test for something so minor)

	* aclocal.m4: updates from lynx/tin/xterm, mainly CF_CURSES_LIBS

2000-08-24  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess, config.sub: OS/2

2000-07-21  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/sccs_dir.c:
	fix in case we're inside the vault and want to read the path w/o translation

	* src/cm_funcs/sccslast.c: mods to support $SCCS_VAULT

2000-07-18  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cutoff.c:
	a Y2K fix: SunOS and Solaris both don't use an extra 2 digits for century,
	so we need the leading 2-digit 'yy' field which is less than (20)38 for
	adding an offset of 100.

2000-06-30  Thomas E. Dickey  <tom@invisible-island.net>

	* src/memory/txtalloc.c: gcc warnings (missing initializer)

	* include/td_btree.h: add BI_NODE_NULL

	* src/unix/gid2s.c, src/unix/uid2s.c:
	gcc warnings (missing initializer)

	* src/cm_funcs/rcsedit.c, src/cm_funcs/rcstemp.c, src/process/egress.c, src/process/in_group.c, src/process/for_admn.c:
	gcc warnings (int/unsigned)

	* aclocal.m4: misc updates
	(from tin, lynx)

	* src/cm_funcs/sccs_dir.c:
	oops - I was not skipping ':' if I found one, making an infinite loop

2000-06-18  Thomas E. Dickey  <tom@invisible-island.net>

	* config.guess, config.sub: RCS_BASE

2000-01-24  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: resync with my-autoconf

	* configure.in:
	don't need LIB_PREFIX variable anymore (it's inside CF_LIB_PREFIX)

	* configure.in:
	add more fallbacks for DEFAULT_EDITOR and DEFAULT_BROWSE

	* include/ptypes.h:
	add fallback for O_BINARY (for OS/2 EMX and Cygwin ports)
	add #undef for _DOTS (Cygwin).
	revise DIR_PTYPES as per autoconf advice, making dirent.h the preferred one,
	and adding NAMLEN() macro.

2000-01-17  Thomas E. Dickey  <tom@invisible-island.net>

	* src/td_defns.mk:
	change definition of $Z to $(LIB_DEPS) to get the LIB_PREFIX variable
	substituted properly for OS/2 EMX.

	* src/pathname/which.c:
	mods to check for ".exe" suffixes in 'executable()' on OS/2 and Win32.

2000-01-09  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: various minor fixes from tin and ncurses

	* src/cm_funcs/sccslast.c:
	fix for Solaris after Y2K fix (uses "00" for 2000).

2000-01-04  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/sccslast.c:
	add sccsyear() to workaround Solaris's y2k problem

	* src/cm_funcs/cmv_last.c:
	use sccsyear() to workaround Solaris' y2k problem

	* include/sccsdefs.h: add 'sccsyear()' to hide y2k problem

2000-01-01  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/erasechr.c, src/curses/killchar.c: fix for bsd 4.4 curses

1999-12-31  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cmv_last.c: move 1900's to packdate()

	* src/cm_funcs/sccslast.c: move 1900's into packdate()

	* src/cm_funcs/rcstime.c: generate 4-digit years for 2000+

	* src/cm_funcs/packdate.c:
	move adjustment from struct-tm for 1900 into packdate()

	* include/rcsdefs.h: allow scanning of 4-digit years

	* test/td_defns.mk: oops - my override didn't work anymore

	* td_make.in: split-out CPP_CONFIG to make my override with -DTEST work

1999-11-30  Thomas E. Dickey  <tom@invisible-island.net>

	* mkdirs.sh: OS/2 fix

1999-08-16  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: add test for ttyname(), needed for BeOS port

1999-08-10  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_curse.h: oops - wrong place for the last definitions

	* src/curses/wrepaint.c, src/curses/win2file.c, src/curses/dumpwin.c:
	build with bsd4.4

	* src/curses/addchnst.c: make this build with bsd4.4

	* include/td_curse.h: add begx/y macros

	* src/pathname/modechar.c: typo?

	* aclocal.m4:
	misc updates - biggest is the CF_MAKEFLAGS check for POSIX 'make'.

	* configure.in:
	chown and link have to be tested for existence, for 'ded'

1999-01-15  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: nits from lynx

	* aclocal.m4: oops: typo in the function that tests for stat.st_blocks

1998-12-09  Thomas E. Dickey  <tom@invisible-island.net>

	* install-sh: resync with my-autoconf

1998-09-17  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cmv_last.c: fix a nit with the binary-files

1998-08-22  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cmv_dir.c: fix an int/long mismatch

1998-08-21  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/packdate.c:
	back out the 'daylight' symbol change since it does not work on Solaris.
	According to the man-pages, 'daylight' is supposed to be set as a side-effect
	of the localtime and gmttime functions, but it is not (instead it seems to
	be set from the current time).

	* src/cm_funcs/cmv_dir.c:
	changes to make cmv_lock return the binary file's modification-times.

	* src/cm_funcs/cmv_last.c:
	change so cmv_lock returns binary-file's mod-times.

1998-08-20  Thomas E. Dickey  <tom@invisible-island.net>

	* include/cmv_defs.h:
	add to cmv_lock's interface so we return binary-file's mod-time.

1998-07-21  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: add a check for gethostname()

	* aclocal.m4:
	improved CF_CURSES_FUNCS using a check for _XOPEN_SOURCE_EXTENDED

1998-07-01  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: pick up change the puts cursesX ahead of curses

1998-06-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/fileblox.c: use 'const' because dedsort.c is doing that.

	* include/td_lib.h:
	use 'const' in fileblocks() to get rid of warning for ded

	* configure.in: check for term.h

	* aclocal.m4:
	tweaks for detecting putp and tigetstr functions, which are declared in term.h

1998-05-30  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/lastrev.c: g++

	* src/pathname/which.c: signed/unsigned warnings

	* include/td_qsort.h: tweak for 'const'

	* include/td_lib.h, src/cm_funcs/rcsargpr.c, src/pathname/fp2argv.c:
	signed/unsigned warnings

	* src/memory/vecedit.c: signed/unsigned warnings.

	* src/curses/dumptty.c: signed/unsigned

	* src/cm_funcs/rcsname.c, src/cm_funcs/rcskeys.c, src/cm_funcs/rcsload.c:
	signed/unsigned warnings

	* src/port2vms/vms2name.c: signed/unsigned

	* src/process/catchall.c: signed/unsigned warnings

	* src/cm_funcs/rcsedit.c, src/cm_funcs/rcsload.c, src/cm_funcs/rcssymbs.c, src/compare/m2comp.c, src/sheet/field_of.c, src/string/dyn_app.c, src/string/dyn_cata.c, src/string/dyn_copy.c, src/string/lsbycols.c:
	compile:g++

1998-05-29  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_ext.h: compile with g++

	* include/sccsdefs.h: fix ifdef of S_FILES_14

	* include/rcsdefs.h: compile:g++

	* src/curses/cmdch.c: missing declaration

	* src/curses/rawterm.c: make sure tigetstr() is at least char*

	* src/curses/savewin.c, src/curses/resizwin.c:
	make this compile on OSF/1 4.0

	* include/sccsdefs.h: OSF/1 warning about "#define ... defined()"

	* aclocal.m4: add a test for cchar_t, needed for ifdef's for OSF/1 4.0

1998-04-27  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: must test for seteuid for HP-UX's checkin

1998-04-25  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: resync, from xterm/ncurses/lynx fixes

1998-03-19  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/win2file.c:
	hack to build on OSF/1 4.0, where cchar_t is what we assume for chtype.

	* aclocal.m4:
	define _XOPEN_SOURCE_EXTENDED to pick up the extended curses functions
	such as winnstr on OSF/1 4.0

1998-03-01  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: invoke CF_PROG_EXT, CF_LIB_PREFIX

	* aclocal.m4: add CF_LIB_PREFIX, CF_PROG_EXT

	* td_make.in: add PROG_EXT, LIB_PREFIX

	* configure.in: EMX has no chown/chgrp functions

	* configure.in: EMX doesn't have 'link()'

	* include/td_curse.h:
	undef 'HZ', which may conflict with some BSD curses headers.

	* configure.in: check for daddr_t, needed for fileblox.c on EMX

	* makefile.in:
	EMX's makefile/Makefile are the same (avoid removing them)

	* src/pathname/modechar.c: EMX doesn't define S_IFBLK

	* aclocal.m4: EMX puts sys_errlist in <stdlib.h>!

1998-02-20  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: update CF_DISABLE_ECHO's help-message

1998-02-19  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/resizwin.c: fix for SunOS 4.x BSD-curses

	* src/curses/savewin.c: fix for SunOS 4.x BSD curses

1998-02-18  Thomas E. Dickey  <tom@invisible-island.net>

	* include/headers: dropped acl.h, since it is apollo-specific

	* configure.in: trim off leading dot as special-case

1998-02-17  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/cmdch.c:
	make this actually work for bsd4.4 curses on Linux (the home/end/ppage/npage
	keys do not end with an alphabetic character, so I have to do strcmp's)

	* aclocal.m4:
	add tgoto to check for curses+termcap libraries (like the test in Lynx)

	* aclocal.m4: make sure we have a value for $cf_cv_ncurses_header

	* configure.in:
	add --enable-5lib, so we can control use of bsd or 5lib curses on SunOS

	* aclocal.m4: oops: typo in code that adds $cf_term_lib to library-list
	also, add logic to let --enable-5lib override use of /usr/5lib and /usr/5include

	* src/curses/win2file.c:
	if we don't have chtype, this is probably BSD curses (e.g., SunOS), so
	we don't want to compile with prototypes

	* src/string/strerror.c: must define ERR_PTYPES to get extern sys_nerr

1998-02-16  Thomas E. Dickey  <tom@invisible-island.net>

	* include/Makefile: drop acl.h from list

	* src/curses/rawterm.c:
	workaround for SVr4 curses, so I keep my arrow keys after running editor
	from ded.

	* configure.in: check for putp, tigetstr, but no winchstr

1998-02-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/logch.c, src/curses/cmdch.c: add home/end/ppage/npage keys

	* include/td_curse.h: add codes for home/end/ppage/npage keys

	* aclocal.m4: Unixware has an xcurses library

	* src/cm_funcs/lastrev.c: fixes for null-pointer reference

	* src/curses/dumpwin.c:
	workaround for OSF1 4.0, which uses a struct for chtype

	* src/curses/savewin.c: workaround for non-scalar chtype on OSF1 4.0

	* src/curses/resizwin.c: workaround for OSF1 4.0 (chtype is struct)

	* src/curses/win2file.c:
	make this work when chtype is a struct, assuming SVr4 curses

	* td_make.in: use more-standard symbol @CPPFLAGS@
	add $(CURSES_LIBS) symbol, for ded vs the other tools

	* aclocal.m4:
	first cut of restructuring: make td_config obsolete, use newer/better
	macros for finding curses/ncurses libraries and headers.

	* configure.in: make td_config obsolete.
	add logic for generating $(CURSES_LIBS) symbol in makefiles

	* src/cm_funcs/cvs_last.c, src/cm_funcs/prcslast.c: RCS_BASE

	* certify/Makefile: remove 'reusable.txt'

	* include/config.hin: RCS_BASE

	* makefile.in:
	remove td_config program, because my autoconf patch makes it obsolete

1998-02-02  Thomas E. Dickey  <tom@invisible-island.net>

	* mkdirs.sh: from autoconf

1997-09-16  Thomas E. Dickey  <tom@invisible-island.net>

	* makefile.in: add dummy $(SOURCES) for stupid 'make' programs

1997-09-14  Thomas E. Dickey  <tom@invisible-island.net>

	* support/ins_mak: remove the sed script when done

	* makefile.in: install td_config

1997-09-13  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: test for touchwin

	* src/curses/wrepaint.c:
	make this work on FreeBSD 2.1.5 with "BSD 4.4" curses.

	* aclocal.m4: FreeBSD has a timezone function

	* makefile.in, configure.in: don't maintain stamp-h

	* aclocal.m4: split-out CF_SRC_MAKEFILE macro

1997-09-12  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: add CF_TOP_SRCDIR

	* configure.in: use CF_TOP_SRCDIR

	* td_make.in: use TOP_SRCDIR to simplify side-by-side config

	* td_make.in: use RULE_CC rather than SHOW_CC

	* aclocal.m4: add symbol RULE_CC

	* aclocal.m4: fixes for TD_CONFIG

1997-09-11  Thomas E. Dickey  <tom@invisible-island.net>

	* makefile.in: add td_config to install/deinstall rules

	* aclocal.m4: implement CF_TD_CONFIG

	* support/td_config.c: implement quoted() and escape().

	* configure.in: use CF_TD_CONFIG for hard-core throwbacks such as SCO.

	* aclocal.m4: reorder AC_VERBOSE

	* support/td_config.c: RCS_BASE

	* aclocal.m4: change SHOW_CC to work with .c.o rule
	use $(MAKE_OPTS)

	* test/td_rules.mk: remove sources-rule

	* td_make.in: use $(MAKE_OPTS)

	* include/Makefile, certify/Makefile, support/Makefile:
	remove sources-rule

	* makefile.in: use $(MAKE_OPTS)

	* td_make.in: use SHOW_CC variable

	* makefile.in: HP-UX doesn't understand if I follow '-' with a space

	* src/curses/scr_size.c: hack for SCO

	* src/pathname/fileblox.c: force errno to be declared

	* include/ptypes.h:
	prop up PROTOTYPES definition with autoconf'd variable

	* test/pathname/fileblox.ref, test/pathname/fileblox.sh, test/cm_funcs/cmv_last.ref, test/cm_funcs/cmv_dir.ref:
	RCS_BASE

	* test/td_defns.mk: add definition of SOURCES

	* test/td_rules.mk: remove programs when cleaning

	* certify/Makefile: fix relative-TOP

	* test/sub_vars.in: RCS_BASE

	* aclocal.m4: fix location of test/sub_vars.in

	* support/ins_mak: RCS_BASE

	* makefile.in: first cut of ins_mak script

	* test/makefile.in, test/td_defns.mk:
	make TOP relative to td_lib, not its parent

	* src/td_defns.mk: use symbol $(TD_LIB) rather than $L

	* src/makefile.in:
	make TOP relative to the top of td_lib, not its parent

	* td_make.in: use TD_LIB,TD_INC symbols instead of $L, $I

1997-09-10  Thomas E. Dickey  <tom@invisible-island.net>

	* src/td_rules.mk, aclocal.m4: first cut of FreeBSD port

	* configure.in: fix environment for CF_MAKE_AR_RULES

	* aclocal.m4: first cut of test for .c.a rules

	* configure.in: add test for .c.a rules

	* support/rem_hdr: RCS_BASE

	* test/makefile.in: generate the subdir actions

	* test/td_rules.mms, test/td_defns.mms: RCS_BASE

1997-09-09  Thomas E. Dickey  <tom@invisible-island.net>

	* test/unix/modules, test/string/modules, test/process/modules, test/port2vms/modules, test/pathname/modules, test/memory/modules, test/curses/modules:
	RCS_BASE

	* aclocal.m4: generate makefiles under test directory

	* test/cm_funcs/modules: RCS_BASE

	* configure.in: generate makefiles under test directory

	* test/td_rules.mk: use distclean rather than destroy

	* src/td_rules.mk:
	don't remove makefile in distclean rule because gnu-make cheats

	* test/makefile.end: RCS_BASE

	* src/makefile.end: distclean rule will remove subdir's makefiles

	* makefile.in: better distclean rule

	* src/port2vms/modules, src/unix/modules, src/string/modules, src/sheet/modules, src/process/modules, src/pathname/modules, src/memory/modules, src/curses/modules, src/compare/modules:
	RCS_BASE

	* aclocal.m4: oops

	* test/makefile.in: don't use Makefile

	* src/td_defns.mk: use modules rather than Makefile

	* aclocal.m4: second pass of fixes for generating src/makefile

	* src/td_rules.mk: add 'distclean'

	* src/makefile.end: RCS_BASE

	* src/makefile.in: generate the subdirectory-traversal

	* makefile.in: distclean rule

	* aclocal.m4: verboseness tuning

	* src/makefile.in: all makefiles are generated

1997-09-08  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: first cut of macro to make src/*/makefiles

	* src/sub_vars.in: RCS_BASE

	* src/cm_funcs/makefile.in: moved the td_rules to the generating macro

	* configure.in: first cut of macro to make src/*/makefiles

	* src/cm_funcs/makefile.in: RCS_BASE

	* makefile.in: kill off src/Makefile, test/Makefile

	* src/cm_funcs/modules, test/makefile.in, src/makefile.in: RCS_BASE

	* makefile.in: remove generated makefiles in subdirectories

	* configure.in: generate makefiles in src, test directories

	* aclocal.m4: add CF_MAKE_INCLUDE

	* td_make.in: SET_MAKE macro

1997-09-07  Thomas E. Dickey  <tom@invisible-island.net>

	* support/ins_hdr: RCS_BASE

	* include/td_sheet.h, include/td_scomp.h, include/td_qsort.h, include/td_lib.h, include/td_curse.h, include/td_btree.h, include/ptypes.h, include/port2vms.h, include/dyn_str.h, include/deltree.h:
	quoted-includes

	* makefile.in: made a workable install rule

	* src/td_defns.mk: archive name is libtd.a

	* makefile.in: RCS_BASE

	* mkdirs.sh: ident

	* mkdirs.sh: RCS_BASE

	* install-sh: space for dynix

	* td_make.in: first cut of acmerge updates

	* aclocal.m4: fixes for CFG_CACHE_CHECK, CF_DISABLE_ECHO

	* include/Makefile: added td_btree.h and td_regex.h

	* include/headers: added td_btree.h and td_regex.hg

	* include/headers: RCS_BASE

	* include/Makefile: add rule for 'headers'

	* configure.in: generate top-level makefile

	* aclocal.m4: add CF_DISABLE_ECHO

	* include/ptypes.h: rename config.h to td_config.h

	* aclocal.m4: cleanup

	* td_make.in: make the library itself "libtd.a"

	* aclocal.m4: add macros CF_OUTPUT_IF_CHANGED and CF_SED_CONFIG_H

	* configure.in: simplify with CF_OUTPUT_IF_CHANGED and CF_SED_CONFIG_H

	* aclocal.m4: more macros...

	* configure.in: add CF_CHECK_CACHE, CF_ANSI_CC_CHECK

	* aclocal.m4: add CF_GCC_ATTRIBUTES, CF_GCC_WARNINGS, CF_STRIP_G_OPT

	* configure.in: use CF_GCC_ATTRIBUTES, CF_GCC_WARNINGS, CF_STRIP_G_OPT

	* td_make.in: use EXTRA_CFLAGS rather than CC_OPT

	* aclocal.m4: use CF_UPPER rather than CF_UPPERCASE

	* aclocal.m4: first pass of acmerge: got all macros checked-in

	* configure.in:
	renamed some macros to avoid conflict when merging with tin/lynx/vile

	* include/td_ext.h: remove redundant sys_errlist declaration

	* include/ptypes.h: use DECL_SYS_ERRLIST rather than HAVE_SYS_ERRLIST

	* aclocal.m4, configure.in: rename AC_FUNC_LSTAT to CF_FUNC_LSTAT

	* td_make.in: rename td_XXX to cf_XXX

	* aclocal.m4: rename td_XXX/TD_XXX to cf_XXX/TD_XXX

	* configure.in: rename td_XXX/TD_XXX to cf_XXX/CF_XXX

1997-03-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/cmdch.c: fix an ifdef-conflict

	* src/curses/cmdch.c:
	ifdef'd out the code that looks for escape sequences which was conflicting
	with the keypad() code

1997-02-11  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/resizwin.c: add fall-thru for SVr4-style resizing

	* aclocal.m4: add test for gpm before ncurses

1997-01-18  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: add test for use_default_colors

1997-01-04  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4:
	when adding subdirectories of .../include to include-path, add the
	parent also, unless it's already /usr/include.

	* aclocal.m4:
	oops: ANSI_VARARGS test broke because I declared foo as void.
	(wasn't an _error_ with gcc)

1997-01-02  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_ext.h: realpath()

	* configure.in: forgot to change --with-prototypes internal variable

1996-12-27  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: add TD_VARARGS

	* configure.in: use TD_VARARGS

	* configure.in: change --with-prototypes to --enable-prototypes

	* configure.in: AC_C_CROSS is obsolete in 2.12

	* configure.in:
	oops: test for 'rename()' was in the wrong place, breaking existence-check.
	also, add missing test for 'realpath()'

	* src/unix/gid2s.c: correct comment

	* aclocal.m4:
	corrected tests for tm.tm_isdst and tm.tm_zone, which somehow ran together

1996-10-20  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/wrepaint.c: fix bsd4.4 version on Linux using macros

	* aclocal.m4: $ac_cv_lib_XXXX needs function name also

1996-09-25  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/cmdch.c:
	repair interpretation of arrow-keys (broken during mods for sysv-curses,
	which _has_ arrow keys)

1996-09-03  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/sccslast.c: ignore removed-revisions

1996-05-23  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_regex.h:
	oops: on Unixware, was freeing address of pointer, not pointer

1996-04-10  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: check for 'timezone' and 'daylight' symbols

	* src/cm_funcs/cmv_dir.c:
	corrected a problem with computing the file's path for a branch that
	is off a subdirectory rather than the whole project-tree

1996-04-08  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/packdate.c:
	extern symbol 'daylight' is an extra flag on IRIX (probably other sysvr4)
	to indicate whether we do daylight-savings adjustment.  I'm pretty sure
	that older systems embedded the adjustment into 'timezone'.

1996-03-20  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/lnextchr.c: both HPUX and CLIX don't have VLNEXT

1996-02-16  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/newzone.c: args to 'putenv()' cannot be on the stack...

1996-02-05  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/rawgets.c:
	prevent write to lower-right corner; sysvr4 curses emits a newline...

1996-01-10  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/abspath.c:
	was incorrectly getting leaf in abshome for ~-parsing, rather than the
	first segment of the pathname

1996-01-09  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: added tests for wscrl, wsetscrreg

1995-12-24  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/bindkeys.c: typo

1995-12-16  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/rawterm.c:
	moved intrflush & keypad calls from cmdch, just in case spawned process
	tinkers with the keypad setting (which can change the escape sequences
	sent by cursor keys)

	* src/curses/cmdch.c: moved intrflush & keypad calls to rawterm.c

	* src/curses/logch.c: added logic to encode/decode mouse events

	* src/curses/cmdch.c, src/curses/rawterm.c:
	added hooks to use ncurses mouse-support

1995-12-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/wresize.c:
	use definition for GOOD_TOUCHWIN to distinguish solaris-curses from
	bsd-curses

	* src/curses/wrepaint.c:
	use def for GOOD_TOUCHWIN (solaris's structs look like bsd...)

	* include/td_curse.h: added def for GOOD_TOUCHWIN

1995-11-07  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/rawgets.c: corrected loop-limit in ShowAt()

1995-11-05  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/name2s.c: added tilde to shell-chars

	* src/curses/bindkeys.c:
	added some K&R arg defs for machines that need it

	* include/td_lib.h: added 'pathcat2()'

	* src/pathname/pathcat.c: added 'pathcat2()' entrypoint

	* src/curses/rawgets.c:
	corrected a test that's designed to prevent invoking ClearIt() if we've
	filled the line anyway (prevents wraparound problems in ncurses, etc.)

1995-11-04  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/rawgets.c:
	lots of little tweaks to make column-80 work properly (tested with ncurses
	1.9.7)

	* src/curses/wrepaint.c: got rid of SYS5_CURSES definition

	* include/td_curse.h: drop SYS5_CURSES definition
	added better fallbacks for wMaxX/wMaxY

1995-11-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/rawgets.c: mods to display 80th column

	* src/curses/win2file.c: tuning the loop limits (was 1-short)

	* aclocal.m4: added libcurses. to -lncurses pattern

	* Makefile:
	rules for (re)generating configure are more trouble than they're worth

	* aclocal.m4:
	further disentangling predefined $LIBS values with -lcurses vs -lncurses
	(to make cfg-bsd43 work)

1995-10-31  Thomas E. Dickey  <tom@invisible-island.net>

	* src/port2vms/zone2vms.c: mods so this (should) compile on AIX

	* include/port2vms.h: removed <sys/time.h>

	* src/curses/cmdch.c:
	mods to work on AIX, whose curses maps newline to KEY_ENTER

1995-10-21  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/erasechr.c: corrected ifdefs in eraseword()

1995-10-20  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_curse.h: added function lnext_char()

	* src/curses/lnextchr.c: RCS_BASE

	* src/curses/Makefile: added lnextchr.c

1995-10-14  Thomas E. Dickey  <tom@invisible-island.net>

	* src/port2vms/Makefile: dummy 'ALL' breaks normal compiles...

	* include/ptypes.h: added macro MODULE_ID

	* src/curses/dumpwin.c: idiots

	* src/curses/dumpwin.c: use MODULE_ID

	* src/cm_funcs/packdate.c:
	ifdef'd in case we don't have 'gettimeofday()'

	* src/cm_funcs/packdate.c: use MODULE_ID

	* src/curses/cmdch.c:
	if we've got no 'gettimeofday()' function, cannot do double_click check

	* src/curses/cmdch.c: use MODULE_ID

	* src/cm_funcs/sccslast.c: mods for 14-char pathnames

	* src/cm_funcs/sccslast.c: use MODULE_ID

	* include/td_curse.h: bsd44 curses dropped the definition of 'OK'

	* include/sccsdefs.h: added def for S_FILES_14

	* configure.in: added test for long filenames

	* include/td_lib.h: added fleaf14.c

	* src/pathname/Makefile: added fleaf14

	* src/pathname/fleaf14.c: RCS_BASE

	* src/pathname/fleaf14.c: use MODULE_ID

1995-09-20  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/fileblox.c:
	make this compile on HPUX (which has NINDIR with arguments for file-system)

	* src/pathname/fileblox.c: use MODULE_ID

1995-09-18  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/bindkeys.c: draft (incomplete) of hashing

	* src/curses/bindkeys.c: use MODULE_ID

	* src/curses/keycode.c: RCS_BASE

1995-09-16  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in, aclocal.m4:
	hack to make 'lstat' configure with Linux + gcc 2.7.0

1995-09-14  Thomas E. Dickey  <tom@invisible-island.net>

	* src/unix/gid2s.c: lint test-driver
	use memcpy to avoid possible alignment problem

	* src/unix/gid2s.c: use MODULE_ID

	* src/unix/uid2s.c: lint test-driver
	use memcpy to avoid possible alignment problem

	* src/unix/uid2s.c: use MODULE_ID

	* include/td_btree.h: fixes from axposf: more stringent alignment

	* src/memory/txtalloc.c:
	fixes the node-allocation size (oops) and an alignment problem (axposf)

	* src/memory/txtalloc.c: use MODULE_ID

1995-09-04  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4:
	added fix to let me override curses libs (since the shared libraries
	on slak 2.2 override the -L path unless I specify the full name of the
	".a" file)

	* src/curses/savewin.c: ifdef'd for bsd4.3 _only_

	* src/curses/savewin.c: use MODULE_ID

	* src/curses/wresize.c: mods for bsd4.4 curses

	* src/curses/wresize.c: use MODULE_ID

	* src/curses/resizwin.c: mods for bsd4.4 curses (don't use savewin!)

	* src/curses/resizwin.c: use MODULE_ID

	* include/td_curse.h: added fixes for bsd4.4 curses

	* src/memory/txtalloc.c:
	modified allocation scheme to avoid alignment problems

	* src/curses/wrepaint.c:
	drop hpux hack (cannot test it anymore), and added bsd4.4 curses

	* src/curses/wrepaint.c: use MODULE_ID

	* src/curses/win2file.c: make this work with bsd4.4 curses

	* src/curses/win2file.c: use MODULE_ID

	* src/curses/rawgets.c: make this work with bsd4.4 curses

	* src/curses/rawgets.c: use MODULE_ID

	* src/curses/dumpwin.c: make this work with bsd4.4 curses

	* aclocal.m4: added curses-type "bsd44"

	* src/unix/uid2s.c, src/unix/gid2s.c, include/td_btree.h:
	modified allocation scheme to avoid alignment problems

	* src/compare/btree.c:
	modified allocation scheme to avoid problems with alignment

	* src/compare/btree.c: use MODULE_ID

1995-09-03  Thomas E. Dickey  <tom@invisible-island.net>

	* src/unix/gid2s.c:
	rewrote using btree to allow for systems that may have a _lot_ of groups
	(since this is used for sorting in 'ded')

	* src/unix/uid2s.c: mods for testing with blank-passwd

	* src/unix/uid2s.c:
	rewrote to use btree (some hosts have 1000's of users!) to speed up
	sorting in 'ded'.

1995-08-15  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: corrected --with-prototypes default

1995-08-06  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/rawgets.c: guard against characters wider than 8 bits

	* src/curses/logch.c:
	assume we'll encode characters that may be wider than 8 bits

	* src/curses/logch.c: use MODULE_ID

1995-08-01  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/cmdch.c: oops: still have to test for arrow keys!

1995-07-30  Thomas E. Dickey  <tom@invisible-island.net>

	* src/memory/txtalloc.c:
	use 'doalloc()' to ensure we'll check the result...

	* src/memory/txtalloc.c:
	split-out binary-tree logic as a separate module

	* src/compare/btree.c: added function for dumping nodes

	* include/td_btree.h: added display-function

	* src/compare/Makefile: added include-deps for btree.c

	* src/compare/descrip.mms: added BTREE

	* src/compare/Makefile: added btree.c

	* include/td_btree.h, src/compare/btree.c, src/curses/is_xterm.c:
	RCS_BASE

	* src/curses/is_xterm.c: use MODULE_ID

	* include/td_curse.h, src/curses/Makefile: added 'is_xterm()'

	* aclocal.m4: added test for curses-mouse
	modified test for curses-screen to define lint

	* td_make.in: substitute lint

	* configure.in: added test for lint, is_xterm(), and curses-mouse

	* include/port2vms.h:
	don't test if $DESCRIPTOR is defined, since that breaks some ANSI compiles

	* src/curses/wresize.c, src/curses/rawgets.c, src/curses/logch.c, src/curses/cmdch.c:
	ARO/KEY-definitions

	* include/td_curse.h:
	making ARO() macro obsolete in favor of sys5 compatibility

	* src/port2vms/Makefile: added dummy 'ALL' def for osf1

	* aclocal.m4: sorted by macro name
	added TD_MAKEFLAGS and TD_UPPERCASE

	* configure.in: added "--enable-debug"
	change "--with-warnings" to "--enable-warnigns"
	use TD_MAKEFLAGS

	* td_make.in: drop COPY, CFLAGS from recursive make-flags
	derive passthru makeflags from configuration
	use CFLAGS on link-command
	use standard prefix/exec_prefix symbols

1995-07-07  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cmv_dir.c: corrected (again) 'samehead()'

	* src/cm_funcs/cmv_dir.c: use MODULE_ID

1995-07-06  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cmv_dir.c:
	mods to check for the level of the given vault-directory

	* src/curses/cmdch.c: fix for ncurses arrow-keys
	workaround for ncurses bug in intrflush vs rawterm

	* src/curses/scr_size.c: make this work on hpux, solaris

	* src/curses/scr_size.c: use MODULE_ID

	* src/curses/resizwin.c:
	rephrased so that hpux doesn't get in the way of ncurses

1995-07-05  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_curse.h:
	change interface of wresize to match what I did for ncurses

	* configure.in: check for wresize, typeahead

	* aclocal.m4: mods to pick up /usr/local/include/ncurses

	* src/curses/wresize.c:
	quick hack to make this compile with ncurse's resizeterm

1995-07-04  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/resizwin.c: moved wresize calls into resizeterm

	* include/td_curse.h:
	added fallback for 'ungetch()', which we must use with sysv curses instead
	of 'ungetc()'.

	* configure.in: added test for curses 'ungetch()'

	* include/td_curse.h, src/curses/on_winch.c: added 'enable_winch()'

	* src/curses/on_winch.c: use MODULE_ID

1995-07-03  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/resizwin.c:
	refresh curscr to force screen update in ncurses

	* src/curses/wresize.c: corrected ncurses' first/last change

1995-07-01  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/resizwin.c: I don't seem to need savewin with ncurses

	* src/curses/wresize.c: made this "work" with ncurses 1.9.3

1995-06-06  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: corrected quoting for 'tr' command

1995-05-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/dumpwin.c: removed some obscure stuff...

	* include/td_curse.h: correction for bsd-ifdef

1995-04-26  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: fixes for ncurses/normal

1995-04-22  Thomas E. Dickey  <tom@invisible-island.net>

	* src/process/userprot.c: interface change of 'setmtime()'

	* src/process/userprot.c: use MODULE_ID

	* src/pathname/filecopy.c: interface change of 'setmtime()'

	* src/pathname/filecopy.c: use MODULE_ID

	* src/unix/setmtime.c: added 'atime' arg

	* src/unix/setmtime.c: use MODULE_ID

	* include/td_lib.h: interface change of 'setmtime()'

1995-04-19  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_curse.h: correction for CURSES_LIKE_SYSV

1995-04-06  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/cmdch.c:
	test control chars _after_ testing for function-keys (osf1 uses 32-bit code
	for backspace)

1995-04-01  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4:
	look for ncurses's _line first, since it's the most restrictive case.
	also, cleanup remaining autoconf warnings.

	* aclocal.m4: added check for curses-style

	* configure.in: don't use comma in m4-list

	* aclocal.m4: reordered TD_CURSES_LIBS so I can _get_ ncurses

	* config_h.in: trim extra blank line

	* aclocal.m4:
	split TD_CURSES_DATA out of TD_CURSES_FUNCS so I can loop on functions.
	Also, added TD_MSG_LOG macro, use this in loops, other tricky places

	* configure.in:
	split TD_CURSES_FUNCS's data portion off so I can test multiple functions
	with one macro

	* src/curses/resizwin.c:
	make ncurses hack directly depend on resizeterm

1995-03-30  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/dumpwin.c: 'nother nit for ncurses

	* include/td_curse.h:
	added macros to (try to) cover up use of WINDOW struct's internal arrays

	* src/curses/dumpwin.c: updates for ncurses 1.8.8

	* src/curses/wresize.c: mods for ncurses 1.8.8 (temporarily disable)

	* src/curses/win2file.c, src/curses/savewin.c: mods for ncurses 1.8.8

	* src/cm_funcs/cmv_dir.c: fixed another spurious ';'

1995-03-25  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in:
	applied kev's vile-fix to avoid making grep produce long lines

1995-03-22  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: reorder librarys to account for autoconf 2.2

	* configure.in: reorder libraries for autoconf 2.2

1995-03-13  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cmv_dir.c: mods to support release-branches

1995-02-26  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_ext.h:
	use 'getcwd()' if we've got it -- not if we don't have getwd!

	* configure.in: solaris's -lucb is afu'd.

1995-02-17  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/sccslast.c:
	added a check for ^A to ensure we don't waste time scanning junk-files

	* README: added a note about 'configure'

	* include/td_curse.h:
	added some definitions to avoid warnings on SunOS (so I can test -with-warnings)
	and to avoid conflict with beep/erasechar/killchar

	* src/cm_funcs/cmv_last.c: got rid of redundant tests for ^A

	* configure.in:
	moved TD_REGEX after TD_CURSES to ensure that CLIX's -lPW follows -lcurses
	(to avoid conflict with 'move()').

	* src/string/strerror.c: renamed l2str

	* aclocal.m4:
	resolved a problem with vfork (when autoconf turns it off, we shouldn't
	try to turn it on!)

	* src/cm_funcs/cmv_last.c, src/string/strerror.c: use MODULE_ID

	* src/cm_funcs/cmv_dir.c:
	version-string ends with either space or semicolon

1995-02-11  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: moved the datatypes up so I can use them in prototypes

	* include/ptypes.h: added GRP_PTYPES
	also added <utime.h> to TIM_PTYPES

	* aclocal.m4:
	force gcc -Werror to get around a bug in gcc (sometimes it reports success
	and sometimes failure when emitting prototype-mismatch warnings).

	* configure.in: override autoconf 2.1's sneaking in '-g' option for gcc

	* aclocal.m4:
	make the NEED_xxx stuff turn on only when compiling with warnings.
	(it's faster)

	* aclocal.m4: _more_ corrections to TD_HAVE_FUNCS

	* include/.vilerc: this _ought_ to work

	* configure.in: sort the definitions to make differences easier to see

	* src/curses/wrepaint.c: HPUX-pre-release

	* src/string/ltostr.c:
	renamed entrypoint to avoid conflict with a more official version

	* src/pathname/acc_mode.c, src/unix/gid2s.c, src/unix/uid2s.c:
	renamed l2str

	* src/pathname/acc_mode.c, src/string/ltostr.c: use MODULE_ID

	* src/curses/resizwin.c: HPUX-pre-release

	* include/td_local.h: added a define to turn off 'main()' prototype

	* src/cm_funcs/cmv_last.c:
	don't need trailing ':', since sometimes CmVision doesn't supply it

	* include/td_regex.h: don't reference NULL, since it may not be defined

	* aclocal.m4: first pass of changes for irix/clix/hpux testing

	* include/td_lib.h: renamed l2str

	* include/td_ext.h:
	took out ifdef for 'ltostr()' since I renamed my function.

	* include/ptypes.h:
	turn off 'main' prototype when doing autoconf stuff (IRIX breaks with the
	'main()' stuff).

1995-02-03  Thomas E. Dickey  <tom@invisible-island.net>

	* Makefile: added some stuff for distclean of autoconf 2.1

	* configure.in:
	remove all escapes in definitions (e.g., before quote and space)
	moved OnHost substitution to config_h.in

	* config_h.in: moved OnHost substitution here, from configure.in

1995-02-02  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in:
	test environment-variables before actual programs for editor, etc.

	* aclocal.m4:
	third pass: corrected fullpath-macro (wasn't getting options), and
	make struct-screen test cached.

	* aclocal.m4:
	second pass: fixed sys_errlist bug, cached the remaining stuff

	* configure.in: first cut of rewrite using autoconf 2.1

1995-02-01  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: first cut of rewrite using autoconf 2.1

1995-01-30  Thomas E. Dickey  <tom@invisible-island.net>

	* include/ptypes.h: some symbols change with autoconf 2.1

	* test/cm_funcs/Makefile, test/compare/Makefile, test/curses/Makefile, test/memory/Makefile, test/pathname/Makefile, test/port2dos/Makefile, test/port2vms/Makefile, test/process/Makefile, test/sheet/Makefile, test/string/Makefile, test/unix/Makefile:
	include-ordering

	* src/cm_funcs/cmv_dir.c: lock-owner must not be null-pointer!

1995-01-29  Thomas E. Dickey  <tom@invisible-island.net>

	* Makefile: use SHELL variable locally

	* configure.in: touch stamp-h to avoid re-invoking autoconf

1995-01-28  Thomas E. Dickey  <tom@invisible-island.net>

	* test/cm_funcs/Makefile, test/compare/Makefile, test/curses/Makefile, test/memory/Makefile, test/pathname/Makefile, test/port2dos/Makefile, test/port2vms/Makefile, test/process/Makefile, test/sheet/Makefile, test/string/Makefile, test/unix/Makefile, test/td_defns.mk:
	osf1-port

	* td_make.in: use SHELL variable within makefile
	also, added .c.a direct rule

	* td_make.in:
	split up .c.a rule into .c.o, .o.a to try to make osf1 work properly
	some minor cleanup.

	* src/cm_funcs/Makefile, src/compare/Makefile, src/curses/Makefile, src/memory/Makefile, src/pathname/Makefile, src/port2dos/Makefile, src/port2vms/Makefile, src/process/Makefile, src/sheet/Makefile, src/string/Makefile, src/unix/Makefile, src/td_defns.mk:
	osf1-port

	* configure.in: added resizeterm (for ncurses extension)

	* configure.in: added setvbuf

	* aclocal.m4:
	modified treatment of -lPW so we don't put it into libs-list unless we
	need it for regex stuff.

	* include/td_curse.h: added addchnst.c

	* src/curses/addchnst.c: added interpretation of len < 0

	* src/curses/addchnst.c: use MODULE_ID

	* src/curses/addchnst.c: RCS_BASE

	* src/curses/descrip.mms, src/curses/Makefile: added addchnst.c

	* src/cm_funcs/cmv_dir.c:
	oops: not-found values for lockedby, revision are "?", not null.

1995-01-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cmv_dir.c: quick fix for binary-file version parsing

1995-01-26  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: added support for "--with-ncurses" flag

1995-01-06  Thomas E. Dickey  <tom@invisible-island.net>

	* install-sh: RCS_BASE

1995-01-05  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4: added a test for addchnstr

	* aclocal.m4: added a kludge to pick up ncurses 1.8.7

	* src/cm_funcs/cmv_last.c:
	revised the way I pick up the current-version

	* src/cm_funcs/cmv_dir.c:
	fixed a place that caused infinite loop when parsing multiple archives

1994-12-16  Thomas E. Dickey  <tom@invisible-island.net>

	* test/port2vms/descrip.mms: RCS_BASE

	* include/ptypes.h: added quiet SIG_ERR
	wrong # of args in GetTerminal/SetTerminal

	* src/curses/rawterm.c: syntax errors

	* src/curses/rawterm.c: use MODULE_ID

	* configure.in:
	first cut of splitting warning-related prototypes from the ones
	used only for driving ifdefs

1994-12-15  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_curse.h: added def for 'beep()'

	* include/td_ext.h: redundant/conflicting defs from solaris-port

	* src/process/in_group.c: tinkering with how to get NGROUPS_MAX

	* src/process/in_group.c: use MODULE_ID

1994-12-14  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: added test for limits.h

1994-11-17  Thomas E. Dickey  <tom@invisible-island.net>

	* src/memory/vecalloc.c: redundant ';'

	* src/memory/vecalloc.c: use MODULE_ID

1994-11-16  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_lib.h:
	don't use 'trace' as parameter, conflicts with name in sys-includes

1994-11-12  Thomas E. Dickey  <tom@invisible-island.net>

	* src/process/Makefile, src/process/descrip.mms: added:egress

	* include/td_lib.h: added 'egress()', 'in_group()'

	* src/process/egress.c: RCS_BASE

	* src/process/egress.c: use MODULE_ID

	* src/process/in_group.c:
	added include to pick up definition of NGROUPS_MAX

	* src/process/descrip.mms: added module in_group

	* src/process/Makefile: added in_group.c

	* src/process/in_group.c: RCS_BASE

	* configure.in: added AC_GETGROUPS_T

	* include/td_ext.h: added 'getgroups()'

1994-11-06  Thomas E. Dickey  <tom@invisible-island.net>

	* td_make.in: added defs for SHELL, COPY

	* src/cm_funcs/Makefile, certify/Makefile, support/Makefile: added ALL=

	* Makefile: added defs for SHELL, COPY

	* aclocal.m4: spurious comma

1994-11-04  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_regex.h: added some casts

1994-10-18  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/win2file.c:
	mods to handle alternate character-set (ncurses 1.8.5)

1994-10-06  Thomas E. Dickey  <tom@invisible-island.net>

	* src/Makefile: propagate lint rule

	* include/port2vms.h, include/cmv_defs.h, src/port2vms/zone2vms.c: lint

	* src/port2vms/zone2vms.c: use MODULE_ID

	* src/pathname/acc_mode.c, src/curses/on_winch.c, src/curses/wresize.c, src/curses/win2file.c:
	lint

1994-10-05  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: added test for getgroups

	* src/cm_funcs/lastrev.c: added symbol CMV_PATH

	* src/cm_funcs/lastrev.c: use MODULE_ID

	* aclocal.m4: added CMV_PATH

1994-09-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cmv_dir.c:
	consolidated some logic so that this (should) automatically purge the
	directory's copy of r-curr only when the r-curr file changes.

1994-09-28  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cmv_dir.c: implemented 'purge_cmv_dir()'

	* src/cm_funcs/cmv_last.c: mods to use 'get_cmv_lock()' interface

	* src/cm_funcs/cmv_dir.c: added entrypoint 'get_cmv_lock()' -- untested

	* include/cmv_defs.h: added defs for get_cmv_lock, purge_cmv_dir

	* src/cm_funcs/cmv_dir.c: capture info for lock-owner and revision

	* src/cm_funcs/lastrev.c:
	oops: fixed this so it works when DED_CM_LOOKUP isn't set

1994-09-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/win2file.c: mods to handle alternate character-set

1994-09-22  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/resizwin.c:
	forgot to initialize 'lc[]' in case 'scr_size()' fails

1994-08-25  Thomas E. Dickey  <tom@invisible-island.net>

	* test/port2vms/name2vms.ref:
	stripped line numbers to make this simpler to regression-test

	* src/port2vms/name2vms.c: allow leading "." for leafname

	* src/port2vms/name2vms.c: use MODULE_ID

1994-08-21  Thomas E. Dickey  <tom@invisible-island.net>

	* src/Makefile: added descrip.mms

	* src/descrip.mms: makefile for [.td_lib.src]

	* test/pathname/trnstree.ref, test/pathname/editfile.ref: shorted-names

	* support/Makefile, descrip.mms: merged PORTUNIX

	* support/lib_top.mms: renamed from TOP_LIB_RULES.MMS

	* support/prog_top.mms: renamed from STANDARD_RULES.MMS

	* support/td_progs.mms:
	renamed from PROGRAM_RULES.MMS; merged PORTUNIX with TD_LIB

	* support/td_lib.mms:
	renamed from LIBRARY_RULES.MMS, fixed some of the internal structure due
	to merging PORTUNIX

	* certify/release.txt: absorbed PORTUNIX

	* certify/config.txt: ate up PORTUNIX

	* test/pathname/walktree.ref:
	moved modules from PORTUNIX: dlettree, editfile, edittree, trnstree

	* test/pathname/trnstree.ref:
	different directory structure from PORTUNIX

	* test/pathname/edittree.ref: fixed an error in test-driver

	* src/pathname/edittree.c: fixes for Linux testing with TD_LIB

	* src/pathname/edittree.c: use MODULE_ID

	* src/pathname/editfile.c:
	recopy the argument of mktemp each time we use it on Linux. (On SunOS,
	we could re-use the same argument)

	* src/pathname/editfile.c: use MODULE_ID

	* test/pathname/editfile.sh:
	new directory structure (moved from PORTUNIX)

	* test/pathname/editfile.ref:
	different directory-structure from PORTUNIX

	* test/pathname/dlettree.ref: tweaked again

	* src/pathname/dlettree.c: misplaced free

	* src/pathname/dlettree.c: use MODULE_ID

	* src/pathname/dlettree.c: compiler warning for test-driver

	* test/pathname/dlettree.ref:
	dlettree now sorts entries, so this should be a little more portable

	* src/pathname/dlettree.c:
	sort the tree as we traverse it: not really necessary, but simplifies the
	regression testing.

	* test/pathname/trnstree.sh:
	moved from PORTUNIX (different directory structure)

	* test/pathname/Makefile:
	added programs from PORTUNIX: dlettree, editfile, edittree, trnstree

	* src/process/getopt.c: autoconf ifdef

	* src/process/getopt.c: use MODULE_ID

	* src/process/Makefile: added getopt.c (if I need it)

	* src/pathname/Makefile:
	added modules from PORTUNIX: dlettree.c, editfile.c, edittree.c, trnstree.c

	* include/port2vms.h:
	moved some modules to pathname directory: dletree, editfile, edittree, trnstree

	* src/pathname/trnstree.c: moved from PORTUNIX library

	* src/pathname/trnstree.c: use MODULE_ID

	* src/pathname/edittree.c, src/pathname/dlettree.c:
	moved from PORTUNIX library

	* src/pathname/stat_fil.c: use MODULE_ID

	* src/pathname/stat_fil.c: use:ERR_PTYPES

	* src/pathname/stat_dir.c: use MODULE_ID

	* src/pathname/stat_dir.c, src/pathname/filecopy.c: use:ERR_PTYPES

	* src/pathname/file2mem.c: use MODULE_ID

	* src/pathname/file2mem.c: use:ERR_PTYPES

	* include/td_lib.h:
	added modules from PORTUNIX: dlettree.c, editfile.c, edittree.c, trnstree.c

	* src/pathname/editfile.c: moved from PORTUNIX library

	* test/port2vms/README: renamed library

	* src/port2vms/zone2vms.c:
	well, I _can_ compile this on unix, even though it's not much use!

	* test/port2vms/Makefile:
	moved tests for unix+vms porting from PORTUNIX library

	* include/port2vms.h: renamed STAT to Stat_t

	* src/port2vms/vms_wild.c: merge:portunix

	* src/port2vms/vms_wild.c: use MODULE_ID

	* src/port2vms/time2vms.c: correct position of module-id

	* src/port2vms/dir2path.c, src/port2vms/name2vms.c, src/port2vms/path2dir.c, src/port2vms/path2vms.c, src/port2vms/rmsio.c, src/port2vms/time2vms.c, src/port2vms/uid2s.c, src/port2vms/utimes.c, src/port2vms/vms2name.c, src/port2vms/vms_dirs.c, src/port2vms/vms_pthc.c, src/port2vms/vms_rpth.c, src/port2vms/zone2vms.c:
	merge:portunix

	* src/port2vms/dir2path.c, src/port2vms/path2dir.c, src/port2vms/path2vms.c, src/port2vms/rmsio.c, src/port2vms/time2vms.c, src/port2vms/uid2s.c, src/port2vms/utimes.c, src/port2vms/vms2name.c, src/port2vms/vms_dirs.c, src/port2vms/vms_pthc.c, src/port2vms/vms_rpth.c:
	use MODULE_ID

	* src/port2vms/Makefile:
	move the really vms-specific modules here from PORTUNIX library

	* src/cm_funcs/lastrev.c, src/cm_funcs/cmv_dir.c: typos

	* include/td_local.h: added <port2vms.h>

	* include/Makefile: added vms_dirs.h, port2vms.h

	* include/port2vms.h: renamed from portunix.h

	* include/vms_dirs.h: renamed from unixdir.h

1994-08-15  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cmv_last.c:
	decode the file-modification time in the change-comment

	* src/cm_funcs/sccslast.c:
	added logic to decode CMVision's date, which is encoded in the comment

1994-08-12  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_curse.h: hack extern's for lintlibrary

1994-08-10  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cmv_dir.c:
	corrected a place where recursion was done incorrectly because I forgot to
	test for a pathname delimiter

1994-08-03  Thomas E. Dickey  <tom@invisible-island.net>

	* include/cmv_defs.h: added 'lastrev()' (does it belong here?)

	* src/cm_funcs/Makefile: added module 'lastrev.c'

	* src/cm_funcs/lastrev.c: RCS_BASE

1994-08-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cmv_dir.c: RCS_BASE

	* src/cm_funcs/Makefile: added modules cmv_dir, cmv_last

	* src/cm_funcs/cmv_last.c: RCS_BASE

	* include/Makefile: added cmv_defs.h

	* include/cmv_defs.h, test/cm_funcs/cmv_dir.sh, test/cm_funcs/cmv_last.sh:
	RCS_BASE

	* test/cm_funcs/Makefile: added test programs for cmv_dir, cmv_last

	* include/td_local.h: include CmVision defs

1994-08-01  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: try to show result of `uname -a` in config.h header

	* aclocal.m4: try including <libgen.h> for IRIX regcmp

	* include/td_regex.h: IRIX needs <libgen.h> for regcmp

	* include/td_qsort.h: PROTOTYPES is easier to remember for qsort-ansi

	* include/.vilerc: don't assume ~ works w/o glob!

1994-07-29  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_regex.h: hacks needed for CLIX regex

	* configure.in: pw.h is tested in TD_REGEX_T

	* aclocal.m4:
	mods to make CLIX sort of find regcmp (dumped core though)

	* include/ptypes.h:
	hacked something to define 'unix' for CLIX and other almost *NIX systems

	* Makefile: be more explicity about sh-commands for CLIX

1994-07-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/resizwin.c:
	simplified so I don't try to resize SYS5_CURSES (yet)

	* include/td_qsort.h: don't test ANSI_QSORT (too vague)

	* include/td_ext.h:
	always prototype 'getwd()' if we've got it (to get char * value)

	* src/curses/on_winch.c: corrected prototype def for 'catch_winch()'

1994-07-23  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/scr_size.c:
	patch to make ded work on ClarkNet (termcap breaks curses)

	* src/curses/resizwin.c: don't beep if this doesn't work!

	* include/td_regex.h: had compile/step interchanged on Solaris (oops)

	* include/td_regex.h: include <pw.h> if I think we need it.

	* aclocal.m4: added conditional test for -lPW for CLIX's regcmp

	* configure.in: test for pw.h (for CLIX's regcmp)

	* aclocal.m4:
	defined new macros TD_INCLUDE_PATH, TD_LIBRARY_PATH to use in testing for
	SunOS version of SYS5-curses

	* configure.in: clarified messages about reconfig (a little)

	* src/curses/dumpwin.c:
	dump a couple of ncurses-stuff that I wasn't paying attention to

	* src/curses/wresize.c: refined the firstch/lastch logic.
	remembered to set ncurses' scrolling region limits (caused crash!)

	* src/curses/on_winch.c:
	mods to make this (hopefully) port to HP/UX curses

	* src/curses/resizwin.c:
	intermediate adaptation for ncurses 1.8.6 and HP/UX

1994-07-22  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/wresize.c: RCS_BASE

	* src/curses/Makefile: added wresize.c

	* include/td_curse.h: split out module wresize.c from resizwin.c

	* src/curses/savewin.c: deleted a couplpe of unused nits

	* src/curses/dumpwin.c:
	made special case for ncurses bug (cannot compute it here, because I want
	to use dumpwin within resizewin!).
	Changed OUT macro to be more conventional..

1994-07-20  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/rawgets.c: hide ncurses bug in a macro

	* include/td_curse.h:
	added wMaxX/wMaxY to hide off-by-one ncurses incompatibility

	* src/curses/win2file.c, src/curses/wrepaint.c:
	hide ncurses bug in a macro

1994-07-19  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/bindkeys.c: still just notes

	* src/curses/rawgets.c:
	added def for NCURSES_ADJ (need to test other Sys5 curses)

	* src/curses/dumpwin.c: use 'pathcat()'

1994-07-18  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/rawgets.c:
	Running with ncurses 1.8.5, at least, I'm seeing the Z->_maxy value as the
	actual y-maximum value, rather than one greater.

	* test/Makefile, include/Makefile, Makefile: no-lincnt-rule

	* src/cm_funcs/sccs_dir.c:
	corrected the case where we're given a filename rather than directory as
	the 2nd arg.

	* src/cm_funcs/sccs_dir.c: use MODULE_ID

1994-07-17  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/fileblox.c: added a simple test-driver

	* include/ptypes.h: use <sys/param.h>

	* configure.in: use AC_WITH
	cut over to ncurses (?)
	added <sys/param.h>

1994-07-16  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/rawgets.c:
	explicitly want reverse-video here (rather than Sys5's bold) for standout,
	to make it extra visible

	* test/td_defns.mk: use LIB_ARGS macro

	* test/pathname/Makefile:
	added test-program (but no test script) for fileblox

	* aclocal.m4: use AC_WITH

	* src/curses/rawterm.c: typo

	* src/curses/dumptty.c: RCS_BASE

	* src/curses/dumptty.c: use MODULE_ID

	* include/td_curse.h: added 'dumptty.c'

	* src/curses/Makefile: added dumptty

	* src/curses/rawterm.c: split out 'dump_tty()' logic

	* configure.in: added tests for gettimeofday, mode_t

	* aclocal.m4: added test for -lgen (needed on Solaris for regex)
	added macro for mode_t (Solaris gcc warnings)

	* src/process/userprot.c: use:mode_t

	* src/cm_funcs/rcstemp.c: use MODULE_ID

	* src/cm_funcs/rcstemp.c: use:mode_t

	* src/pathname/mem2file.c: use MODULE_ID

	* src/pathname/mem2file.c, src/pathname/filecopy.c: use:mode_t

	* src/pathname/copyback.c: use MODULE_ID

	* src/pathname/copyback.c: use:mode_t

	* include/td_ext.h: added def for 'gettimeofday()' for Solaris

	* src/cm_funcs/rcstemp.c:
	use chmod-symbols; fixed Solaris compiler warning

1994-07-15  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_lib.h: added strerror if we don't already have it

	* src/cm_funcs/sccslast.c:
	corrected last change - broke the normal mode of operation

	* src/cm_funcs/packdate.c: corrected ifdef to work on SunOS 4.1.x

	* include/ptypes.h: added ERR_PTYPES

	* src/cm_funcs/Makefile: added sccspath.c

1994-07-13  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/fileblox.c: RCS_BASE

	* src/pathname/Makefile, include/td_lib.h: added fileblox.c

	* src/cm_funcs/sccspath.c: RCS_BASE

	* src/cm_funcs/sccspath.c: use MODULE_ID

	* include/sccsdefs.h: added args to sccs_dir
	added sccspath

	* src/cm_funcs/sccsname.c: sccs_dir-interface

	* src/cm_funcs/sccsname.c: use MODULE_ID

	* src/cm_funcs/sccs_dir.c, src/cm_funcs/sccslast.c: sccs_dir-interface

1994-07-12  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/acc_mode.c: typo

	* aclocal.m4: only redefine SIG_IGN if I'm running gcc.

	* include/ptypes.h:
	don't define 'bzero()' if we've got it as a function.
	SunOS has no "#error" control

	* include/td_regex.h: fixes for SunOS and IRIX

	* configure.in:
	generate config.h directly from conftest.h, because SunOS sed cannot
	handle the long (>4k) line length that my full configuration takes.
	Also added test for stat.st_blocks

	* aclocal.m4: mods for SunOS, CLIX and IRIX

	* src/port2vms/Makefile:
	defined dummy value for OBJS to avoid syntax err on CLIX

	* src/port2dos/Makefile:
	defined dummy value for OBJS to avoid syntax-err on CLIX

	* src/td_rules.mk: use RANLIB

	* support/Makefile: added a dummy action for dumb make programs

	* include/td_curse.h:
	don't prototype erasechar/killchar if they're macros

1994-07-11  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_regex.h: corrected test for strwcmp

	* aclocal.m4: corrected test for SunOS 're_exec()'

	* aclocal.m4: sys_errlist may not be declared

	* include/Makefile: use cpp-options for lintlib

	* include/llib-ltd: must define LINTLIBRARY to a value

	* include/ptypes.h: SunOS cpp doesn't have "#error"

1994-07-10  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/rcstemp.c, src/cm_funcs/rcsedit.c: compiler warning

	* src/cm_funcs/rcsedit.c: use MODULE_ID

	* configure.in: for now, commented out ncurses stuff

	* src/curses/cmdch.c:
	added some logic to untranslate backspace and delete keys.

	* src/pathname/acc_mode.c:
	rephrased without 'strcat()', hopefully simpler

	* include/td_curse.h: make xt_mouse explicitly extern

	* include/td_lib.h: make localzone explicitly extern

	* include/td_ext.h: define backup-macro for 'getwd()'

	* support/Makefile: td_lib.mk isn't part of this control anymore

	* test/Makefile, src/Makefile: omitted redundant 'clobber'

	* td_make.in: added 'tags' to clean-rule

	* configure.in: added has_colors

1994-07-04  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: tweaks from first pass on Solaris

	* src/curses/cmdch.c: initialize SYS5-curses with 'keypad()'

	* aclocal.m4: look for -ltermcap if we've got BSD curses

	* td_make.in: split LIBS into LIB_DEPS and LIB_ARGS

	* test/td_rules.mk, test/Makefile, src/Makefile, src/td_rules.mk, Makefile, support/Makefile:
	port:ClarkNet

	* aclocal.m4: forgot struct-screen

	* support/old-td_lib.mk: port:ClarkNet

	* src/pathname/pathcmp.c: use MODULE_ID

	* src/pathname/pathcmp.c: use PATH_SLASH (UNIX & MSDOS)

	* include/td_curse.h: mods for autoconf (ready for integration-testing)

	* configure.in: moved TD_CURSES_LIBS _before_ termcap.h
	corrected RANLIB

	* Makefile:
	added td_lib.mk to list of files that are purged in distclean

	* aclocal.m4: added TD_STRUCT_SCREEN

	* src/curses/rawterm.c: autoconf:cbreak

	* src/curses/dumpwin.c: autoconf:chtype

	* src/curses/cmdch.c: adjustments for autoconf

	* aclocal.m4: added TD_TCAP_CURSOR

	* configure.in: test for termcap.h

	* aclocal.m4: make sure we retain include-path from curses

	* configure.in: keep bsd-library after ncurses

	* Makefile: added td_make.in

	* configure.in:
	use calls to make support/td_lib.mk, and configure for ncurses

	* td_make.in: RCS_BASE

	* aclocal.m4: logic error

	* aclocal.m4: added TD_CURSES_LIBS

	* include/ptypes.h: added TRM_PTYPES

	* src/curses/erasechr.c: rewrote using autoconf definitions

	* src/curses/erasechr.c: use MODULE_ID

	* src/curses/rawterm.c: absorbed the termio stuff into ptypes.h

	* src/cm_funcs/packdate.c: autoconf:tm_isdst

	* configure.in: test for termio.h

	* include/td_local.h: added TRM_PTYPES

	* aclocal.m4: test for localzone

	* src/cm_funcs/newzone.c: autoconf:localzone

	* src/cm_funcs/newzone.c: use MODULE_ID

1994-07-02  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_ext.h: make 'ioctl()' compatible with Linux.

	* configure.in: added TD_SIG_ARGS

	* aclocal.m4:
	added more logic to encapsulate the redefined signal-macros

	* include/ptypes.h: cleanup of SIG_PTYPES for autoconf

	* aclocal.m4: tweaked a little

	* aclocal.m4: added macro TD_SIG_ARGS

	* include/ptypes.h: rationalized the case-conversion stuff

	* test/Makefile, test/td_rules.mk: polished

	* test/td_defns.mk: removed special lint rule

	* test/unix/Makefile, test/string/Makefile: RCS_BASE

	* test/process/execute.ref: adjustments to pathnames

	* test/process/usercopy.sh: relative pathnames

	* test/process/Makefile, test/port2dos/Makefile, test/port2vms/Makefile, test/sheet/Makefile:
	RCS_BASE

	* test/pathname/walktree.ref, test/pathname/walktree.sh, test/pathname/fp2argv.sh, test/pathname/relpath.ref, test/pathname/pathhead.ref, test/pathname/file2mem.ref, test/pathname/file2arg.ref, test/pathname/pathhead.sh, test/pathname/filecopy.sh, test/pathname/file2mem.sh, test/pathname/file2arg.sh, test/pathname/abspath.ref:
	relative-pathnames

	* test/pathname/Makefile, test/memory/Makefile: RCS_BASE

	* src/memory/doalloc.c: format in trace-message (gcc warning)

	* src/memory/doalloc.c: use MODULE_ID

	* test/memory/vecedit.ref, test/memory/vecedit.sh: relative pathnames

	* test/curses/Makefile: RCS_BASE

	* test/compare/diffload.ref: relative-pathnames

	* src/compare/diffload.c:
	don't show the temp-filename in the trace; it makes testing harder

	* src/compare/diffload.c: use MODULE_ID

	* test/compare/scomp.sh, test/compare/diffload.sh, test/compare/m2comp.sh:
	relative-pathnames

	* test/cm_funcs/Makefile: use variable 'THIS'

	* test/compare/Makefile: RCS_BASE

	* test/td_defns.mk: added variables THIS, S.

	* test/td_rules.mk: RCS_BASE

	* test/cm_funcs/Makefile: chopped out 'td_rules.mk'

	* test/cm_funcs/Makefile: RCS_BASE

	* src/cm_funcs/rcsload.c: test file may not be in current directory

	* src/cm_funcs/rcsload.c: use MODULE_ID

	* test/cm_funcs/rcsload.sh: adjustments for new path layout

	* src/cm_funcs/rcsname.c:
	adjustments to make this work properly when the working file isn't in the
	current directory, but the rcs directory is given as an absolute path.

	* src/cm_funcs/rcsname.c: use MODULE_ID

	* test/td_defns.mk: RCS_BASE

	* include/ptypes.h: oops

1994-07-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/string/RCS, test/unix/RCS, test/process/RCS, test/sheet/RCS, test/port2dos/RCS, test/port2vms/RCS, test/pathname/RCS, test/curses/RCS, test/memory/RCS, test/compare/RCS, test/cm_funcs/RCS:
	PERMIT FILE

1994-07-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/memory/descrip.mms: typos

	* src/unix/descrip.mms, src/unix/Makefile, src/string/descrip.mms, src/string/Makefile:
	RCS_BASE

	* src/compare/descrip.mms, src/curses/descrip.mms, src/pathname/descrip.mms, src/process/descrip.mms:
	typos

	* src/sheet/descrip.mms, src/sheet/Makefile, src/process/descrip.mms, src/process/Makefile, src/port2vms/descrip.mms:
	RCS_BASE

	* src/td_rules.mms: forgot to define libraries (do I need it?)

	* src/port2vms/Makefile, src/port2dos/Makefile, src/pathname/descrip.mms, src/pathname/Makefile, src/memory/descrip.mms:
	RCS_BASE

	* src/memory/Makefile: mem2file doesn't belong here

	* src/memory/Makefile: RCS_BASE

	* src/curses/bindkeys.c: typos

	* src/curses/descrip.mms, src/curses/Makefile, src/curses/bindkeys.c:
	RCS_BASE

	* src/td_rules.mk: supply a dummy action for dummy targets

	* src/cm_funcs/descrip.mms: use common defns/rules include-files

	* src/Makefile: added common mms-scripts

	* src/td_rules.mms, src/td_defns.mms: RCS_BASE

	* src/compare/Makefile: comment

	* src/compare/descrip.mms, src/compare/Makefile: RCS_BASE

	* src/Makefile:
	split this into a number of subdirectories, which should be easier to manage

	* src/cm_funcs/descrip.mms, src/td_defns.mk, src/cm_funcs/Makefile, src/td_rules.mk:
	RCS_BASE

1994-07-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/unix/RCS, src/string/RCS, src/sheet/RCS, src/process/RCS, src/port2vms/RCS, src/port2dos/RCS, src/pathname/RCS, src/memory/RCS, src/curses/RCS, src/compare/RCS, src/cm_funcs/RCS:
	PERMIT FILE

1994-07-02  Thomas E. Dickey  <tom@invisible-island.net>

	* certify/release.txt: started notes for 13.0

	* src/string/strerror.c: typo

	* include/ptypes.h: defined the wrong FAIL/SUCCESS

	* Makefile: added 'distclean' rule

1994-07-01  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_ext.h: added strerror, memmove, sys_errlist, timezone

	* aclocal.m4: added TD_SYS_ERRLIST
	modified TD_HAVE_FUNCS to do the second compile only if the first succeeds

	* configure.in:
	added logic to get _data_ tests for 'timezone' and 'sys_errlist[]'

	* src/cm_funcs/packdate.c:
	use different autoconf symbol, TIMEZONE_DECLARED

	* src/descrip.mms: added MEMMOVE, STRERROR

	* src/Makefile: added memmove, strerror

	* src/string/strerror.c: HAVE_SYS_NERR was a little redundant (I hope)

	* src/memory/memmove.c: RCS_BASE

	* src/memory/memmove.c: use MODULE_ID

	* configure.in: added 'memmove()', 'strerror()' tests

	* src/sheet/field_of.c: split out 'memmove.c'

	* src/sheet/field_of.c: use MODULE_ID

	* src/string/strerror.c: RCS_BASE

	* include/ptypes.h:
	moved definitions for exit-status past all includes, just in case

1994-06-30  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/rawgets.c: allow CTL/N and CTL/P as down/up arrows

	* src/curses/rawgets.c:
	renamed xbase,ybase to x_rawgets,y_rawgets and made them externs, for
	use in resizing windows

	* include/td_curse.h: added x_rawgets, y_rawgets

1994-06-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/rawgets.c:
	got this to (more or less) handle window-resizing, except that the origin
	that the caller uses may shift (unknown to this module).

1994-06-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/on_winch.c: made this work

	* src/descrip.mms: added ON_WINCH.C

	* src/Makefile: added on_winch.c

	* src/curses/on_winch.c: RCS_BASE

	* include/td_curse.h: added 'on_winch.c'

1994-06-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/scr_size.c: use BSD-style ioctl to obtain window size

	* configure.in: added ioctl.h tests

	* src/pathname/walktree.c: changed name

	* src/pathname/walktree.c: use MODULE_ID

	* aclocal.m4:
	do TD_HAVE_FUNCS in one place, to make the configure script more efficient

	* configure.in: moved test for beep, keypad funcs here

	* include/td_ext.h: added ifdefs

	* aclocal.m4: corrections to TD_HAVE_FUNCS

	* include/llib-ltd: use <td_local.h>

	* include/Makefile: added <td_local.h>

	* include/td_local.h: RCS_BASE

1994-06-25  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: add/use TD_HAVE_FUNCS

	* aclocal.m4: add/use TD_HAVE_FUNCS (bug?)

	* Makefile: got rid of acconfig.h, simplified rules a bit

	* config_h.in: RCS_BASE

	* configure.in:
	borrowed code from vile 4.5 (kev buettner) for generating config.h
	without needing my own aclocal.h

	* aclocal.m4: comment

	* include/ptypes.h: unraveled (I hope) the WAI_PTYPES stuff

	* aclocal.m4: added TD_WAIT

	* acconfig.h: added WAIT_USES_UNION

	* include/Makefile: added td_ext.h file

	* configure.in: add/use TD_WAIT

	* include/.vilerc:
	added macros for inserting/deleting ifdefs in the whole file, so I can
	work on the clarified source

	* include/.vilerc: fixed a couple of bugs

	* include/ptypes.h: use GNU-style HAVE_CONFIG_H

	* include/deltree.h, include/dyn_str.h, include/rcsdefs.h, include/sccsdefs.h, include/td_curse.h, include/td_lib.h, include/td_qsort.h, include/td_regex.h, include/td_scomp.h, include/acl.h:
	name-convention

	* include/ptypes.h: first cut of splitting out "td_ext.h"

	* include/td_ext.h, include/.vilerc: RCS_BASE

1994-06-24  Thomas E. Dickey  <tom@invisible-island.net>

	* include/td_curse.h: changed name convention for ifdef

	* include/td_lib.h: changed name-convention for ifdef

1994-06-23  Thomas E. Dickey  <tom@invisible-island.net>

	* aclocal.m4, configure.in: added macro TD_SIZE_T

	* aclocal.m4, configure.in:
	renamed _my_ macros to distinguish them from GNU's

1994-05-30  Thomas E. Dickey  <tom@invisible-island.net>

	* include/ptypes.h: tweaks for compile on Solaris

	* include/ptypes.h: got rid of ANSI_CPP symbol

	* src/cm_funcs/vercmp.c: obsoleted ANSI_CPP symbol

	* src/cm_funcs/vercmp.c: use MODULE_ID

	* src/curses/erasechr.c: use HAVE_ERASECHAR ifdef

	* acconfig.h: added HAVE_ERASECHAR, HAVE_KILLCHAR, HAVE_TYPE_CHTYPE

	* include/td_curse.h: use HAVE_ERASECHAR, HAVE_KILLCHAR ifdefs

	* aclocal.m4:
	support for AC_CURSES: beep, keypad, chtype, erasechar, killchar

	* src/curses/killchar.c: use HAVE_KILLCHAR ifdef

	* src/curses/killchar.c: use MODULE_ID

	* configure.in: moved curses tests into a macro AC_CURSES

	* src/curses/rawgets.c:
	recognize backspace as an erase-character, so that ded's test-scripts port

	* src/curses/cmdch.c: use HAVE_KEYPAD from autoconf

	* include/td_curse.h: use autoconf symbol HAVE_BEEP

	* include/sccsdefs.h: added 'sccs_debug()'

	* src/process/execute.c: moved a return-statement to avoid gcc warning

	* src/process/execute.c: use MODULE_ID

	* src/cm_funcs/next_ver.c: gcc warning about format

	* src/cm_funcs/next_ver.c: use MODULE_ID

	* Makefile: added first cut of rules for autoconf

	* configure.in:
	added calls on AC_PROGRAM_FULLPATH to get ded's predefined pathnames

	* aclocal.m4: added macro for AC_PROGRAM_FULLPATH

	* acconfig.h:
	added variables for DEFAULT_EDITOR, DEFAULT_BROWSE, DEFAULT_PAGER

	* src/Makefile: added sccsdbug.c

	* src/cm_funcs/sccsdbug.c: RCS_BASE

	* src/cm_funcs/sccsdbug.c: use MODULE_ID

	* Makefile:
	added <td_regex.h> definitions, and autoconf files to SOURCES

	* src/Makefile:
	derive RCS_PATH definition from autoconf instead of the hack that I was
	using for rcspath.h

	* src/cm_funcs/rcspath.c:
	don't need rcspath.h anymore, since I derive this via autoconf

	* src/cm_funcs/rcspath.c: use MODULE_ID

	* configure.in:
	added logic to determine where RCS is installed (for setuid programs),
	and added SCCS_PATH, VCS_PATH, CVS_PATH for future ifdef'ing.

	* aclocal.m4: added AC_PROGRAM_PREFIX and AC_RCS_SCCS

	* acconfig.h: added definitions for RCS/SCCS/VCS/CVS paths

1994-05-29  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in:
	use AC_REGEX to absorb some macro calls (so it's simpler to understand)

	* aclocal.m4:
	finished off the cases that I know about for <regex.h> and related

	* acconfig.h:
	added HAVE_REGEXPR_H_FUNCS, HAVE_REGCMP_FUNCS, HAVE_RE_COMP_FUNCS

	* include/td_regex.h: RCS_BASE

1994-05-28  Thomas E. Dickey  <tom@invisible-island.net>

	* acconfig.h: added HAVE_REGEX_H_FUNCS

	* aclocal.m4: built test for HAVE_REGEX_H_FUNCS

	* acconfig.h: added HAVE_NEW_TOKEN_QUOTE, HAVE_OLD_TOKEN_QUOTE

	* aclocal.m4:
	finished off the tests for AC_ANSI_CPP by testing for the token-quoting
	operations also.

	* aclocal.m4:
	make AC_ANSI_CPP's messages clearer (by using lower-level autoconf macros)

	* configure.in: use correct revision-code

	* aclocal.m4:
	I learned a hard lesson about quoting in m4: quote everything!

	* aclocal.m4: use my own copy of AC_DEFINE (now TD_DEFINE)

	* certify/Makefile, support/old-td_lib.mk: use new symbol RM

1994-05-27  Thomas E. Dickey  <tom@invisible-island.net>

	* acconfig.h: first cut for AC_ANSI_CPP

	* aclocal.m4: first cut of AC_ANSI_CPP (doesn't work for some reason)

	* configure.in: added AC_ANSI_CPP, AC_GMTOFF

	* include/ptypes.h: obsoleted ANSI_CPP definition

1994-05-24  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: added tests for <regex.h>, etc.

1994-05-23  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in: added test for 'rename()'

	* src/curses/rawterm.c: added more debug-traces

	* acconfig.h: added TIMEZONE_DECLARED, HAVE_TM_GMTOFF, HAVE_TM_ZONE

	* src/unix/setmtime.c: expressed in terms of HAVE_UTIME_H

	* src/cm_funcs/packdate.c:
	expressed in terms of TIMEZONE_DECLARED, HAVE_TM_GMTOFF, HAVE_TM_ZONE

	* aclocal.m4: added macro AC_GMTOFF

	* include/ptypes.h: more tweaks (a long way to go)

	* configure.in: added macros to handle timezone variable, etc.

	* src/curses/wrepaint.c: express in terms of SYS5_CURSES

	* src/cm_funcs/rcstime.c: use MODULE_ID

	* src/cm_funcs/rcstime.c, src/curses/cmdch.c, src/cm_funcs/newzone.c:
	use TIM_PTYPES

	* src/process/interact.c: use MODULE_ID

	* src/process/interact.c: use OPN_PTYPES

	* src/curses/beep.c: use HAVE_BEEP

	* src/curses/beep.c: use MODULE_ID

1994-05-22  Thomas E. Dickey  <tom@invisible-island.net>

	* configure.in:
	added hooks for <termios.h>, <sgtty.h>, tcgetattr(), utime(), uid_t

	* src/unix/setmtime.c: use autoconf symbols HAVE_UTIME_H

	* src/process/execute.c: use autoconf symbol HAVE_EXECVP

	* src/curses/dumpwin.c: moved the USE_NCURSES fix to <td_curse.h>

	* include/td_curse.h:
	mods so I can compile with <ncurses.h> vs <curses.h>

	* src/curses/rawterm.c:
	mods to compile with Solaris; adapted with 'autoconf'

	* include/ptypes.h: first pass of changes to accommodate 'autoconf'

	* acconfig.h: RCS_BASE

	* configure.in: added hooks for dev_t, ino_t, off_t

	* aclocal.m4, configure.in: RCS_BASE

	* src/pathname/walktree.c: mods for 'autoconf'

1994-05-21  Thomas E. Dickey  <tom@invisible-island.net>

	* test/compare/test_cmp.c: renamed-STAT

	* MANIFEST.new: after one pass with Configure

	* patchlevel.h: RCS_BASE

	* src/cm_funcs/rcslast.c, src/cm_funcs/rcsperm.c, src/cm_funcs/rcstemp.c, src/cm_funcs/sccslast.c, src/pathname/stat_dir.c, src/pathname/stat_fil.c, src/pathname/walktree.c, src/pathname/which.c:
	renamed-STAT

	* src/cm_funcs/rcslast.c, src/cm_funcs/rcsperm.c, src/pathname/which.c:
	use MODULE_ID

	* src/cm_funcs/rcsedit.c, src/pathname/pathhead.c: renamed-STAT

	* src/pathname/pathhead.c: use MODULE_ID

	* src/pathname/mem2file.c, src/pathname/filesize.c: renamed-STAT

	* src/pathname/filesize.c: use MODULE_ID

	* src/pathname/filecopy.c, src/compare/diffload.c, src/cm_funcs/rcsargpr.c:
	renamed-STAT

	* src/cm_funcs/rcsargpr.c: use MODULE_ID

	* include/td_lib.h, include/ptypes.h, include/rcsdefs.h: renamed-STAT

	* MANIFEST.new: RCS_BASE

	* src/curses/rawterm.c: comment

	* src/curses/dumpwin.c: make this compile with NCURSES

	* src/curses/cmdch.c: first pass of adaptations for NCURSES

	* include/td_curse.h: starting to test with NCURSES

	* src/curses/beep.c: tested specifically for curses 'beep()'

	* include/td_curse.h, include/ptypes.h: port to Solaris (__svr4__)

	* src/curses/rawterm.c: hack to make this run on Solaris

	* src/curses/erasechr.c: port to Solaris

1994-04-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/wrepaint.c, src/curses/rawterm.c: Linux-port

1994-04-26  Thomas E. Dickey  <tom@invisible-island.net>

	* include/ptypes.h: make this compile with Linux

	* src/curses/beep.c, src/curses/erasechr.c: Linux-port

	* include/td_curse.h: compiled on Linux

1994-04-01  Thomas E. Dickey  <tom@invisible-island.net>

	* COPYING: notice for alt.sources

	* COPYING: standardized my language

1993-12-04  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/which.c: port to MS-DOS

	* src/process/execute.c: port to MS-DOS (actually TurboC)

	* src/process/getopt.c: ifdefs

	* include/port2vms.h: ifdefs, TurboC clean-compile

	* src/pathname/abspath.c: port to MS-DOS

	* src/pathname/abspath.c: use MODULE_ID

1993-12-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/abspath.c: corrected isSlash mod for "~"

	* src/curses/cmdch.c: lint

	* include/ptypes.h: more tweaks for SunOs lint

	* src/cm_funcs/rcslast.c, src/pathname/sameleaf.c: PATH_SLASH-hacks

1993-12-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/sameleaf.c: use MODULE_ID

1993-12-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/sccsname.c, src/cm_funcs/rcsname.c, src/pathname/trimpath.c:
	PATH_SLASH-hacks

1993-12-02  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/trimpath.c: use MODULE_ID

1993-12-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawterm.c:
	do a 'refresh()' in 'cookterm()' to allow most 'refresh()' calls in DED
	to be removed.

1993-12-01  Thomas E. Dickey  <tom@invisible-island.net>

	* src/port2vms/vms_rpth.c: ifdefs/TurboC-warnings

	* src/port2vms/zone2vms.c, src/port2vms/vms_wild.c: ifdefs

	* src/port2vms/vms_pthc.c, src/port2vms/vms2name.c:
	ifdefs/TurboC-warnings

	* src/port2vms/utimes.c, src/port2vms/vms_dirs.c, src/port2vms/uid2s.c, src/pathname/trnstree.c, src/port2vms/time2vms.c, src/port2vms/rmsio.c:
	ifdefs

	* src/pathname/editfile.c: ifdefs/TurboC-warnings

	* src/port2vms/path2vms.c, src/port2vms/path2dir.c: ifdefs

	* src/port2vms/name2vms.c: ifdefs/TurboC-warnings

	* src/pathname/edittree.c, src/pathname/dlettree.c, src/port2vms/dir2path.c:
	ifdefs

1993-12-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/gethome.c: compiler-warning (clcc)

1993-12-01  Thomas E. Dickey  <tom@invisible-island.net>

	* src/process/gethome.c: use MODULE_ID

1993-12-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/packdate.c, src/pathname/file2mem.c, src/pathname/file2arg.c:
	CLCC-warnings

1993-12-01  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/file2arg.c: use MODULE_ID

1993-12-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/td_qsort.h: defined ANSI_QSORT

	* include/ptypes.h: some CLCC-warnings

1993-11-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/packdate.c:
	need <sys/time.h> on apollo (maybe on sunos too?)

	* src/descrip.mms, src/Makefile: added module 'fleaf'

	* src/pathname/fleaf.c: tweaks for trailing newline

1993-11-30  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/fleaf.c: use MODULE_ID

1993-11-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/ptypes.h: first pass of adaptations to MSDOS

	* src/pathname/which.c: mods for MSDOS

	* src/pathname/file2mem.c: limited file size available on MSDOS

	* src/pathname/denode.c: mods for MSDOS

1993-11-28  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/denode.c: use MODULE_ID

1993-11-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/abspath.c: first cut for MSDOS (partly tested)

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/relpath.c: mods for MSDOS

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/relpath.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/fleaf.c: RCS_BASE

	* src/curses/blip.c: mods for MSDOS

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/blip.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/td_lib.h, include/td_curse.h: adapted to MSDOS

	* src/cm_funcs/vcs_file.c: use macro 'isSlash()' for unix/MSDOS porting

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/vcs_file.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/name2s.c: mods for MSDOS

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/name2s.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/walktree.c:
	TurboC compiler warnings, and MSDOS/unix path-delimiters

	* src/pathname/pathcat.c: tweaks for porting to MSDOS

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/pathcat.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/sccslast.c: mods for MSDOS

	* src/cm_funcs/rcslast.c: mods for TurboC/MSDOS

	* src/pathname/pathhead.c: mods for MSDOS

	* src/pathname/trimpath.c, src/cm_funcs/sccsname.c:
	mods to "should" work on MSDOS

	* src/pathname/sameleaf.c: first cut of port to MSDOS

	* src/cm_funcs/rcsname.c: mods to make it "should" work on MSDOS

	* src/cm_funcs/rcsargpr.c:
	use 'fleaf_delim()' so this "should" work on MSDOS

	* src/pathname/pathleaf.c: mods to make it "should" work for MSDOS

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/pathleaf.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/ftype2.c: mods to make it "should" work on MSDOS

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/ftype2.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/ftype.c: port to MSDOS

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/ftype.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcsedit.c: make this compile on TurboC

	* src/pathname/add2fnam.c: port to MSDOS

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/add2fnam.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/is_spath.c: port to MSDOS

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/is_spath.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/file2arg.c, src/process/shoarg.c:
	TurboC compiler warning

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/process/shoarg.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/unix/setmtime.c: include <time.h> for TurboC

	* src/cm_funcs/rcsperm.c, src/cm_funcs/samebr.c:
	TurboC compiler warning

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/samebr.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/savewin.c: clean compile with TurboC

	* src/cm_funcs/next_ver.c, src/string/ltostr.c: TurboC compiler warning

	* src/process/usercopy.c: ifdef'd for unix-only

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/process/usercopy.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/viewfile.c: ifdef'd for unix-only

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/viewfile.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/userprot.c, src/process/showuids.c: ifdef'd for unix-only

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/process/showuids.c: use MODULE_ID

1993-11-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/memory/doalloc.c: ifdef'd out walkback-call (unix-only)

	* src/compare/cmpqsort.c: compiler-warnings for MSDOS

1993-11-27  Thomas E. Dickey  <tom@invisible-island.net>

	* src/compare/cmpqsort.c: use MODULE_ID

1993-11-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/walkback.c: ifdef'd for unix-only

1993-11-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/process/walkback.c: use MODULE_ID

1993-11-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/unix/s2gid.c: ifdef'd for unix-only

1993-11-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/unix/s2gid.c: use MODULE_ID

1993-11-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/unix/s2uid.c, src/unix/uid2s.c: ifdef'd for unix-only

1993-11-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/unix/s2uid.c: use MODULE_ID

1993-11-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/revert.c: ifdef'd for unix-only

1993-11-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/process/revert.c: use MODULE_ID

1993-11-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/padedit.c: ifdef'd for unix-only

1993-11-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/curses/padedit.c: use MODULE_ID

1993-11-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/packdate.c: port to MSDOS (untested)

	* src/unix/gid2s.c: ifdef'd for unix-only

	* src/curses/killchar.c: changed ifdef for SYS5_CURSES

	* src/process/getuser.c: ifdef'd for unix-only

1993-11-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/process/getuser.c: use MODULE_ID

1993-11-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/gethome.c: hack for vms & MSDOS

	* src/process/for_user.c: ifdef'd for unix-only

1993-11-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/process/for_user.c: use MODULE_ID

1993-11-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/for_admn.c: ifdef'd for unix-only

1993-11-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/process/for_admn.c: use MODULE_ID

1993-11-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/filecopy.c: compiled with TurboC

	* src/process/execute.c: hack for MSDOS (doesn't work at all there yet)

	* src/curses/erasechr.c: ifdef'd for MSDOS

	* src/curses/dumpwin.c: compile on TurboC

	* src/curses/cmdch.c: ifdef'd for SYS5_CURSES

	* include/td_qsort.h: adapted to MSDOS

	* src/curses/beep.c: ifdef'd for SYS5_CURSES

	* src/process/catchall.c: compiled with TurboC

1993-11-26  Thomas E. Dickey  <tom@invisible-island.net>

	* src/process/catchall.c: use MODULE_ID

1993-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawgets.c: added mouse support for xterm

1993-11-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawterm.c: added the test for TERM==xterm

1993-11-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawterm.c: oops: wasn't disabling mouse-tracking...

1993-11-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/cmdch.c:
	added mouse-support, including button press/release and double-clicking

	* include/td_curse.h: definitions for mouse-support

1993-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawterm.c:
	added entrypoint 'cookterm()' to encapsulate the mouse enable/disable
	for DED.

	* src/curses/viewfile.c: use 'cookterm()' rather than 'resetty()'

1993-11-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/td_curse.h, include/Makefile, src/Makefile, src/descrip.mms, src/curses/cmdch.c, src/curses/logch.c, src/curses/rawgets.c:
	absorbed:cmdch.h

1993-11-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/cmdch.c: tweaks for HP/UX and gcc

	* certify/reusable.txt, certify/release.txt: *** empty log message ***

	* src/curses/dumpwin.c: ifdef-ident

	* include/td_curse.h: hack to make lintlib work again

	* src/curses/erasechr.c: patch for HP/UX

	* src/curses/wrepaint.c: hack to run on HP/UX, a pseudo-Sys5.4 system

	* src/curses/rawterm.c:
	patched this to run on HP/UX, where 'nonl()' does not appear to work

1993-10-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/vercmp.c:
	use new symbol ANSI_CPP so we can port "#n" ,substitutions

	* include/ptypes.h: defined new symbol ANSI_CPP

	* include/ptypes.h: port to HP/UX

	* src/unix/s2gid.c, src/curses/scr_size.c: ifdef-ident
	compile on HP/UX

	* src/curses/win2file.c: ifdef-ident

	* include/td_curse.h: port to HP/UX

	* support/old-td_lib.mk: added NO_IDENT ifdef for linting ident's

	* src/cm_funcs/cutoff.c, src/compare/cmpqsort.c, src/curses/beep.c, src/curses/blip.c, src/curses/dumpchr.c, src/memory/doalloc.c, src/pathname/abspath.c, src/pathname/acc_mode.c, src/pathname/add2fnam.c, src/pathname/arg2file.c, src/pathname/copyback.c, src/pathname/denode.c, src/pathname/dotname.c, src/process/bldarg.c, src/process/catarg.c, src/process/catchall.c, src/string/dftenv.c, src/string/dotcmp.c:
	ifdef-ident

	* src/compare/diffload.c: ifdef-ident
	compile on HP/UX

1993-10-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/cutoff.c, src/curses/dumpchr.c, src/pathname/arg2file.c, src/pathname/dotname.c, src/process/bldarg.c, src/process/catarg.c, src/string/dftenv.c, src/string/dotcmp.c:
	use MODULE_ID

1993-10-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/file2arg.c, src/pathname/file2mem.c, src/pathname/filesize.c, src/pathname/fp2argv.c, src/pathname/ftype.c, src/pathname/ftype2.c, src/process/execute.c, src/process/failed.c, src/process/for_admn.c, src/process/for_user.c, src/process/gethome.c, src/process/getuser.c, src/sheet/field_of.c:
	ifdef-ident

	* src/pathname/filecopy.c, src/unix/gid2s.c: ifdef-ident
	compile on HP/UX

1993-10-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/pathname/fp2argv.c, src/process/failed.c: use MODULE_ID

1993-10-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawgets.c: gcc warnings for HP/UX

	* src/cm_funcs/next_ver.c, src/cm_funcs/packdate.c, src/cm_funcs/rcs_dir.c, src/cm_funcs/rcsdebug.c, src/compare/m2comp.c, src/curses/killchar.c, src/curses/logch.c, src/curses/padedit.c, src/curses/rawterm.c, src/pathname/is_spath.c, src/pathname/istextfl.c, src/pathname/mem2file.c, src/pathname/modechar.c, src/pathname/name2s.c, src/pathname/pathcat.c, src/pathname/pathcmp.c, src/pathname/pathhead.c, src/pathname/pathleaf.c, src/process/makeargv.c, src/string/lsbycols.c, src/string/ltostr.c:
	ifdef-ident

	* src/process/interact.c: ifdef-ident
	compile on HP/UX

	* src/cm_funcs/newzone.c: port to HP/UX

1993-10-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/rcs_dir.c, src/cm_funcs/rcsdebug.c, src/compare/m2comp.c, src/pathname/istextfl.c, src/pathname/modechar.c, src/process/makeargv.c, src/string/lsbycols.c:
	use MODULE_ID

1993-10-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcskeys.c, src/cm_funcs/rcslast.c, src/cm_funcs/rcsload.c, src/cm_funcs/rcslocks.c, src/cm_funcs/rcsname.c, src/cm_funcs/rcspath.c, src/cm_funcs/rcsperm.c, src/cm_funcs/rcssymbs.c, src/cm_funcs/rcstemp.c, src/cm_funcs/rcstime.c, src/cm_funcs/samebr.c, src/cm_funcs/sccs_dir.c, src/cm_funcs/sccslast.c, src/cm_funcs/sccsname.c, src/compare/scomp.c, src/curses/resizwin.c, src/curses/savewin.c, src/memory/stralloc.c, src/pathname/relpath.c, src/pathname/sameleaf.c, src/process/revert.c, src/process/shoarg.c, src/sheet/ss_field.c, src/string/strbcmp.c, src/unix/s2uid.c:
	ifdef-ident

	* src/cm_funcs/rcsedit.c: ifdef-ident
	compile on HP/UX

	* src/unix/setmtime.c: port to HP/UX

1993-10-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/cm_funcs/rcskeys.c, src/cm_funcs/rcslocks.c, src/cm_funcs/rcssymbs.c, src/compare/scomp.c, src/memory/stralloc.c, src/sheet/ss_field.c, src/string/strbcmp.c:
	use MODULE_ID

1993-10-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcsargpr.c, src/cm_funcs/vcs_file.c, src/cm_funcs/vercmp.c, src/curses/viewfile.c, src/memory/txtalloc.c, src/memory/vecalloc.c, src/memory/vecedit.c, src/memory/veclen.c, src/pathname/stat_dir.c, src/pathname/stat_fil.c, src/pathname/track_wd.c, src/pathname/trimpath.c, src/pathname/walktree.c, src/pathname/which.c, src/process/savesuid.c, src/process/showuids.c, src/process/usercopy.c, src/process/userprot.c, src/process/walkback.c, src/string/dyn_copy.c, src/string/dyn_str.c, src/string/strclean.c, src/string/strcount.c, src/string/strtrim.c, src/string/strucmp.c, src/string/strucpy.c, src/string/strwcmp.c, src/unix/uid2s.c:
	ifdef-ident

1993-10-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/memory/vecedit.c, src/memory/veclen.c, src/pathname/track_wd.c, src/process/savesuid.c, src/string/dyn_copy.c, src/string/dyn_str.c, src/string/strclean.c, src/string/strcount.c, src/string/strtrim.c, src/string/strucmp.c, src/string/strucpy.c, src/string/strwcmp.c:
	use MODULE_ID

1993-10-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/sheet/count_ss.c, src/string/dyn_app.c, src/string/dyn_appc.c, src/string/dyn_cata.c:
	ifdef-ident

1993-10-29  Thomas E. Dickey  <tom@invisible-island.net>

	* src/sheet/count_ss.c, src/string/dyn_app.c, src/string/dyn_appc.c, src/string/dyn_cata.c:
	use MODULE_ID

1993-10-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/td_qsort.h: port to HP/UX

1993-09-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawgets.c:
	modified 'InsertAt()' to fix a Purify warning (I was reading past the end
	of the string as I was rippling through an insertion).

	* include/ptypes.h: added "_one" macro, from 'ded', for symmetry

1993-09-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/ptypes.h: I don't want to define NO_LEAKS at all...

	* src/cm_funcs/rcsload.c:
	completed the correction that I started with Purify.  Somewhere I had dropped
	the EOS between strings created in 'append()', which caused the program
	to really get screwed up (by overwriting gobs of memory). Also, fixed the
	NO_LEAKS code to free 'my_buffer' in the _right_ place.  Finally, separated
	the use of 's' from the code that computes the number of newlines for
	adjusting the size of 'load_buffer' (which was what Purify told me about).

	* include/ptypes.h: turned off default leak-testing

	* src/curses/padedit.c, src/cm_funcs/packdate.c, src/process/walkback.c, include/ptypes.h:
	SR10.3-lint

1993-09-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/ptypes.h: clean-compile with SunOs & gcc

1993-09-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* support/old-td_lib.mk: get rid of Purify-files in clean-rules

	* src/cm_funcs/rcsload.c:
	corrected a couple of places where I was referencing uninitialized memory,
	or used a bad pointer.  Purify showed some of this...

	* test/run_test.sh: better Purify options

1993-09-23  Thomas E. Dickey  <tom@invisible-island.net>

	* test/cm_funcs/run_test.sh, test/compare/run_test.sh, test/curses/run_test.sh, test/memory/run_test.sh, test/pathname/run_test.sh, test/port2dos/run_test.sh, test/process/run_test.sh, test/sheet/run_test.sh, test/string/run_test.sh, test/unix/run_test.sh:
	RCS_BASE

1993-09-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/compare/test_cmp.c, src/compare/scomp.c:
	clean compile on SunOs & gcc

	* test/Makefile: corrected rules for m2comp, scomp test-programs

	* src/string/strwcmp.c: gcc warning

	* src/compare/m2comp.c: clean compile on SunOs & gcc

1993-09-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/td_scomp.h: clean-compile with SunOs & gcc

	* src/port2vms/name2vms.c, src/pathname/edittree.c, src/pathname/dlettree.c, src/port2vms/path2dir.c, src/port2vms/vms2name.c, src/pathname/trnstree.c, src/port2vms/vms_pthc.c, src/port2vms/vms_rpth.c, src/port2vms/vms_wild.c, src/pathname/editfile.c, src/port2vms/dir2path.c:
	gcc warnings

	* support/old-td_lib.mk:
	added symbol 'LINK' so I can run Purify on the linked programs.
	added CC definition so I can compile-out gcc-warnings

1993-09-21  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/vercmp.c: fixed the ANSI-cpp usage for gcc

	* test/run_test.sh:
	made a quick hack to redirect the logfiles from Purify, one-per-test

	* src/cm_funcs/cutoff.c, src/compare/diffload.c, src/curses/beep.c, src/curses/blip.c, src/curses/cmdch.c, src/curses/dumpchr.c, src/curses/dumpwin.c, src/memory/doalloc.c, src/pathname/copyback.c, src/process/bldarg.c, src/process/catarg.c, src/process/catchall.c, src/string/dotcmp.c, src/cm_funcs/newzone.c, src/cm_funcs/next_ver.c, src/compare/m2comp.c, src/curses/erasechr.c, src/curses/killchar.c, src/curses/logch.c, src/curses/padedit.c, src/curses/rawgets.c, src/pathname/file2arg.c, src/pathname/file2mem.c, src/pathname/filecopy.c, src/pathname/fp2argv.c, src/pathname/istextfl.c, src/pathname/mem2file.c, src/pathname/modechar.c, src/pathname/name2s.c, src/pathname/pathcmp.c, src/pathname/pathhead.c, src/pathname/pathleaf.c, src/process/execute.c, src/process/failed.c, src/process/for_admn.c, src/process/for_user.c, src/process/gethome.c, src/process/getuser.c, src/process/makeargv.c, src/sheet/field_of.c, src/string/lsbycols.c, src/string/ltostr.c, src/unix/gid2s.c, src/cm_funcs/rcs_dir.c, src/cm_funcs/rcsdebug.c, src/cm_funcs/rcsedit.c, src/cm_funcs/rcskeys.c, src/cm_funcs/rcslast.c, src/cm_funcs/rcsload.c, src/cm_funcs/rcsname.c, src/cm_funcs/rcspath.c, src/cm_funcs/rcsperm.c, src/cm_funcs/rcssymbs.c, src/cm_funcs/rcstemp.c, src/cm_funcs/rcstime.c, src/cm_funcs/sccs_dir.c, src/cm_funcs/sccslast.c, src/cm_funcs/sccsname.c, src/compare/scomp.c, src/curses/rawterm.c, src/curses/resizwin.c, src/curses/savewin.c, src/curses/scr_size.c, src/memory/stralloc.c, src/memory/txtalloc.c, src/pathname/relpath.c, src/pathname/sameleaf.c, src/pathname/track_wd.c, src/pathname/trimpath.c, src/process/shoarg.c, src/string/strbcmp.c, src/string/strclean.c, src/string/strucmp.c, src/string/strucpy.c, src/string/strwcmp.c, src/unix/s2gid.c, src/unix/s2uid.c, src/unix/setmtime.c, src/cm_funcs/samebr.c, src/cm_funcs/vercmp.c, src/curses/viewfile.c, src/curses/win2file.c, src/curses/wrepaint.c, src/memory/vecalloc.c, src/memory/vecedit.c, src/pathname/abspath.c, src/pathname/walktree.c, src/pathname/which.c, src/process/interact.c, src/process/usercopy.c, src/process/userprot.c, src/process/walkback.c, src/unix/uid2s.c, test/compare/test_cmp.c, include/td_scomp.h, test/Makefile, include/ptypes.h, include/rcsdefs.h, include/td_curse.h, include/td_lib.h, include/sccsdefs.h, src/Makefile, src/pathname/arg2file.c, src/pathname/add2fnam.c, src/pathname/denode.c, src/pathname/dotname.c, src/pathname/pathcat.c, src/string/strtrim.c:
	gcc-warnings

1993-06-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/td_lib.h: lint-lib nit

1993-05-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* support/linkopts.opt:
	Added definition for GNULIB so I can easily link with BISON or FLEX output.

1993-05-03  ste_cm

	* support/linkopts.opt: BASELINE Mon May  3 13:44:35 1993

1993-04-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/ptypes.h:
	don't include <stdlib.h> when linting apollo sr10.3, because
	of the void-* stuff

1993-04-30  ste_cm

	* include/ptypes.h: BASELINE Fri Apr 30 11:42:07 1993

1993-04-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/vms_wild.sh: shortened-filenames

1993-04-30  ste_cm

	* test/port2vms/vms_wild.sh:
	BASELINE Fri Apr 30 11:26:34 1993 -- VAX shutdown

1993-04-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/vms_rpth.sh: shortened-filenames

1993-04-30  ste_cm

	* test/port2vms/vms_rpth.sh:
	BASELINE Fri Apr 30 11:25:09 1993 -- VAX shutdown

1993-04-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/vms_pthc.sh: shortened-filenames

1993-04-30  ste_cm

	* test/port2vms/vms_pthc.sh:
	BASELINE Fri Apr 30 11:26:34 1993 -- VAX shutdown

1993-04-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/trnstree.sh: shortened-filenames

1993-04-30  ste_cm

	* test/pathname/trnstree.sh:
	BASELINE Fri Apr 30 11:28:41 1993 -- VAX shutdown

1993-04-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/dlettree.sh: shortened-filenames

1993-04-30  ste_cm

	* test/pathname/dlettree.sh:
	BASELINE Fri Apr 30 11:25:09 1993 -- VAX shutdown

	* test/RCS:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

	* support/RCS, src/RCS, include/RCS, certify/RCS, RCS:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-29  ste_cm

	* include/ptypes.h: fix include-path by using <> rather than ""

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/trnstree.c:
	sort all leaves in a directory before translating (makes
	tests more consistent)

1993-04-29  ste_cm

	* src/pathname/trnstree.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/edittree.c: make sure we edit only files!

1993-04-29  ste_cm

	* src/pathname/edittree.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/edittree.c:
	sort all leaves of a directory before doing a translation
	pass.

	* test/pathname/edittree.ref: corrected sorting

1993-04-29  ste_cm

	* test/pathname/edittree.ref:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/port2vms.h: compile-on-VMS

1993-04-29  ste_cm

	* include/port2vms.h:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/descrip.mms: compile-on-VMS

1993-04-29  ste_cm

	* src/descrip.mms:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/ptypes.h: compile-on-VMS

	* test/port2vms/name2vms.ref: HOME-environ

1993-04-29  ste_cm

	* test/port2vms/name2vms.ref:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/name2vms.sh: HOME-environ

1993-04-29  ste_cm

	* test/port2vms/name2vms.sh:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/td_qsort.h: compile-on-VMS

1993-04-29  ste_cm

	* include/td_qsort.h:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/ptypes.h:
	rationalized hooks to include <stdlib.h> and <unistd.h>

	* src/process/for_admn.c: SunOs-lint

1993-04-29  ste_cm

	* src/process/for_admn.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/for_user.c: SunOs-lint

1993-04-29  ste_cm

	* src/process/for_user.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcstemp.c: SunOs-lint

1993-04-29  ste_cm

	* src/cm_funcs/rcstemp.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/showuids.c: SunOs-lint

1993-04-29  ste_cm

	* src/process/showuids.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/userprot.c: SunOs-lint

1993-04-29  ste_cm

	* src/process/userprot.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile: added COPYING to source-rule

1993-04-29  ste_cm

	* Makefile:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/port2vms/vms2name.c:
	added 'copying' to table of names to uppercase

1993-04-29  ste_cm

	* src/port2vms/vms2name.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1993-04-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcstime.c:
	use environment variable RCS_TIMEZONE so I can override
	RCS 5's use of gmt-offset for regression-testing of my
	rcs utilities.

1993-04-28  ste_cm

	* src/cm_funcs/rcstime.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* support/td_lib.mms: shortened-filenames

1993-04-28  ste_cm

	* support/td_lib.mms:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1993-04-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/edittree.c, src/pathname/trnstree.c: shortened-filenames

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* support/lib_top.mms: shortened-filenames

1993-04-27  ste_cm

	* support/lib_top.mms:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* support/prog_top.mms: shortened-filenames

1993-04-27  ste_cm

	* support/prog_top.mms:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/ptypes.h: make V_OR_I void for apollo sr10

	* support/old-td_lib.mk: took ".a" files out of CLEAN macro

1993-04-27  ste_cm

	* support/old-td_lib.mk:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/run_test.sh: shorten-filenames

1993-04-27  ste_cm

	* test/run_test.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/Makefile: shorten-filenames

1993-04-27  ste_cm

	* test/Makefile:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/walktree.ref: shorten-filenames

1993-04-27  ste_cm

	* test/pathname/walktree.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/samebr.sh: shorten-filenames

1993-04-27  ste_cm

	* test/cm_funcs/samebr.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/relpath.ref: shorten-filenames

1993-04-27  ste_cm

	* test/pathname/relpath.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/rcsargpr.sh: shorten-filenames

1993-04-27  ste_cm

	* test/cm_funcs/rcsargpr.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/string/lsbycols.sh: shorten-filenames

1993-04-27  ste_cm

	* test/string/lsbycols.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/file2arg.sh: shorten-filenames

1993-04-27  ste_cm

	* test/pathname/file2arg.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/abspath.ref: shorten-filenames

1993-04-27  ste_cm

	* test/pathname/abspath.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/vercmp.c: shorten-filenames

1993-04-27  ste_cm

	* src/cm_funcs/vercmp.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/memory/vecedit.c: shorten-filenames

1993-04-27  ste_cm

	* src/memory/vecedit.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/compare/scomp.c: shorten-filenames

1993-04-27  ste_cm

	* src/compare/scomp.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/compare/m2comp.c: shorten-filenames

1993-04-27  ste_cm

	* src/compare/m2comp.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/string/dotcmp.c: shorten-filenames

1993-04-27  ste_cm

	* src/string/dotcmp.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* COPYING: fixed the year-of-copyrite

	* COPYING: shorten-filenames

1993-04-27  ste_cm

	* COPYING: BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* certify/release.txt: shorten-filenames

1993-04-27  ste_cm

	* certify/release.txt:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* certify/config.txt: shorten-filenames

1993-04-27  ste_cm

	* certify/config.txt:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: shorten-filenames

1993-04-26  ste_cm

	* src/Makefile:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* support/Makefile: shorten-filenames

1993-04-26  ste_cm

	* support/Makefile:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile, certify/Makefile: shorten-filenames

1993-04-26  ste_cm

	* certify/Makefile:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/walktree.c: shorten-filenames

1993-04-26  ste_cm

	* src/pathname/walktree.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* README: shorten-filenames

1993-04-26  ste_cm

	* README: BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/compare/scomp.c, src/descrip.mms, src/compare/m2comp.c, src/string/dyn_str.c:
	shorten-filenames

1993-04-26  ste_cm

	* src/string/dyn_str.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/fp2argv.c, src/string/dyn_appc.c, src/string/dyn_cata.c, src/string/dyn_copy.c:
	shorten-filenames

1993-04-26  ste_cm

	* src/pathname/fp2argv.c, src/string/dyn_appc.c, src/string/dyn_cata.c, src/string/dyn_copy.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcsperm.c, src/curses/rawgets.c: shorten-filenames

1993-04-26  ste_cm

	* src/cm_funcs/rcsperm.c, src/curses/rawgets.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/string/dyn_app.c: shorten-filenames

1993-04-26  ste_cm

	* src/string/dyn_app.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/compare/diffload.c: shorten-filenames

1993-04-26  ste_cm

	* src/compare/diffload.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/sheet/ss_field.c: shorten-filenames

1993-04-26  ste_cm

	* src/sheet/ss_field.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/sheet/field_of.c: shorten-filenames

1993-04-26  ste_cm

	* src/sheet/field_of.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/sheet/count_ss.c: shorten-filenames

1993-04-26  ste_cm

	* src/sheet/count_ss.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/compare/cmpqsort.c: shorten-filenames

1993-04-26  ste_cm

	* src/compare/cmpqsort.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/ptypes.h, support/old-td_lib.mk, include/td_lib.h:
	shorten-filenames

1993-04-26  ste_cm

	* include/td_lib.h:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/td_sheet.h: shorten-filenames

1993-04-26  ste_cm

	* include/td_sheet.h:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/llib-ltd: shorten-filenames

1993-04-26  ste_cm

	* include/llib-ltd:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/cmdch.h: shorten-filenames

1993-04-26  ste_cm

	* include/cmdch.h:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/td_curse.h: shorten-filenames

1993-04-26  ste_cm

	* include/td_curse.h:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/ptypes.h, include/Makefile: shorten-filenames

1993-04-26  ste_cm

	* include/Makefile:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-04-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* certify/README: shorten-filenames

1993-04-26  ste_cm

	* certify/README:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1993-02-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcslast.c:
	corrected parsing of S_LOCKS case (forgot that rcsparse_id
	no longer allowed ':' to be part of the parse)

1993-02-01  ste_cm

	* src/cm_funcs/rcslast.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-12-22  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/padedit.c: reset process group

1992-12-22  ste_cm

	* src/curses/padedit.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-12-21  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcstemp.c:
	forgot to ifdef the last change properly, for RCS 4 on SunOs

	* src/cm_funcs/rcstemp.c:
	added test with 'saves_uid()' to suppress unnecessary creation
	of temp-file & temp-directory

	* src/descrip.mms: added (unused)module SAVES_UID

	* src/Makefile: added 'saves_uid.c'

	* include/td_lib.h: added 'saves_uid()'

	* src/process/savesuid.c: RCS_BASE

1992-12-21  ste_cm

	* src/process/savesuid.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-12-04  ste_cm

	* test/pathname/walktree.ref: filtered out RCS

	* src/pathname/walktree.c:
	filter RCS out of test-driver because it is not always readable

	* test/Makefile: make sources for 'run_tests'

	* test/Makefile: must make sources for run_tests rule

	* Makefile:
	added some include files: acl.h, cm_curses.h, cm_qsort.h, cm_scomp.h
	added 'run_tests' rule

	* support/Makefile: allow 'run_tests'

	* include/Makefile: added 'run_tests' & 'install' rules

	* src/Makefile: added 'run_tests'

	* Makefile: forgot to make sources at this level for 'all'

1992-12-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/padedit.c:
	use 'makeargv()' to allow the caller to pack options onto
	the 'editor' parameter

1992-12-01  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/ptypes.h: added DIRENT definition

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/memory/txtalloc.c: lint

1992-11-24  ste_cm

	* src/memory/txtalloc.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/walkback.c: lint

1992-11-24  ste_cm

	* src/process/walkback.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/memory/txtalloc.c: lint

	* test/pathname/walktree.ref: added test-cases for m2comp, scomp

	* src/pathname/name2s.c: make the test-driver portable

1992-11-24  ste_cm

	* src/pathname/name2s.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/rcsload.ref: oops: got some nulls into it...

1992-11-24  ste_cm

	* test/cm_funcs/rcsload.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcsload.c: lint

1992-11-24  ste_cm

	* src/cm_funcs/rcsload.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcsedit.c: corrected trace-format

1992-11-24  ste_cm

	* src/cm_funcs/rcsedit.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/process/walkback.ref: make this portable between apollo/sun

1992-11-24  ste_cm

	* test/process/walkback.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/process/walkback.sh:
	make the test-result simply the number of successful walkbacks

1992-11-24  ste_cm

	* test/process/walkback.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/walkback.c: implemented a crude core-dump/traceback

	* test/process/execute.sh:
	filter /usr/bin to /bin so this works ok on SunOs 

1992-11-24  ste_cm

	* test/process/execute.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/unix/gid2s.sh: mods to work with SunOs 4.1.1

1992-11-24  ste_cm

	* test/unix/gid2s.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/newzone.c: local copy of 'putenv()' was unnecessary
	this obscured the fact that on SunOs I had not invoked 'tzset()'

1992-11-24  ste_cm

	* src/cm_funcs/newzone.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/abspath.c: lint

1992-11-24  ste_cm

	* src/pathname/abspath.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: lint against apollo (hah!)

	* src/pathname/pathcmp.c: mods to port on SunOs

1992-11-24  ste_cm

	* src/pathname/pathcmp.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/unix/s2uid.sh: SunOs passwd file may contain "+" for default

1992-11-24  ste_cm

	* test/unix/s2uid.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/unix/uid2s.sh:
	filter out uid's 0-9 for SunOs (which has multiple names mapped to root)

1992-11-24  ste_cm

	* test/unix/uid2s.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/abspath.ref: port to SunOs

	* src/pathname/abspath.c: juggled test-case for port to SunOs

	* test/Makefile:
	oops: forgot to specify that I make sources when running tests

	* src/Makefile, src/curses/scr_size.c: lint

1992-11-24  ste_cm

	* src/curses/scr_size.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/execute.c: lint

1992-11-24  ste_cm

	* src/process/execute.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/walkback.c: lint

1992-11-23  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/for_user.c, src/process/for_admn.c:
	flush outputs if we do a fork

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/which.c: exit-code

1992-11-20  ste_cm

	* src/pathname/which.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/string/strbcmp.c: exit-code

1992-11-20  ste_cm

	* src/string/strbcmp.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawgets.c, src/pathname/pathleaf.c: exit-code

1992-11-20  ste_cm

	* src/pathname/pathleaf.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/pathhead.c: exit-code

1992-11-20  ste_cm

	* src/pathname/pathhead.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/makeargv.c: exit-code

1992-11-20  ste_cm

	* src/process/makeargv.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/string/ltostr.c: exit-code

1992-11-20  ste_cm

	* src/string/ltostr.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/process/walkback.ref, test/process/walkback.sh: RCS_BASE

	* src/process/walkback.c: make a clean test case for apollo

	* test/Makefile: added test case for walkback

	* test/compare/m2comp.ref: RCS_BASE

1992-11-20  ste_cm

	* test/compare/m2comp.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/compare/scomp.ref: RCS_BASE

1992-11-20  ste_cm

	* test/compare/scomp.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/compare/m2comp.sh: RCS_BASE

1992-11-20  ste_cm

	* test/compare/m2comp.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/compare/scomp.sh: RCS_BASE

1992-11-20  ste_cm

	* test/compare/scomp.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/compare/scomp.c: make this work with current 'test_scomp.c'

	* src/compare/m2comp.c:
	modified so this works properly with 'test_scomp.c' again.

	* test/compare/test_cmp.c:
	SCOMP_TYPE must be a pointer in this test-driver

1992-11-20  ste_cm

	* test/compare/test_cmp.c:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/Makefile: added test cases for m2comp & scomp

	* test/compare/test_cmp.c: make this recompile 'm2comp'

	* test/port2vms/vms_rpth.ref: redirected stderr too

1992-11-20  ste_cm

	* test/port2vms/vms_rpth.ref:
	BASELINE Fri Apr 30 11:26:34 1993 -- VAX shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/port2vms/vms_rpth.c:
	flush stdout in test-driver to avoid merging with stderr

1992-11-20  ste_cm

	* src/port2vms/vms_rpth.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/vms_rpth.sh: redirected stderr too

	* test/port2vms/vms_wild.ref: RCS_BASE

1992-11-20  ste_cm

	* test/port2vms/vms_wild.ref:
	BASELINE Fri Apr 30 11:26:34 1993 -- VAX shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/port2vms/vms_wild.c: use prototypes
	added a test-driver

1992-11-20  ste_cm

	* src/port2vms/vms_wild.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/vms_wild.sh: RCS_BASE

	* src/port2vms/rmsio.c: use prototypes

1992-11-20  ste_cm

	* src/port2vms/rmsio.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/path2dir.ref: RCS_BASE

1992-11-20  ste_cm

	* test/port2vms/path2dir.ref:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/port2vms/path2dir.c: added builtin test-case
	use prototypes

1992-11-20  ste_cm

	* src/port2vms/path2dir.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/port2vms/path2vms.c: shortened-filenames

1992-11-20  ste_cm

	* src/port2vms/path2vms.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/path2vms.ref: RCS_BASE

1992-11-20  ste_cm

	* test/port2vms/path2vms.ref:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/port2vms/path2vms.c: use prototypes
	added a test-driver

	* test/port2vms/path2vms.sh: RCS_BASE

1992-11-20  ste_cm

	* test/port2vms/path2vms.sh:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/path2dir.sh: RCS_BASE

1992-11-20  ste_cm

	* test/port2vms/path2dir.sh:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/edittree.ref, test/pathname/edittree.sh: RCS_BASE

1992-11-20  ste_cm

	* test/pathname/edittree.sh:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/dlettree.ref: RCS_BASE

1992-11-20  ste_cm

	* test/pathname/dlettree.ref:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/dlettree.sh, test/pathname/editfile.sh: RCS_BASE

1992-11-20  ste_cm

	* test/pathname/editfile.sh:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/editfile.ref: RCS_BASE

1992-11-20  ste_cm

	* test/pathname/editfile.ref:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/editfile.c:
	modified test-driver so I can see if a change occurred

1992-11-20  ste_cm

	* src/pathname/editfile.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/edittree.c: use SIZEOF

	* test/pathname/trnstree.ref: RCS_BASE

1992-11-20  ste_cm

	* test/pathname/trnstree.ref:
	BASELINE Fri Apr 30 11:26:34 1993 -- VAX shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/trnstree.sh, test/port2vms/zone2vms.ref: RCS_BASE

1992-11-20  ste_cm

	* test/port2vms/zone2vms.ref:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/zone2vms.sh: RCS_BASE

1992-11-20  ste_cm

	* test/port2vms/zone2vms.sh:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/port2vms/zone2vms.c: use prototypes
	also, nailed down test-case so I can regress it

1992-11-20  ste_cm

	* src/port2vms/zone2vms.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/vms_rpth.sh, test/port2vms/vms_pthc.sh, test/port2vms/dir2path.ref:
	RCS_BASE

1992-11-20  ste_cm

	* test/port2vms/dir2path.ref:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/dir2path.sh: RCS_BASE

1992-11-20  ste_cm

	* test/port2vms/dir2path.sh:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/port2vms/dir2path.c: use prototypes
	added default test-case.

1992-11-20  ste_cm

	* src/port2vms/dir2path.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/getopt.c: use prototypes

1992-11-20  ste_cm

	* src/process/getopt.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/vms2name.ref: RCS_BASE

1992-11-20  ste_cm

	* test/port2vms/vms2name.ref:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/vms2name.sh: RCS_BASE

1992-11-20  ste_cm

	* test/port2vms/vms2name.sh:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/name2vms.ref, test/port2vms/name2vms.sh, test/port2vms/run_test.sh:
	RCS_BASE

1992-11-20  ste_cm

	* test/port2vms/run_test.sh:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/port2vms/README: we have unix regression tests now

1992-11-20  ste_cm

	* test/port2vms/README:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/port2vms/name2vms.c: use prototypes

1992-11-20  ste_cm

	* src/port2vms/name2vms.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/dlettree.c: use prototypes

1992-11-20  ste_cm

	* src/pathname/dlettree.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/port2vms/uid2s.c: use prototypes

1992-11-20  ste_cm

	* src/port2vms/uid2s.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/port2vms/utimes.c: use prototypes

1992-11-20  ste_cm

	* src/port2vms/utimes.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/port2vms/vms2name.c, src/port2vms/vms_pthc.c: use prototypes

1992-11-20  ste_cm

	* src/port2vms/vms_pthc.c:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/port2vms/vms_rpth.c: use prototypes

	* src/pathname/trnstree.c, src/pathname/edittree.c, include/port2vms.h, src/pathname/editfile.c:
	_FNX-macro

1992-11-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* support/old-td_lib.mk: added *.lint to CLEAN

	* support/old-td_lib.mk: corrected .c.lint rule

	* src/compare/m2comp.c, src/compare/scomp.c:
	compile with CM_LIBRARY, not DDIF

	* certify/release.txt: moved SCOMP & M2COMP here from DDIF

	* include/llib-ltd: added 'cm_scomp.h'

	* test/compare/test_cmp.c: RCS_BASE

	* test/Makefile: moved test_scomp.c here from DDIF

	* src/memory/doalloc.c: modified interface to 'walkback()'

1992-11-19  ste_cm

	* src/memory/doalloc.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/walkback.c:
	added 'program' arg so I can initialize this with the
	program's path & later (null pointer) dump core & invoke
	adb.

	* src/Makefile: moved m2comp & scomp here from DDIF

	* src/descrip.mms: moved M2COMP & SCOMP here from DDIF

	* include/td_lib.h:
	added 'program' argument to 'walkback()' so I could make a kludge on
	SunOs to construct a walkback

	* include/Makefile: added 'cm_scomp.h'

	* include/td_scomp.h: RCS_BASE

1992-11-19  ste_cm

	* include/td_scomp.h:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* certify/release.txt: added new stuff...

	* test/curses/rawgets.sh:
	make this pipe to the terminal, so we don't get it in the log-file

1992-11-19  ste_cm

	* test/curses/rawgets.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/walktree.sh: assume we use "make-out"

1992-11-19  ste_cm

	* test/pathname/walktree.sh:
	BASELINE Fri Apr 30 08:11:54 1993 -- split off from CM_TOOLS

1992-11-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/walktree.ref:
	got rid of line numbers so this will be more stable as a reference

	* src/pathname/walktree.c: split out 'compare()' as 'cmp_qsort()'
	remove line #'s from test-driver trace so I can make stable
	lists for regression.

	* src/cm_funcs/rcsedit.c:
	got rid of null-char in debug-trace (was getting lost in
	'ci' program)

	* test/Makefile: added lists for REF_FILES and SCRIPTS

	* test/cm_funcs/rcsload.sh: implemented an interesting test!

1992-11-19  ste_cm

	* test/cm_funcs/rcsload.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcsload.c:
	ifdef'd out the part of the test-driver that shows the
	entire file to be compared.

	* src/cm_funcs/rcsload.c: comment about memory-leaks

	* test/dummy3.txt: RCS_BASE

1992-11-19  ste_cm

	* test/dummy3.txt:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-19  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcsload.c:
	plugged a memory leak (for testing) in 'loadtext()'

	* src/memory/doalloc.c:
	corrected the loop that prunes 'nowPending' from the end
	when we get a free on the end of the table.

	* src/process/execute.c: plugged a memory-leak

	* src/cm_funcs/rcsedit.c:
	corrected handling of escaped '@' marks (broke in the rewrite).
	show "-mark in trace when in string (to simplify debugging).
	added a couple of pointer checks so this doesn't crash as easily.

	* src/cm_funcs/rcsload.c: use 'dofree()' rather than 'free()'
	flush trace in test-driver before doing comparison.
	omitted unused S_COMMENT case.

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/rcsload.sh: implemented test (does not work yet)

	* test/dummy4.txt: RCS_BASE

1992-11-18  ste_cm

	* test/dummy4.txt:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcsload.c: corrected (?) a broken loop

	* test/pathname/walktree.ref: RCS_BASE

	* test/pathname/walktree.sh: implemented test

	* test/process/usercopy.ref: RCS_BASE

1992-11-18  ste_cm

	* test/process/usercopy.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/process/usercopy.sh: implemented test

1992-11-18  ste_cm

	* test/process/usercopy.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/compare/diffload.ref: RCS_BASE

1992-11-18  ste_cm

	* test/compare/diffload.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/compare/diffload.sh: implemented test

1992-11-18  ste_cm

	* test/compare/diffload.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/memory/vecedit.sh: implemented a test

1992-11-18  ste_cm

	* test/memory/vecedit.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/memory/vecedit.ref: RCS_BASE

1992-11-18  ste_cm

	* test/memory/vecedit.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/dummy2.txt: RCS_BASE

1992-11-18  ste_cm

	* test/dummy2.txt:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/filecopy.ref: RCS_BASE

1992-11-18  ste_cm

	* test/pathname/filecopy.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/filecopy.sh: implemented test

1992-11-18  ste_cm

	* test/pathname/filecopy.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/fp2argv.ref: RCS_BASE

1992-11-18  ste_cm

	* test/pathname/fp2argv.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/fp2argv.c:
	make test-driver output look more like file2argv's

	* test/pathname/fp2argv.sh: implemented test

1992-11-18  ste_cm

	* test/pathname/fp2argv.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/file2mem.ref: RCS_BASE

1992-11-18  ste_cm

	* test/pathname/file2mem.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/file2mem.sh: implemented test

1992-11-18  ste_cm

	* test/pathname/file2mem.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/file2arg.ref: RCS_BASE

1992-11-18  ste_cm

	* test/pathname/file2arg.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/file2arg.sh: implemented test

	* test/memory/doalloc.ref: RCS_BASE

1992-11-18  ste_cm

	* test/memory/doalloc.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/memory/doalloc.sh: implemented test

1992-11-18  ste_cm

	* test/memory/doalloc.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/memory/doalloc.c: split out 'walkback()'
	refined test-driver some

	* test/process/failed.sh: make a clean listing

1992-11-18  ste_cm

	* test/process/failed.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/process/execute.ref: RCS_BASE

1992-11-18  ste_cm

	* test/process/execute.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/process/execute.sh: implemented test

	* test/process/failed.ref: RCS_BASE

1992-11-18  ste_cm

	* test/process/failed.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/process/failed.sh: implemented test

	* test/pathname/trimpath.ref: RCS_BASE

1992-11-18  ste_cm

	* test/pathname/trimpath.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/trimpath.sh: implemented test

1992-11-18  ste_cm

	* test/pathname/trimpath.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/curses/padedit.ref: RCS_BASE

1992-11-18  ste_cm

	* test/curses/padedit.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/curses/padedit.sh: implemented test

1992-11-18  ste_cm

	* test/curses/padedit.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/curses/scr_size.ref: RCS_BASE

1992-11-18  ste_cm

	* test/curses/scr_size.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/curses/scr_size.sh: implemented test

1992-11-18  ste_cm

	* test/curses/scr_size.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/pathcmp.ref: RCS_BASE

1992-11-18  ste_cm

	* test/pathname/pathcmp.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/pathcmp.sh: implemented test

1992-11-18  ste_cm

	* test/pathname/pathcmp.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/pathhead.ref: RCS_BASE

1992-11-18  ste_cm

	* test/pathname/pathhead.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/pathhead.sh: implemented test

1992-11-18  ste_cm

	* test/pathname/pathhead.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/pathleaf.ref: RCS_BASE

1992-11-18  ste_cm

	* test/pathname/pathleaf.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/pathleaf.sh: implemented test

1992-11-18  ste_cm

	* test/pathname/pathleaf.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/curses/rawgets.ref: RCS_BASE

1992-11-18  ste_cm

	* test/curses/rawgets.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/curses/rawgets.sh: implemented a test

	* src/curses/rawgets.c: correction to line-limit in test-driver

	* src/curses/rawgets.c: polished test-driver

	* test/cm_funcs/rcsargpr.ref: RCS_BASE

1992-11-18  ste_cm

	* test/cm_funcs/rcsargpr.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/rcsargpr.sh: implemented a test

	* test/cm_funcs/rcsname.ref: RCS_BASE

1992-11-18  ste_cm

	* test/cm_funcs/rcsname.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/rcsname.sh: implemented a test

1992-11-18  ste_cm

	* test/cm_funcs/rcsname.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/relpath.ref: RCS_BASE

	* test/pathname/relpath.sh: implemented a test

1992-11-18  ste_cm

	* test/pathname/relpath.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/relpath.c:
	make output from test-driver simpler to edit with 'sed'

1992-11-18  ste_cm

	* src/pathname/relpath.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/unix/s2uid.ref: RCS_BASE

1992-11-18  ste_cm

	* test/unix/s2uid.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/unix/s2uid.sh: implemented test

	* test/cm_funcs/samebr.ref: RCS_BASE

1992-11-18  ste_cm

	* test/cm_funcs/samebr.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/samebr.sh: implemented test

	* test/pathname/sameleaf.ref: RCS_BASE

1992-11-18  ste_cm

	* test/pathname/sameleaf.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/sameleaf.sh: implemented test

1992-11-18  ste_cm

	* test/pathname/sameleaf.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/sccsname.ref: RCS_BASE

1992-11-18  ste_cm

	* test/cm_funcs/sccsname.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/sccsname.sh: implemented test

1992-11-18  ste_cm

	* test/cm_funcs/sccsname.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/string/strbcmp.ref: RCS_BASE

1992-11-18  ste_cm

	* test/string/strbcmp.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/string/strbcmp.c:
	ifdef'd out the timing test, since I won't be able to regress it

	* test/string/strbcmp.sh: implemented test

1992-11-18  ste_cm

	* test/string/strbcmp.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/string/strucmp.ref: RCS_BASE

1992-11-18  ste_cm

	* test/string/strucmp.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/string/strucmp.sh: implemented test

1992-11-18  ste_cm

	* test/string/strucmp.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/string/strwcmp.ref: RCS_BASE

1992-11-18  ste_cm

	* test/string/strwcmp.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/string/strwcmp.sh: implemented test

1992-11-18  ste_cm

	* test/string/strwcmp.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/memory/txtalloc.ref: RCS_BASE

1992-11-18  ste_cm

	* test/memory/txtalloc.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/memory/txtalloc.sh: implemented test

1992-11-18  ste_cm

	* test/memory/txtalloc.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/unix/uid2s.sh: implemented test

	* test/unix/uid2s.ref: RCS_BASE

1992-11-18  ste_cm

	* test/unix/uid2s.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/vcs_file.ref: RCS_BASE

1992-11-18  ste_cm

	* test/cm_funcs/vcs_file.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/vcs_file.sh: implemented test

1992-11-18  ste_cm

	* test/cm_funcs/vcs_file.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/vercmp.ref: RCS_BASE

1992-11-18  ste_cm

	* test/cm_funcs/vercmp.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/vercmp.sh: implemented a test

1992-11-18  ste_cm

	* test/cm_funcs/vercmp.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/which.ref: RCS_BASE

1992-11-18  ste_cm

	* test/pathname/which.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/which.sh: implemented a test

1992-11-18  ste_cm

	* test/pathname/which.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/newzone.ref: RCS_BASE

1992-11-18  ste_cm

	* test/cm_funcs/newzone.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/unix/gid2s.sh: turn off trace

	* test/cm_funcs/packdate.ref: RCS_BASE

1992-11-18  ste_cm

	* test/cm_funcs/packdate.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/packdate.sh: implemented a test

1992-11-18  ste_cm

	* test/cm_funcs/packdate.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/packdate.c: corrected month-value in test-driver

1992-11-18  ste_cm

	* src/cm_funcs/packdate.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/newzone.sh: implemented a test

1992-11-18  ste_cm

	* test/cm_funcs/newzone.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/name2s.ref: RCS_BASE

1992-11-18  ste_cm

	* test/pathname/name2s.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/name2s.sh: implemented test

1992-11-18  ste_cm

	* test/pathname/name2s.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/process/makeargv.ref: RCS_BASE

1992-11-18  ste_cm

	* test/process/makeargv.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/process/makeargv.sh: implemented test

1992-11-18  ste_cm

	* test/process/makeargv.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/string/ltostr.ref: RCS_BASE

1992-11-18  ste_cm

	* test/string/ltostr.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/string/ltostr.sh: implemented a test

1992-11-18  ste_cm

	* test/string/ltostr.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/string/lsbycols.ref: RCS_BASE

1992-11-18  ste_cm

	* test/string/lsbycols.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/string/lsbycols.sh: implemented test

	* test/unix/gid2s.sh: implemented a test

	* test/unix/gid2s.ref: RCS_BASE

1992-11-18  ste_cm

	* test/unix/gid2s.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/process/gethome.ref: RCS_BASE

1992-11-18  ste_cm

	* test/process/gethome.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/process/gethome.sh: implemented

1992-11-18  ste_cm

	* test/process/gethome.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/run_test.sh: remove the ".tmp" file if the test succeeds

	* test/cm_funcs/cutoff.ref: RCS_BASE

1992-11-18  ste_cm

	* test/cm_funcs/cutoff.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/string/dotcmp.ref: RCS_BASE

1992-11-18  ste_cm

	* test/string/dotcmp.ref:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/string/dotcmp.sh: implemented a test

1992-11-18  ste_cm

	* test/string/dotcmp.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/cm_funcs/cutoff.sh: implemented a test

1992-11-18  ste_cm

	* test/cm_funcs/cutoff.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/abspath.ref: RCS_BASE

	* test/run_test.sh: make a simple regression-test

	* test/pathname/abspath.sh: filtered result to something I can test

1992-11-18  ste_cm

	* test/pathname/abspath.sh:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/vercmp.c: refined test-driver

	* test/dummy.txt: RCS_BASE

1992-11-18  ste_cm

	* test/dummy.txt:
	BASELINE Fri Apr 30 07:53:10 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/pathname/which.sh, test/cm_funcs/vercmp.sh, test/pathname/walktree.sh, test/cm_funcs/vcs_file.sh, test/memory/vecedit.sh, test/memory/txtalloc.sh, test/process/usercopy.sh, test/unix/uid2s.sh, test/pathname/trimpath.sh, test/string/strwcmp.sh, test/string/strucmp.sh, test/curses/scr_size.sh, test/string/strbcmp.sh, test/cm_funcs/sccsname.sh, test/pathname/sameleaf.sh, test/cm_funcs/samebr.sh, test/unix/s2uid.sh, test/cm_funcs/rcsname.sh, test/pathname/relpath.sh, test/cm_funcs/rcsargpr.sh, test/cm_funcs/rcsload.sh, test/curses/rawgets.sh, test/pathname/pathhead.sh, test/pathname/pathleaf.sh, test/curses/padedit.sh, test/pathname/pathcmp.sh, test/cm_funcs/newzone.sh, test/cm_funcs/packdate.sh, test/pathname/name2s.sh, test/process/makeargv.sh, test/string/lsbycols.sh, test/string/ltostr.sh, test/unix/gid2s.sh, test/pathname/fp2argv.sh, test/process/gethome.sh, test/pathname/file2mem.sh, test/pathname/filecopy.sh, test/pathname/file2arg.sh, test/process/failed.sh, test/process/execute.sh, test/string/dotcmp.sh, test/compare/diffload.sh, test/memory/doalloc.sh, test/cm_funcs/cutoff.sh, test/pathname/abspath.sh:
	RCS_BASE

	* test/run_test.sh: *** empty log message ***

	* test/run_test.sh: RCS_BASE

	* test/Makefile: added 'run_tests.sh'

	* src/curses/rawgets.c: make test-driver compile

	* test/Makefile: make this compile test-drivers

	* src/string/dotcmp.c: use "cm_qsort.h"

	* src/curses/beep.c: make this dependent on "cm_curses.h"

1992-11-18  ste_cm

	* src/curses/beep.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/blip.c: make this dependent on "cm_curses.h"

1992-11-18  ste_cm

	* src/curses/blip.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/descrip.mms: added modules CMP_QSORT, WALKBACK

	* src/Makefile:
	split out dependencies for "cm_curses.h" and "cm_qsort.h"

	* support/old-td_lib.mk: added macros CURSES_H, QSORT_H

	* include/td_curse.h, include/ptypes.h:
	moved CUR_PTYPES ifdef to "cm_curses.h"

	* include/td_qsort.h: make this work for lint-lib

	* include/llib-ltd: split out 'cm_qsort.h'

	* include/Makefile: split out 'cm_curses.h' and 'cm_qsort.h'

	* include/td_lib.h: split out "cm_curses.h"
	added 'walkback()'
	deleted NO_LEAKS macro

	* include/td_curse.h: RCS_BASE

	* include/ptypes.h: split out def of 'qsort()'

	* src/compare/cmpqsort.c, include/td_qsort.h, src/process/walkback.c:
	RCS_BASE

1992-11-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/memory/doalloc.c: mods to add/support 'show_doalloc()'

	* src/pathname/walktree.c: corrected prototype

	* include/ptypes.h: corrected prototype for 'qsort()'

	* src/compare/scomp.c, src/compare/m2comp.c: RCS_BASE

	* certify/release.txt: today's fixes

	* src/pathname/walktree.c:
	tighten up prototypes by passing prototypes of function-pointers

	* src/memory/txtalloc.c: changed 'txtfree()' to 'void'

	* src/cm_funcs/rcsedit.c: added 3rd arg to _FNX macro

	* include/rcsdefs.h: added 3rd arg to _FNX/_fnx macros

1992-11-17  ste_cm

	* include/rcsdefs.h:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/fp2argv.c, src/process/catchall.c:
	added 3rd arg to _FNX macro

1992-11-17  ste_cm

	* src/process/catchall.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/trimpath.c: use SIZEOF

1992-11-17  ste_cm

	* src/pathname/trimpath.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/string/strwcmp.c: moved SIZEOF to "ptypes.h"

1992-11-17  ste_cm

	* src/string/strwcmp.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/string/strbcmp.c, src/cm_funcs/sccsname.c: use SIZEOF

1992-11-17  ste_cm

	* src/cm_funcs/sccsname.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/samebr.c: use SIZEOF

1992-11-17  ste_cm

	* src/cm_funcs/samebr.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/relpath.c, src/cm_funcs/rcsname.c: use SIZEOF

1992-11-17  ste_cm

	* src/cm_funcs/rcsname.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcskeys.c: use SIZEOF

1992-11-17  ste_cm

	* src/cm_funcs/rcskeys.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/pathcmp.c, src/process/makeargv.c, src/string/lsbycols.c:
	use SIZEOF

1992-11-17  ste_cm

	* src/string/lsbycols.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-11-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/abspath.c: use SIZEOF

	* include/ptypes.h:
	added 3rd arg to _fnx, _FNX macros so we can do better prototypes
	added SIZEOF macro

	* src/process/for_user.c: added 3rd arg to _FNX

	* src/process/for_admn.c: added 3rd arg to 
	_FNX

	* include/td_lib.h: added 'show_alloc()' and 'free_txtalloc()'
	added 3rd arg to _FNX/_fnx macros

1992-11-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/memory/txtalloc.c: added 'free_txtalloc()' -- must test!

	* src/memory/doalloc.c:
	first pass of revising this so I can test for memory leaks

1992-11-13  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/abspath.c:
	removed obsolete definition for 'Index' that conflicted
	when I compiled this with dbmalloc's "malloc.h"

1992-11-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: updated some include-deps

	* src/sheet/field_of.c: removed redundant-include

	* include/rcsdefs.h: added argument 'access' to 'rcspermit()'

	* src/cm_funcs/rcsperm.c:
	added argument 'access' so the caller can get the actual
	access-list if needed.

1992-11-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* support/lib_top.mms: changed ident to "Id" from "Header"

	* support/prog_top.mms, support/td_progs.mms:
	removed Log-keyword (too verbose)

1992-11-04  ste_cm

	* support/td_progs.mms:
	BASELINE Fri Apr 30 08:53:28 1993 -- TD_LIB split, VAX-shutdown

1992-11-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* support/td_lib.mms:
	split out CM_LIBRARY from CM_TOOLS; use that instead

1992-10-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/td_lib.h: split out entrypoint 'gmt_offset()'

	* src/cm_funcs/packdate.c: added entrypoint 'gmt_offset()'

	* src/cm_funcs/rcstime.c:
	RCS version 5 uses GMT dates, not local-dates!

1992-10-29  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcslast.c: recoded to use 'rcsedit.c' module

1992-10-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcsperm.c: allow debug-trace of this module

	* src/Makefile:
	added some missing deps on RCSDEFS_H to rcssymbols.o & rcstime.o

1992-10-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcstime.c:
	RCS version 5 uses GMT, not the local timezone

	* src/cm_funcs/rcsedit.c:
	revised 'rcsedit()' procedure so that we only modify the
	last token parsed with 'rcsparse_id()' or 'rcsparse_num()'

	* include/rcsdefs.h: simplified interface to 'rcsedit()'

	* src/cm_funcs/rcsperm.c: corrected conflicting use of 's'
	removed (now redundant) case for S_COMMENT

1992-10-26  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcsedit.c:
	fix rewritten 'rcsparse_str()' to skip blanks & check that
	I am pointing to an escaped string

	* src/cm_funcs/rcsedit.c:
	RCS version 5 formats the file on multiple lines.
	This broke my assumption that I had only to skip a record
	when processing 'rcsread()'.

	* include/rcsdefs.h:
	changed interface to 'rcsread()' so we can determine how
	to skip past the pending rcs-header record

	* src/cm_funcs/rcsperm.c, src/cm_funcs/rcsload.c:
	changed interface to 'rcsread()'

1992-10-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile: corrected destroy/clean rules

	* support/Makefile: corrected recursive destroy

	* certify/Makefile: standardized rules

	* support/old-td_lib.mk: moved .man.cat rule here too

1992-10-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* support/old-td_lib.mk: typo in LINT_EACH

	* include/Makefile: use cm_library.mk

	* support/old-td_lib.mk: added INSTALL_BIN, INSTALL_LIB & INSTALL_MAN
	change LINTOPT to LINTOPTS
	added LINTLIBS

1992-10-14  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/editfile.c:
	make test-driver compile properly (prototype conflict)

1992-10-09  Thomas E. Dickey  <dickey@invisible-island.net>

	* support/old-td_lib.mk: J-macro is obsolete

	* src/Makefile: forgot to move RCS_PATH here

	* src/Makefile: typo in arc-name

	* Makefile:
	got this to make split-off from CM_TOOLS (still need to work on the
	install-rule).

	* certify/README, certify/config.txt, certify/release.txt: RCS_BASE

	* src/Makefile: split off from CM_TOOLS

	* support/old-td_lib.mk: RCS_BASE

	* test/Makefile: split off from cm_tools

	* support/Makefile: RCS_BASE

	* Makefile: split off from CM_TOOLS

	* README: documented split out from CM_TOOLS

	* COPYING: RCS_BASE

1992-10-09  ste_cm

	* user/RCS, certify/RCS: PERMIT FILE

	* support/RCS: BASELINE at Fri Oct 9 08:33:48 1992

1992-09-04  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawgets.c:
	undid last patch: now 'EraseChar' overrides use of backspace
	in scrolling-mode.

	* src/curses/rawgets.c: patch:erase_char

	* src/curses/rawgets.c:
	forgot to implement the logging portion of CTL/V

	* src/curses/rawgets.c:
	implemented CTL/V command (as in 'vi'), and eliminated
	some of the redundancy in the main loop.

	* src/curses/rawgets.c:
	allow display/navigation with nonprinting control chars
	in the buffer -- must add code to allow them to be inserted.

	* src/curses/rawgets.c:
	only highlight the portion of a non-wrapped field that
	contains text.  do this to make it simpler to see trailing
	blanks, etc.

1992-09-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawgets.c:
	if we are in 'wrap/newline' mode, initially clear the rest
	of the screen; need to do this because I may be scrolling
	thru history for 'ded'.

1992-09-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/compare/diffload.c, src/cm_funcs/rcstemp.c, src/process/revert.c:
	lint

1992-09-02  ste_cm

	* src/process/revert.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-09-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/ptypes.h: updated def of ARG_WAIT for SunOs (int *)

	* src/cm_funcs/rcsedit.c, src/cm_funcs/rcsload.c, src/compare/diffload.c:
	lint:fputs

	* src/pathname/file2mem.c: LEN_FREAD-lint

1992-09-02  ste_cm

	* src/pathname/file2mem.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-09-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/mem2file.c: LEN_FREAD-lint

1992-09-02  ste_cm

	* src/pathname/mem2file.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-09-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/ptypes.h: oops: didn't mean to wipe out 'LEN_READ' definition

	* src/pathname/file2mem.c, src/pathname/mem2file.c: lint

	* include/ptypes.h:
	updated defs of LEN_QSORT, LEN_READ for apollo/std.c

	* src/cm_funcs/sccsname.c, src/cm_funcs/newzone.c, src/sheet/field_of.c:
	lint

	* include/ptypes.h:
	corrected/updated ifdef for 'dirent' (Sun4 uses newer form
	now), and added ifdefs for curses functions (to cover up
	badly-linted stty calls).

	* include/ptypes.h:
	corrected defs of 'exit()' and 'perror()' for SunOs (4.1.1)

	* src/string/dyn_copy.c:
	rewrote in case application copies src to itself.

1992-08-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawgets.c:
	oops: that did not work well; revised to log everything
	from the original point

	* src/curses/rawgets.c:
	modified the logging code so that as long as we read from
	the command-script, we make an *exact* copy.  This allows
	the caller to determine the point at which the result from
	'rawgets_log()' begins non-scripted input.

1992-08-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/td_lib.h: added 'first_mode' arg to 'wrawgets()'

	* src/curses/rawgets.c: added 'first_mode' argument
	modify to suppress refresh if running from command-script

1992-08-20  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawgets.c: added args 'field_len' and 'first_col'

	* include/td_lib.h:
	added args 'field_len' and 'first_col' to 'wrawgets()'

1992-08-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawgets.c:
	separated role of 'fast_q' so we can always exit scrolling
	mode with 'q'.  If 'fast_q' is non-null, initially start in
	scrolling-mode.

1992-08-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/cmdch.c: map-returns

1992-08-12  ste_cm

	* src/curses/cmdch.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-08-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/logch.c:
	in 'encode_logch()', ensure that we put a null at the
	buffer location, and mask 'c' to 8-bits.

1992-08-12  ste_cm

	* src/curses/logch.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-08-10  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawgets.c:
	added 'prefix' argument to 'wrawgets()', for merge of
	inline/normal text entry of 'ded'.

	* include/td_lib.h: added prefix-arg to 'wrawgets()'

	* src/curses/rawgets.c:
	allow window-arg to be null, so that we can use this logic
	to refresh buffers that happen to not be visible.

1992-08-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/Makefile, Makefile: use:common.mk

	* src/curses/rawgets.c: got rid of direct reference to 'stdscr'

1992-08-06  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawgets.c:
	modified so that if we are running from 'command' argument,
	don't do refresh-per-char.

	* src/curses/logch.c: lint

	* src/curses/rawgets.c: implemented the 'command' argument.

	* include/td_lib.h: added 'logch.c'

	* src/Makefile, src/descrip.mms: logch.c

	* src/curses/logch.c: RCS_BASE

	* include/td_lib.h: lint

	* src/curses/rawgets.c: added/implemented logging-arg.
	added arg (unimplemented) for command-input.
	got rid of unnecessary reference to CTL/F, so the macros
	"to_???" contain the only interesting reserved characters.

	* include/td_lib.h:
	mods to rawgets.c: added interface for 'rawgets_log()', and args
	fast_q, command, logging to 'wrawgets()'.  make 'rawgets()' a macro.

	* src/curses/rawgets.c:
	added logic to do "fast quit" (caller specifies a character
	which causes quit while in scrolling-mode).
	also, added logic for erase-word.
	finally, corrected repeat-count in scrolling-mode (was
	not being reset when doing erase char/word/line in insert-mode)

1992-08-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/erasechr.c: added 'eraseword()' function

1992-08-05  ste_cm

	* src/curses/erasechr.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-08-05  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/rawgets.c: make 'rawgets()' a macro.
	added 'fast_q' argument to use in ded inline commands.
	interpret 'fast_q' (if nonnull) as immediate-quit command.
	split out some special characters as macros.

	* src/Makefile: absorbed definitions from 'common.mk'

	* src/curses/rawgets.c:
	force this to highlight when in scrolling/nowrap mode
	(a step towards integration with 'ded').

1992-08-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/rcsdefs.h, src/descrip.mms, src/Makefile: samebranch.c

	* src/cm_funcs/samebr.c: RCS_BASE

	* test/Makefile: samebranch

	* src/sheet/field_of.c:
	revised to make 'get_field_of()' return its result in
	a DYN-string so we don't have to worry about field sizes.

	* src/sheet/count_ss.c, src/sheet/ss_field.c:
	'get_field_of()' now returns DYN-string

	* include/td_sheet.h:
	make 'get_field_of()' return a DYN-string so we don't
	worry about buffer sizes.

1992-07-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile, src/descrip.mms: added 'dyn_append_c.c'

	* src/string/dyn_appc.c: RCS_BASE

	* include/dyn_str.h: added 'dyn_append_c()'

1992-07-24  ste_cm

	* include/dyn_str.h:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

1992-07-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/sheet/field_of.c:
	oops: forgot to include <ctype.h> -- got this on vms

1992-07-17  ste_cm

	* src/sheet/field_of.c: BASELINE Fri Jul 17 16:39:09 1992 -- port:VMS

	* src/sheet/field_of.c: Apollo SR10.2 has no 'memmove()' either

1992-07-16  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/edittree.c:
	removed conflicting/redundant defs of isDIR and isFILE

1992-07-16  ste_cm

	* src/pathname/edittree.c:
	BASELINE Thu Jul 16 16:44:02 1992 -- CM_TOOLS #11

	* test/RCS, src/RCS, include/RCS, RCS:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

	* src/cm_funcs/cutoff.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

	* src/cm_funcs/cutoff.c:
	BASELINE Thu Jul 16 11:16:11 1992 -- EBPM4 support

	* src/cm_funcs/cutoff.c: last correction was wrong

1992-06-30  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/cutoff.c: corrected increment of 'optind'

	* src/cm_funcs/cutoff.c: added test-driver

	* test/Makefile: added test-case for 'cutoff'

1992-06-30  ste_cm

	* test/Makefile: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-06-24  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/sheet/field_of.c:
	SunOs 4.1.1 does not seem to have a 'memmove()', so I wrote one

1992-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/pathcmp.c: oops: fix "EQ" return

1992-05-15  ste_cm

	* src/pathname/pathcmp.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-05-15  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/port2vms.h:
	obs: STAT, isDIR, isFILE since I added these to "ptypes.h"

1992-05-15  ste_cm

	* include/port2vms.h: BASELINE Thu Jul 16 16:14:02 1992 -- CM_TOOLS #11

1992-05-12  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/pathcmp.c:
	omit 'abspath()' calls, since I only call this from dedring.c
	where I know the paths are canonical already

1992-04-09  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/curses/padedit.c: show filename as part of xterm-title

1992-04-09  ste_cm

	* src/curses/padedit.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/dyn_str.h: added 'dyn_copy()'

1992-04-03  ste_cm

	* include/dyn_str.h: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/descrip.mms: added dyn_copy.c'

1992-04-03  ste_cm

	* src/descrip.mms: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: added dyn_copy.c

1992-04-03  ste_cm

	* src/Makefile: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-03  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/string/dyn_copy.c: RCS_BASE

1992-04-03  ste_cm

	* src/string/dyn_copy.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-04-02  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/memory/doalloc.c: adjustments to logging in debug-mode

1992-04-02  ste_cm

	* src/memory/doalloc.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-03-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile: silent

	* src/Makefile: use .c.a rule

1992-02-28  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/string/dyn_app.c: oops: ensure that we check for null-pointer

1992-02-28  ste_cm

	* src/string/dyn_app.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-27  Thomas E. Dickey  <dickey@invisible-island.net>

	* Makefile: -x option of checkout is obsolete

1992-02-27  ste_cm

	* Makefile: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/fp2argv.c:
	recoded so I don't have to worry about input record-size

1992-02-25  ste_cm

	* src/pathname/fp2argv.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/compare/diffload.c: looks almost ok

1992-02-25  ste_cm

	* src/compare/diffload.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/compare/diffload.c:
	make resulting vector for 2nd & following files

	* src/compare/diffload.c: RCS_BASE

	* include/deltree.h: added definition of 'diffload()'

1992-02-25  ste_cm

	* include/deltree.h:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

	* include/deltree.h: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-25  Thomas E. Dickey  <dickey@invisible-island.net>

	* test/Makefile: added program 'diffload'

	* src/Makefile, src/descrip.mms: added module 'diffload'

1992-02-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/abspath.c: lint

1992-02-18  ste_cm

	* src/pathname/abspath.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/ptypes.h: lint

1992-02-18  ste_cm

	* include/ptypes.h: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-18  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/Makefile: lint

1992-02-18  ste_cm

	* include/Makefile: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/cutoff.c, src/pathname/acc_mode.c: lint

1992-02-17  ste_cm

	* src/pathname/acc_mode.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

	* src/pathname/acc_mode.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* certify/Makefile: RCS_BASE

	* include/td_lib.h: added 'is_subpath.c'

1992-02-17  ste_cm

	* include/td_lib.h: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-17  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile, src/descrip.mms: added module 'is_subpath'

	* src/pathname/is_spath.c: RCS_BASE

1992-02-17  ste_cm

	* src/pathname/is_spath.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

	* src/pathname/is_spath.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcssymbs.c: allow underscores in symbols

1992-02-11  ste_cm

	* src/cm_funcs/rcssymbs.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

	* src/cm_funcs/rcssymbs.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-11  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/string/dyn_cata.c: make EMPTY check for null-pointer too

1992-02-11  ste_cm

	* src/string/dyn_cata.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-10  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/string/dyn_cata.c: suppress calls if argument is empty

	* src/descrip.mms: added 'strcount'

	* src/Makefile: added 'strcount.c'

	* include/td_lib.h: added 'strcount'
	tidy up some whitespace

	* src/string/strcount.c: RCS_BASE

1992-02-10  ste_cm

	* src/string/strcount.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

	* src/string/strcount.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/process/interact.c: lint

1992-02-07  ste_cm

	* src/process/interact.c:
	BASELINE Fri Apr 30 07:21:26 1993 -- split off from CM_TOOLS

	* src/process/interact.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/walktree.c: lint

1992-02-07  ste_cm

	* src/pathname/walktree.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcsload.c: use 'rcs2time()'

1992-02-07  ste_cm

	* src/cm_funcs/rcsload.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/cm_funcs/rcslast.c: use 'rcs2time()'

1992-02-07  ste_cm

	* src/cm_funcs/rcslast.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* include/rcsdefs.h: added new module 'rcstime'

1992-02-07  ste_cm

	* include/rcsdefs.h: BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/Makefile, src/descrip.mms: added module 'rcstime'

	* src/cm_funcs/rcstime.c: RCS_BASE

1992-02-07  ste_cm

	* src/cm_funcs/rcstime.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

1992-02-07  Thomas E. Dickey  <dickey@invisible-island.net>

	* src/pathname/acc_mode.c: oops: wrong logical operator

	* src/cm_funcs/rcssymbs.c: corrected comparison for update

	* src/pathname/acc_mode.c: make this more readable

	* src/Makefile, src/descrip.mms: added 'rcssymbols.c'

	* src/cm_funcs/rcssymbs.c: RCS_BASE

	* include/rcsdefs.h: added 'rcssymbols.c'

	* src/string/dyn_str.c: corrected return-type from 'dyn_length()'

1992-02-07  ste_cm

	* src/string/dyn_str.c:
	BASELINE Thu Jul 16 09:39:01 1992 -- EBPM4 support

